commit 14fb439ac461d2b0defe602678ad12cba1fc90b1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:   2014-05-18

    updated for version 3.3.2

M	NEWS
M	configure.ac

commit 396a043f3a538c55aeda5ffcdda16bd870ebfe87
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-05-18

    viewer: hide the mouse after a second

M	gthumb/gth-browser.c

commit 2c828468cbcb821da23ae77f77c0aedde931e17b
Author: Marek Černocký <marek@manet.cz>
Date:	2014-05-14

    Updated Czech translation

M	po/cs.po

commit c3b7070bc6277eb9a5fbdfe992d700a27af0bdba
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-05-04

    fixed navigation buttons not hidden after a timeout sometimes

    call hide_mouse_pointer_after_delay after showing the viewer

M	gthumb/gth-browser.c
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h

commit 881ed05ee07a665a3d41a85eebe5e8613ddb6e1d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-05-02

    adjust color: align label to top

M	extensions/file_tools/data/ui/adjust-colors-options.ui

commit 1894ee534e805afd6a11f2a16c5442b6281a8f13
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-05-02

    appdata: added project license, use SPDX strings

M	data/appdata/gthumb.appdata.xml.in

commit 7a245b6c9f3f0f7b11ae9bd41e9cdb5b286385a4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-05-02

    image viewer buttons: always fit to size, added fit to width

M	extensions/image_viewer/actions.c
M	extensions/image_viewer/gth-image-viewer-page.c

commit a5113b72edcde6bbf7d75f54aa30989382b528ee
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-05-02

    moved check for null in the show_pointer function

M	gthumb/gth-browser.c

commit 90634f6c637d190ffbc22931deec70b83e9cf99a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-05-01

    fixed indentation

M	gthumb/gth-browser.h

commit a91d6b407d62b6f08bca4139b226f32d1b4ac3ec
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-05-01

    do not give the focus to the overlay buttons

M	gthumb/gth-browser.c

commit 414134bcde3dfdc56e140e3160d2bc11083390e8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-30

    added navigation buttons to show the next and the previous image

M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser.c

commit f8d713a13ef12ad719968470983837520b273eb9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-05-01

    Updated Polish translation

M	po/pl.po

commit c7420ebf5fb85d5ff10bfba58723f1fd010171f9
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2014-04-30

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 2356b5129ce08202215cc524552679009927930d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-28

    correctly initialize unsigned integers

M	gthumb/gth-file-list.c

commit 87cf1d05bdf365640a87a888e95baeb886c14c7f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-28

    allow to find duplicates in catalogs

M	extensions/find_duplicates/data/ui/find-duplicates.ui
M	extensions/find_duplicates/dlg-find-duplicates.c

commit 95cf8a49b212f3d0ac231ddf05affb46b58be136
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-28

    add to catalog: allow to keep the dialog open after adding files

M	extensions/catalogs/actions.c
M	extensions/catalogs/data/ui/add-to-catalog.ui
M	extensions/catalogs/dlg-add-to-catalog.c
M	extensions/catalogs/dlg-add-to-catalog.h

commit 3ca38c7ec41d03d1afec1bc60548ccddee27b1db
Author: Marek Černocký <marek@manet.cz>
Date:	2014-04-22

    Updated Czech translation

M	po/cs.po

commit ef8bc02959f6fe9c9d85cd004e6e19f6f0457aca
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-22

    catalogs: center the properties dialog on the main window

M	extensions/catalogs/data/ui/catalog-properties.ui

commit ee15641d3aed48797dbb864970c217fbe0465eec
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-22

    use a dialog to rename folders and catalogs

M	gthumb/gth-folder-tree.c

commit b7359b3f3dc8a6ee8b795088bedcf314db380847
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-22

    folder tree: fixed context menu not updated correctly

M	extensions/catalogs/callbacks.c

commit 9bcb3f800139ca7458d4fa2bc98af52c6dadeb5a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-22

    allow to rename searches from the context menu

M	extensions/catalogs/callbacks.c

commit 237fa2e92efd65c427b29ee6dd684d6e4ea891b5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-20

    add to catalog dialog: removed the help button

M	extensions/catalogs/data/ui/add-to-catalog.ui

commit 6c5cbb0a05860a5ff356ab87bab8091982f51d0d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-20

    added 'add to catalog' to the viewer context menu

M	extensions/catalogs/callbacks.c

commit 0943a8711d9096839c47f1a3349da0eb177028cb
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-20

    Allow user to edit tags using the contextual menu also

    [bug #728467]

M	extensions/edit_metadata/callbacks.c

commit 3eae5b706db39e4c981e0c794fa3ce66965b9f9a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-20

    special directories: added DOWNLOAD, removed DESKTOP

    [bug #728445, bug #728446]

M	gthumb/gth-file-source-vfs.c

commit 080fe433186b0be3e4a2e39fcad2941575c00fa8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-19

    fixed zoom info not showed on the status bar

M	extensions/image_viewer/gth-image-viewer-page.c

commit 19404c1b5cee336ccdc17b0208b41693d2686d9e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-19

    fixed image overview not working for animations

M	gthumb/gth-image-viewer.c

commit ad310d85841aa03767412de97ead9a2dae958e8a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-17

    image viewer: show the overview with an animation

M	extensions/image_viewer/gth-image-viewer-page.c

commit 1f10c55105283772f3b8c46c60d3e590e2954db4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-17

    overview: simplified the frame

M	gthumb/gth-image-overview.c

commit e581973437d82ea521a311a2946bd8c528d3009b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-17

    image viewer: hide the overview after 3 seconds of inactivity

M	extensions/image_viewer/gth-image-viewer-page.c

commit c5cad57d7efb5f3127396d1f3d96d10c043a7cac
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-15

    slideshow preferences: use symbolic icons, bigger playlist

M	extensions/slideshow/data/ui/slideshow-preferences.ui

commit 7888ffcb3964bddff55a472832a95f41075fd17c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-15

    script editor: use a symbolic icon for the help button

M	extensions/list_tools/data/ui/script-editor.ui

commit 5688d372ae63a6cff5e824fc617feb5cc1830b00
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-04-15

    Updated Spanish translation

M	po/es.po

commit c42720a542b52fe6d2e94413b70a2ae3c2cacdc8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-04-15

    Updated Spanish translation

M	help/es/es.po

commit 08313baaed0be707d45ebea64907abcc8c86cf8c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-15

    removed use of g_settings_list_schemas

M	gthumb/glib-utils.c

commit 627e99a38ffd63edca677ad30682490c1fe7d547
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-15

    volume button: use symbolic icons

M	extensions/gstreamer_tools/data/ui/mediabar.ui

commit b1be96867d523a63588522ec2564ae603b06dc7c
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2014-04-15

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit a93b9f7e9b5b8d91900f7e63ebe39a15166f0268
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-04-14

    Updated Spanish translation

M	po/es.po

commit 46545b0733a66f96ed4d1e7640c7ffafc2063733
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-04-13

    Updated Lithuanian translation

M	po/lt.po

commit 7894feab614aaa4056a461aeed2f85c2781021c0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    window title: removed the minimum size for the label

M	gthumb/gth-window-title.c

commit 4c9e33204c79a1556f157a20fbf3996862705a0c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    draw the film strip over the video thumbnail

    to adapt to the new video thumnailer that doesn't draw the film
    strip by itself.

M	gthumb/gth-grid-view.c

commit c50f7a7dc88138ca2c251529cc7a72d4a3c159e4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    use the same settings used by gtk+ for the title label

M	gthumb/gth-window-title.c

commit 60e512f5c665fcd759e9ba03ace3bdc663e2ca3a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    updated POTFILES.in

M	po/POTFILES.in

commit bdccfcdcc5c3b3b4226988ad86d632e9c0b3d505
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    show the emblems in the window title when in viewer mode

M	gthumb/Makefile.am
M	gthumb/gth-browser.c
M	gthumb/gth-icon-cache.c
A	gthumb/gth-window-title.c
A	gthumb/gth-window-title.h
M	gthumb/gth-window.c
M	gthumb/gth-window.h

commit 8806f6c8f3ddef88d326e3675a4c400698062a70
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    removed use of deprecated function

M	extensions/contact_sheet/gth-contact-sheet-theme-dialog.c

commit bf46ffd800d69b698650f2570754ce944117044e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    catalogs: show the keyboard shortcut for RemoveFromCatalog

M	extensions/catalogs/callbacks.c

commit 70a66bfb9fb6d4a28bc8caefb128b43347301c2d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    selections: added 'Remove from Selection' to the context menu

M	extensions/selections/actions.c
M	extensions/selections/actions.h
M	extensions/selections/callbacks.c

commit bad92d3ea432d62321f29b948b3d0eb59e196933
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    fixed status bar not updated after updating a search

M	gthumb/gth-browser.c

commit 96062656ebe46ba1894159d32033cca9ee7ab52c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    selections: fixed extra widget not showing

M	extensions/search/gth-search-task.c
M	extensions/selections/gth-file-source-selections.c
M	gthumb/gth-browser.c
M	gthumb/gth-file-source.c
M	gthumb/gth-file-source.h

commit ceb2f5648dcacef25ecf0d5821fc7659065d3078
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    file list: correctly reset the update timeout

M	gthumb/gth-file-list.c

commit a9481484e9a0f69a3f8f91b9ee2ff1dd60ed4183
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    web album: use the symbolic variant for the help icon

M	extensions/webalbums/data/ui/web-album-exporter.ui

commit 5716e9ace1594eb20d5ab65314a4c651c1803e69
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    web album: use a better default date format

M	extensions/webalbums/gth-web-exporter.c

commit 536d849c88d16040e9c5214c5ecad285d98c5066
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-04-13

    web album: fixed thumbnail size

    [bug #727775]

M	extensions/webalbums/gth-web-exporter.c

commit 919f006e19ce73f6701e959b7be4520c44c3d6ad
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-04-06

    doap: update URLs

M	README
M	gthumb.doap

commit d941232dcc5a88d189922a486c06714312f60ee1
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-03-31

    Updated Indonesian translation

M	po/id.po

commit ef2cc3357fca8067e6e36020a270dd833da30e72
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-03-27

    Updated Spanish translation

M	help/es/es.po

commit 16bf1a13b5f541438f22c5b6bd0bfd36f2617c8f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-25

    desktop background: use 'stretch' for images bigger than half
    the screen

M	extensions/desktop_background/actions.c

commit 9c009751dd049bedc8d8883f65a575c41d5ee5f3
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2014-03-24

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 5aedd9b46801a655e4a01df4e50432a59c6ea114
Author: Andre Klapper <a9016009@gmx.de>
Date:	2014-03-23

    User docs: Revert my previous commit as the bug seems to be
    intentional.

M	help/C/attributes.page

commit 24fc65b0d9a4dae599659435d90ff9d6c8849677
Author: Marek Černocký <marek@manet.cz>
Date:	2014-03-23

    Updated Czech translation

M	help/cs/cs.po

commit 3316dd107503d0d7c1103f4f316a691947b53f16
Author: Andre Klapper <a9016009@gmx.de>
Date:	2014-03-23

    User docs: Update 404 wiki links

M	help/C/edit-redeye.page
M	help/C/extensions.page
M	help/C/introduction.page

commit 781c32c5d2712a63fdbf6d61a800a1b3ef7c9aeb
Author: Andre Klapper <a9016009@gmx.de>
Date:	2014-03-23

    User docs: Make page ID the same as file name

M	help/C/attributes.page

commit 8088b7634645ca0e52bd5c3507bfe37ffdbe2f6e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-23

    desktop background: use the stretched option in some cases

    [bug #726708]

M	extensions/desktop_background/actions.c

commit d1655d949f11836414b3c40ffdc05be6e202f5ac
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-23

    correctly set the SIDEBAR class to the toolbox

M	gthumb/gth-sidebar.c

commit 127afd0d8c583992272ef4dcf48b101d8724c775
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-23

    make copy and paste in same folder equivalent to duplicating

    [bug #722726]

M	gthumb/gio-utils.c
M	gthumb/gio-utils.h
M	gthumb/gth-file-source-vfs.c

commit f4a0d3efc3667cc270fb4d92545f300adc784849
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-23

    gio: use a custom enum for file copy flags

M	extensions/catalogs/gth-file-source-catalogs.c
M	extensions/file_manager/gth-duplicate-task.c
M	extensions/webalbums/gth-web-exporter.c
M	gthumb/gio-utils.c
M	gthumb/gio-utils.h
M	gthumb/gth-file-source-vfs.c
M	gthumb/gth-main-default-hooks.c

commit 67128d593ec709f5ba2632ce20a47eb43744c294
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-23

    can view tiff files, but can not print

    do not campare unsigned integers with integers

    [bug #726260]

M	extensions/cairo_io/cairo-image-surface-tiff.c

commit 87ec4eba2fc0b70fb70cfea662294265895ae9c0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-23

    fixed rename from file context menu not working

M	extensions/file_manager/actions.c
M	extensions/file_manager/actions.h
M	extensions/file_manager/callbacks.c

commit 2319f7c220e826eefeae4443ea7116620c05d8df
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-23

    load dom from xml: do not emit a warning if the xml is null

M	gthumb/dom.c

commit ce940b2cac3a8648bb8241350c8f689a581c0d66
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:	2014-03-21

    Updated Italian translation

M	po/it.po

commit 3702cb388927ecdd274208f825f13642b6ac8b65
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2014-03-20

    Updated Hungarian translation

M	po/hu.po

commit 508015be076ea565d9ed9022e2d92a3a6b4c0b54
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-17

    allow to interrupt the gif loader

M	gthumb/pixbuf-io.c

commit e8cd1bca85013abda33271138646e27a1955ecac
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-17

    image viewer: use a smaller frame border

    [bug #726091]

M	gthumb/gth-image-dragger.c

commit f813af5cb0269ddfd796bdbf766887c87b56a477
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-17

    image viewer: do not use the revealer to show the overview

M	extensions/image_viewer/gth-image-viewer-page.c

commit 0c917a6ffe1b2c2b7b2561897e215cbeb1b6bfd1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-16

    image viewer page: init all the attributes

M	extensions/image_viewer/gth-image-viewer-page.c

commit 04b8593b8bccf2758886e30afe408004d411f30f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-16

    emit the image_changed signal only when the zoom level is ready

    [bug #722631]

M	gthumb/gth-image-viewer.c

commit 639e0b9923c20d6c366e96c117a16b0f6f28c99b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-15

    comment view: fixed selected text color

M	gthumb/resources/gthumb.css

commit 6a2622aa7f5b49ea6599e767e9c878a14f2bc536
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	2014-03-13

    Updated German translation

M	po/de.po

commit 61d0dd33111cfb6db235a7ddbe065ae0a421458d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-03-11

    Updated Spanish translation

M	po/es.po

commit 36412a4fbe8629350736822cd87a1a1b2dd8dadc
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:	2014-03-10

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit e40627671135ee418600d871659bc7e00396c76d
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-03-04

    Updated Lithuanian translation

M	po/lt.po

commit d3c080437f143fd001afd8a60273bcdf175ba143
Author: Marek Černocký <marek@manet.cz>
Date:	2014-03-02

    Updated Czech translation

M	po/cs.po

commit 14b8b4917f18ccd983427aef1050951969b4fcec
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-03-02

    Updated Polish translation

M	po/pl.po

commit b44e40187d2ad0a65ab0e4f8b9624f40ed992576
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-02

    added AppData file for GNOME Software Center

    https://bugzilla.gnome.org/show_bug.cgi?id=722770

M	configure.ac
M	data/Makefile.am
A	data/appdata/Makefile.am
A	data/appdata/gthumb.appdata.xml.in
A	data/appdata/ss-browser.png
A	data/appdata/ss-viewer.png
M	po/POTFILES.in

commit caacbb311203c9c6acb20e16c799ca3ca50b10cd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-03-02

    comments: do not emit a changed event if the file is not changed

M	extensions/comments/gth-comment.c

commit 22de372473f7745cd1b6ac07b744070eb6687207
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-02-17

    call gdk_notify_startup_complete before showing the windows

M	gthumb/main.c

commit 97b1e80263118042073ad3c0777fb2df0e444815
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2014-03-02

    Updated Greek translation

M	help/el/el.po

commit f33a981e7b97b5a9fd889aa73cf729c3aa6ad5ed
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2014-02-28

    Updated Hungarian translation

M	po/hu.po

commit f63f41117ff6adc0a66668e63425cf04cb2882ed
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-02-09

    ctrl+p doesn't work

    https://bugzilla.gnome.org/show_bug.cgi?id=722707

M	extensions/image_print/callbacks.c

commit 8a8fc7f2bc1166b4d30c35a2e29db680ef085007
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-02-09

    script editor: help buttons don't work

    https://bugzilla.gnome.org/show_bug.cgi?id=722925

M	extensions/list_tools/data/ui/personalize-scripts.ui
M	extensions/list_tools/data/ui/script-editor.ui
M	extensions/list_tools/gth-script-editor-dialog.c

commit 46396e7e5cb478ab00ce24562670e088d527fb33
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-02-03

    toolbox: Fix the undo and the redo symbols in RTL

    https://bugzilla.gnome.org/show_bug.cgi?id=723542

M	extensions/file_tools/gth-file-tool-redo.c
M	extensions/file_tools/gth-file-tool-undo.c

commit 3ba64552d2ffac3162e885a5ccde914a99b35fc4
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-02-03

    sharpen: Fix the undo symbols in RTL

    https://bugzilla.gnome.org/show_bug.cgi?id=723542

M	extensions/file_tools/data/ui/sharpen-options.ui
M	extensions/file_tools/gth-file-tool-sharpen.c

commit 71fd11b6856a00c2faa7db2684cc6bafd8904a92
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-02-03

    rotate image: Fix the undo symbols in RTL

    https://bugzilla.gnome.org/show_bug.cgi?id=723542

M	extensions/file_tools/data/ui/rotate-options.ui
M	extensions/file_tools/gth-file-tool-rotate.c

commit d33de023310e568ae7957c805a5d01c92cc4294c
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-02-03

    adjust colors: Fix the undo symbols in RTL

    https://bugzilla.gnome.org/show_bug.cgi?id=723542

M	extensions/file_tools/data/ui/adjust-colors-options.ui
M	extensions/file_tools/gth-file-tool-adjust-colors.c

commit b535ad2ede9d5e1dfc1603f8c25f3a8d84b19405
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-02-02

    Updated Hebrew translation

M	po/he.po

commit c3fd4b10c7435146d9a1b52ed790b86416b8ac45
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-30

    updated obsolete info in license text

    updated using a script written by Andika Triwidadan

    https://bugzilla.gnome.org/show_bug.cgi?id=721455

M	extensions/exiv2_tools/exiv2-utils.cpp
M	extensions/webalbums/albumtheme.l
M	extensions/webalbums/albumtheme.y
M	extensions/webalbums/data/albumthemes/update-text-h.rb

commit b89f4a9e68546f051f4ca179bb5d719461c2abf6
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2014-01-30

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit beb9a963a17c2931d796260ba370d5b50c905ce0
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2014-01-20

    Updated Greek translation

M	po/el.po

commit 65529c96b22a83c012450829bd018099a4277b46
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-19

    do not load the history if remember-recent-files is false

M	gthumb/gth-browser.c

commit b184ef69fa90a4e37bd91e6688a75838e243dcb0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-19

    set G_APPLICATION_HANDLES_COMMAND_LINE for the application

M	gthumb/main.c

commit 5460215470389ee0738169da5f8c90a773010dbf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-19

    gthumb doesn't honour privacy settings

    [bug #722349]

M	gthumb/glib-utils.c
M	gthumb/glib-utils.h
M	gthumb/gth-browser.c

commit a61599e899697e6bb3b995a632dee99d9a8a54f0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-19

    removed use of libegg

M	Makefile.am
M	configure.ac
D	copy-n-paste/Makefile.am
D	copy-n-paste/eggdesktopfile.c
D	copy-n-paste/eggdesktopfile.h
D	copy-n-paste/eggsmclient-private.h
D	copy-n-paste/eggsmclient-xsmp.c
D	copy-n-paste/eggsmclient.c
D	copy-n-paste/eggsmclient.h
M	gthumb/Makefile.am
M	gthumb/main.c
M	po/POTFILES.in

commit 562e86d67dc3786bbf97e41e02f4f749d2d12c1f
Author: Robert Roth <robert.roth.off@gmail.com>
Date:	2014-01-15

    Remove unnecessary gdkx.h include from gth-screensaver.

    https://bugzilla.gnome.org/show_bug.cgi?id=597594

M	gthumb/gth-screensaver.c

commit 38cf07ed5afc7904db4630902cc5518591973186
Author: Rober Ancell <robert.ancell@canonical.com>
Date:	2014-01-15

    Use unity-control-center if in Unity

    https://bugzilla.gnome.org/show_bug.cgi?id=722233

M	extensions/desktop_background/actions.c

commit 0ad7553de0b09fab5c559ddbded00382b2954c63
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-19

    fixed a function call

M	extensions/cairo_io/gth-image-saver-jpeg.c

commit c1dc2d867d611d471a877d56613242d220118bf2
Author: Robert Roth <robert.roth.off@gmail.com>
Date:	2014-01-14

    Fix build failing without libtiff installed.

    https://bugzilla.gnome.org/show_bug.cgi?id=722183

M	extensions/cairo_io/gth-image-saver-tiff.c

commit 1e3076fc4d2162bf58815b27b8918d8c3f9fb716
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-19

    Cannot Save As with uppercase .JPG

    [bug #721281]

M	gthumb/gth-file-chooser-dialog.c

commit f79c0f10d39e87cafd76d9c1ef6cd74e3d07bf9f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-14

    updated for version 3.3.1

M	NEWS
M	configure.ac

commit c6e5f7ada37c4b3be9364ffa8c8b2bc0dd676058
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-12

    preferences: use the high quality zoom by default

M	data/org.gnome.gthumb.image-viewer.gschema.xml.in

commit 491c304810a0c64454c4132d51dc8097f2d31747
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-12

    preferences: hide the file properties by default

M	data/org.gnome.gthumb.gschema.xml.in

commit 3f87014f7d3c2c49c649e5eadea328f9aab543ae
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-12

    headerbar: fixed buttons order with gtk+ 3.11

M	gthumb/gth-browser.c

commit 702c3ef4f95e5b4aa86da1130af68f133552fedd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-12

    preferences: fixed url to extensions page

M	data/ui/extensions-preferences.ui

commit 4a51b62acfcc63c82139f2d9d6f96bd0ac02af8a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-08

    headerbar: use the old order when compiled with gtk+ 3.10

M	gthumb/gth-browser.c

commit 7b506f2a642fe182d4cb0e3eb2f74ce5bfb0a661
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	2014-01-07

    headerbar: Fix item positions

    https://bugzilla.gnome.org/show_bug.cgi?id=721739

M	gthumb/gth-browser.c

commit d2ecc1ba4dab5c76192be3a5435474eed36f63ee
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-01-03

    Updated Spanish translation

M	help/es/es.po

commit 0c8fc8923c05c2c7230368becb7b8c7bdb19a4a1
Author: Marek Černocký <marek@manet.cz>
Date:	2014-01-03

    Updated Czech translation

M	help/cs/cs.po

commit c950e0440863027e8a52c4069b4d18a3950492d6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2014-01-02

    documentation: fixed wrong shurtcuts description

M	help/C/shortcuts.page

commit d9710cfbba5af968d966732f0287943a950f7a2b
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-01-01

    Updated Brazilian Portuguese Translation

M	po/pt_BR.po

commit 69343ef7f74401b58d379f116be342f01b93764c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2014-01-01

    Updated Slovenian translation

M	po/sl.po

commit e5bda431a8dcb1b9c2c8f88c5fdd7b36c81cf49f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-31

    histogram: simplified code to get the cumulative histogram

M	gthumb/gth-histogram.c

commit 88d57e5616bae64ae2f3518121d799a295583a15
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-31

    extensions: updated copyright and website link

M	extensions/23hq/23hq.extension.in.in
M	extensions/bookmarks/bookmarks.extension.in.in
M	extensions/burn_disc/burn_disc.extension.in.in
M	extensions/catalogs/catalogs.extension.in.in
M	extensions/change_date/change_date.extension.in.in
M	extensions/comments/comments.extension.in.in
M	extensions/contact_sheet/contact_sheet.extension.in.in
M	extensions/convert_format/convert_format.extension.in.in
M	extensions/desktop_background/desktop_background.extension.in.in
M	extensions/edit_metadata/edit_metadata.extension.in.in
M	extensions/exiv2_tools/exiv2_tools.extension.in.in
M	extensions/facebook/facebook.extension.in.in
M	extensions/file_manager/file_manager.extension.in.in
M	extensions/file_tools/file_tools.extension.in.in
M	extensions/find_duplicates/find_duplicates.extension.in.in
M	extensions/flicker/flicker.extension.in.in
M	extensions/gstreamer_tools/gstreamer_tools.extension.in.in
M	extensions/image_print/image_print.extension.in.in
M	extensions/image_rotation/image_rotation.extension.in.in
M	extensions/image_viewer/image_viewer.extension.in.in
M	extensions/list_tools/list_tools.extension.in.in
M	extensions/map_view/map_view.extension.in.in
M	extensions/photo_importer/photo_importer.extension.in.in
M	extensions/photobucket/photobucket.extension.in.in
M	extensions/picasaweb/picasaweb.extension.in.in
M	extensions/raw_files/raw_files.extension.in.in
M	extensions/red_eye_removal/red_eye_removal.extension.in.in
M	extensions/rename_series/rename_series.extension.in.in
M	extensions/resize_images/resize_images.extension.in.in
M	extensions/search/search.extension.in.in
M	extensions/selections/selections.extension.in.in
M	extensions/slideshow/slideshow.extension.in.in
M	extensions/webalbums/webalbums.extension.in.in

commit f62615818474b924165ca70153ef807e9b90d0ff
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-31

    preferences: use a GtkListBox for the extensions

A	data/icons/hicolor/scalable/actions/extension-symbolic.svg
M	data/ui/extensions-preferences.ui
M	gthumb/dlg-preferences-extensions.c
M	gthumb/resources/gthumb.css

commit 5e7b1a41b2b8182533bcb606dadbd3123aebd1c0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-28

    histogram: fixed grid color

M	gthumb/resources/gthumb.css

commit 398d01470c8f5b514116eadbb03198b34f558a3e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-28

    histogram view: save and restore the scale type

M	data/org.gnome.gthumb.image-viewer.gschema.xml.in
M	extensions/image_viewer/gth-image-histogram.c
M	extensions/image_viewer/preferences.h

commit 5413c63e5bdc4a9e05134bbdc99ac424a4661234
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-28

    histogram: changed channels colors

M	gthumb/gth-histogram-view.c

commit 1b8122e0bbc3d5096c537b8657a283ee61c21229
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-28

    app menu: removed 'keyboard shortcuts'

M	gthumb/resources/app-menu.ui

commit d1c83eddc417533b2c5911d2489b5c78f16a14b3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-28

    updated POTFILES.in and the script to update it

M	po/POTFILES.in
M	po/update-potfiles.sh

commit 295dd5f79d296a8f1c4b48889447d7a473d5ae6a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-28

    histogram view: use a darker background color

M	gthumb/gth-histogram-view.c
M	gthumb/resources/gthumb.css

commit a6693153450a4ac280776aecb3e919948b5cc524
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-28

    rename dialog: use symbolic icons

M	data/icons/hicolor/scalable/actions/Makefile.am
A	data/icons/hicolor/scalable/actions/edit-symbolic.svg
M	extensions/rename_series/data/ui/code-selector.ui
M	extensions/rename_series/data/ui/rename-series.ui

commit ef0d3a37a1ba1dc85a86ef6b1a7eed137271e8fa
Author: Marek Černocký <marek@manet.cz>
Date:	2013-12-24

    Updated Czech translation

M	po/cs.po

commit 908c8b019432737df5ce048433984d3a1763d726
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-20

    fixed the website link

M	gthumb/gth-browser-actions-callbacks.c

commit dee931d95d44de54ff4481d273bb857e987572c0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-12-18

    Updated Spanish translation

M	po/es.po

commit 195acbd07259e8eec2714c4fe996755455928cfd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-17

    redeye: derive from GTH_TYPE_IMAGE_VIEWER_PAGE_TOOL

M	extensions/red_eye_removal/gth-file-tool-red-eye.c
M	extensions/red_eye_removal/gth-file-tool-red-eye.h

commit 724577912772ade4b9074d9cd66dafaf23d86b72
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-12-17

    Updated Spanish translation

M	po/es.po

commit 9a488a3d158380460937bcf81ed21b1f95b87ae2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-12-16

    Fix translator-credits

M	gthumb/gth-browser-actions-callbacks.c

commit 14696d4d4082be85ddb664787700aed6438a0a07
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-12-10

    Updated Spanish translation

M	po/es.po

commit 44e86979533062f474e2dced8baed7e4c44f54d5
Author: Marek Černocký <marek@manet.cz>
Date:	2013-12-09

    Updated Czech translation

M	po/cs.po

commit bfd1da0a06d04350d7f90b4e68aa9e0384fc44b7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-08

    image viewer: update the image quality after setting the image

M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/gth-image-preloader.c

commit 6c98d56027dbed8ef3fffa8f2ddee1b5dde1f3d7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-08

    tiff saver: renamed some functions

M	extensions/cairo_io/gth-image-saver-tiff.c

commit 7fe050eb472ca80d900b911c2150772af26019dc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-08

    added a custom tiff loader

M	configure.ac
M	extensions/cairo_io/Makefile.am
A	extensions/cairo_io/cairo-image-surface-tiff.c
A	extensions/cairo_io/cairo-image-surface-tiff.h
M	extensions/cairo_io/main.c

commit 9e140131e64ab15c83e74020cd19c363866659b5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-08

    image viewer: do not update the visibility if not active

M	extensions/image_viewer/gth-image-viewer-page.c

commit 2bd0bb16281dc917c692dea784dfd712b586dbfe
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-01

    browser: removed the shadow from the tree view

M	gthumb/gth-browser.c

commit db7b717db520e1bc976514535034d494d7e7a12f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-01

    file properties: show only the basic properties, allow to show all
    of them

M	data/org.gnome.gthumb.gschema.xml.in
M	extensions/exiv2_tools/exiv2-utils.cpp
M	gthumb/gth-file-properties.c
M	gthumb/gth-main-default-metadata.c
M	gthumb/gth-preferences.h

commit 3dfbaa3d1debb1a26d53cd99e9a065d254bf0918
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-01

    Rotating image destroys XMP and IPTC metadata

    [bug #719622]

M	extensions/exiv2_tools/exiv2-utils.cpp

commit a8c2b3c326ed74865f732f54358a37e06cd74a0f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-12-01

    exposure: prefix the iso speed field with 'ISO'

M	extensions/exiv2_tools/exiv2-utils.cpp

commit 5f314bd333835362e6b28576515d6c8edc3ab1d1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-29

    added attribute Exposure to show the exposure settings

    in the file list is convenient to show the exposure settings on a
    single line

M	extensions/exiv2_tools/exiv2-utils.cpp
M	gthumb/gth-main-default-metadata.c

commit 60a990425b24a1ce12aed095918ff8241d7183dc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-26

    Command line ignored for the second window

    [bug #712716]

M	gthumb/main.c

commit 832d8599926909d0142a5bbaa300220b584a0732
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-26

    contact sheet: fixed warning

M	extensions/contact_sheet/dlg-contact-sheet.c

commit 32e2ff9c47cc7934f7a048845f3545d3feebd4fb
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-26

    contact sheet: fixed painting of the scaled image

M	extensions/contact_sheet/gth-contact-sheet-creator.c
M	gthumb/cairo-utils.c

commit 9f8e58748998fd2300d7c9e61e9302dc4dbb439e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-26

    contact sheet: fixed error when closing the dialog

    disconnect from the selection changed signal
    before destroying the dialog.

M	extensions/contact_sheet/dlg-contact-sheet.c

commit 37a669ef1cb99a752eab9d6b2ca6c8754165f6ef
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-26

    contact sheet: use simbolic icons

M	extensions/contact_sheet/data/ui/contact-sheet.ui
M	extensions/contact_sheet/data/ui/image-wall.ui

commit 8fa89b39ec8464b86efbc75d036d6cc9758d7823
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-11-20

    Updated Spanish translation

M	po/es.po

commit 129cc38bdec3ae87dd0fc751c5c23f5e608702bc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-19

    import from flickr: fixed dialog expantion

M	extensions/flicker_utils/data/ui/import-from-flickr.ui

commit a8b05ef9c011b7a916ab1e4cf48fdf6674e6f14f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-19

    import preferences: use the symbolic help icon

M	extensions/importer/data/ui/import-preferences.ui

commit 5a2fd2db5d3ca11e60a20d00eaf7fa5ae86a22e8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-19

    destination button: specify the subfolder style in the css file

M	extensions/importer/gth-import-destination-button.c
M	gthumb/resources/gthumb.css

commit 89ca6e57a6ff7a8b0bcb226c37ffe7b11aacefbd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-19

    always use the symbolic icon for catalogs

M	extensions/catalogs/gth-catalog.c
M	extensions/catalogs/gth-organize-task.c
M	extensions/facebook/dlg-export-to-facebook.c
M	extensions/facebook/dlg-import-from-facebook.c
M	extensions/flicker_utils/dlg-export-to-flickr.c
M	extensions/flicker_utils/dlg-import-from-flickr.c
M	extensions/photobucket/dlg-export-to-photobucket.c
M	extensions/photobucket/photobucket-album-properties-dialog.c
M	extensions/picasaweb/dlg-export-to-picasaweb.c
M	extensions/picasaweb/dlg-import-from-picasaweb.c

commit fae0100590dccbe65322b56f5d255a1f45e51b59
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-19

    sort dialog: use a series of radio buttons instead of a combobox

M	data/ui/sort-order.ui
M	gthumb/dlg-sort-order.c

commit 48fb011c878402f0b139124cd1334943b23558f9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-19

    removed the help buttons from the dialogs

M	data/ui/preferences.ui
M	extensions/burn_disc/gth-burn-task.c
M	extensions/catalogs/data/ui/catalog-properties.ui
M	extensions/catalogs/data/ui/organize-files.ui
M	extensions/catalogs/dlg-catalog-properties.c
M	extensions/catalogs/dlg-organize-files.c
M	extensions/change_date/data/ui/change-date.ui
M	extensions/change_date/dlg-change-date.c
M	extensions/contact_sheet/data/ui/contact-sheet.ui
M	extensions/contact_sheet/data/ui/image-wall.ui
M	extensions/contact_sheet/dlg-contact-sheet.c
M	extensions/contact_sheet/dlg-image-wall.c
M	extensions/convert_format/data/ui/convert-format.ui
M	extensions/convert_format/dlg-convert-format.c
M	extensions/edit_metadata/dlg-edit-metadata.c
M	extensions/edit_metadata/gth-edit-comment-dialog.c
M	extensions/find_duplicates/data/ui/find-duplicates-dialog.ui
M	extensions/find_duplicates/data/ui/find-duplicates.ui
M	extensions/find_duplicates/dlg-find-duplicates.c
M	extensions/find_duplicates/gth-find-duplicates.c
M	extensions/flicker_utils/data/ui/export-to-flickr.ui
M	extensions/flicker_utils/dlg-export-to-flickr.c
M	extensions/flicker_utils/dlg-import-from-flickr.c
M	extensions/photo_importer/data/ui/photo-importer.ui
M	extensions/photo_importer/dlg-photo-importer.c
M	extensions/photobucket/data/ui/export-to-photobucket.ui
M	extensions/photobucket/dlg-export-to-photobucket.c
M	extensions/rename_series/data/ui/rename-series.ui
M	extensions/rename_series/dlg-rename-series.c
M	extensions/resize_images/data/ui/resize-images.ui
M	extensions/resize_images/dlg-resize-images.c
M	extensions/webalbums/data/ui/web-album-exporter.ui
M	extensions/webalbums/dlg-web-exporter.c
M	gthumb/dlg-preferences.c

commit 6a8c1c323545da949d12bfbdfba0190bc3fb8b7f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-18

    added a backdrop stile for the comment

M	gthumb/resources/gthumb.css

commit 547c6901674d23bda74371689d9fb2fa12e1a80b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-17

    fixed compiler warnings

M	configure.ac
M	extensions/23hq/actions.c
M	extensions/23hq/callbacks.c
M	extensions/bookmarks/actions.c
M	extensions/bookmarks/callbacks.c
M	extensions/bookmarks/dlg-bookmarks.c
M	extensions/burn_disc/actions.c
M	extensions/burn_disc/callbacks.c
M	extensions/cairo_io/Makefile.am
M	extensions/cairo_io/cairo-image-surface-svg.c
M	extensions/cairo_io/cairo-image-surface-xcf.c
M	extensions/catalogs/actions.c
M	extensions/catalogs/callbacks.c
M	extensions/catalogs/callbacks.h
M	extensions/catalogs/dlg-add-to-catalog.c
M	extensions/change_date/actions.c
M	extensions/change_date/callbacks.c
M	extensions/change_date/dlg-change-date.c
M	extensions/comments/actions.c
M	extensions/comments/callbacks.c
M	extensions/comments/dlg-comments-preferences.c
M	extensions/contact_sheet/Makefile.am
M	extensions/contact_sheet/actions.c
M	extensions/contact_sheet/callbacks.c
M	extensions/contact_sheet/gth-contact-sheet-theme-dialog.c
M	extensions/convert_format/actions.c
M	extensions/convert_format/callbacks.c
M	extensions/desktop_background/actions.c
M	extensions/desktop_background/callbacks.c
M	extensions/edit_metadata/actions.c
M	extensions/edit_metadata/callbacks.c
M	extensions/edit_metadata/gth-edit-general-page.c
M	extensions/exiv2_tools/gth-edit-iptc-page.c
M	extensions/facebook/actions.c
M	extensions/facebook/callbacks.c
M	extensions/facebook/facebook-photo.c
M	extensions/file_manager/actions.c
M	extensions/file_manager/callbacks.h
M	extensions/file_tools/Makefile.am
M	extensions/file_tools/callbacks.c
M	extensions/file_tools/gth-file-tool-grayscale.c
M	extensions/file_tools/gth-image-rotator.c
M	extensions/find_duplicates/actions.c
M	extensions/find_duplicates/gth-find-duplicates.c
M	extensions/flicker/actions.c
M	extensions/flicker/callbacks.c
M	extensions/flicker_utils/flickr-service.c
M	extensions/flicker_utils/main.c
M	extensions/gstreamer_tools/actions.c
M	extensions/image_print/actions.c
M	extensions/image_print/callbacks.c
M	extensions/image_rotation/actions.c
M	extensions/image_rotation/callbacks.c
M	extensions/image_viewer/actions.c
M	extensions/image_viewer/gth-image-histogram.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	extensions/image_viewer/gth-metadata-provider-image.c
M	extensions/importer/Makefile.am
M	extensions/jpeg_utils/jmemorydest.c
M	extensions/jpeg_utils/jmemorysrc.c
M	extensions/jpeg_utils/main.c
M	extensions/list_tools/actions.c
M	extensions/list_tools/gth-script.c
M	extensions/map_view/gth-map-view.c
M	extensions/oauth/main.c
M	extensions/oauth/oauth-service.c
M	extensions/photo_importer/actions.c
M	extensions/photo_importer/callbacks.c
M	extensions/photobucket/actions.c
M	extensions/photobucket/callbacks.c
M	extensions/picasaweb/actions.c
M	extensions/picasaweb/callbacks.c
M	extensions/picasaweb/dlg-import-from-picasaweb.c
M	extensions/raw_files/main.c
M	extensions/rename_series/callbacks.c
M	extensions/resize_images/actions.c
M	extensions/resize_images/callbacks.c
M	extensions/search/actions.c
M	extensions/search/gth-search.c
M	extensions/selections/actions.c
M	extensions/selections/actions.h
M	extensions/selections/callbacks.c
M	extensions/slideshow/actions.c
M	extensions/webalbums/actions.c
M	extensions/webalbums/albumtheme.y
M	extensions/webalbums/callbacks.c
M	gthumb/Makefile.am
M	gthumb/cairo-scale.c
M	gthumb/dlg-preferences-extensions.c
M	gthumb/dlg-sort-order.c
M	gthumb/gio-utils.c
M	gthumb/glib-utils.c
M	gthumb/gth-auto-paned.c
M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-extensions.c
M	gthumb/gth-extensions.h
M	gthumb/gth-file-properties.c
M	gthumb/gth-file-store.c
M	gthumb/gth-filter.c
M	gthumb/gth-grid-view.c
M	gthumb/gth-image-loader.c
M	gthumb/gth-progress-dialog.c
M	gthumb/gth-test-chain.c
M	gthumb/gth-test.c
M	gthumb/gth-test.h
M	gthumb/gth-user-dir.c
M	gthumb/main-migrate-catalogs.c
M	gthumb/main.c

commit 4563236eeecab402e739d6c0c4607914299a59c6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-16

    media viewer: removed hack on the progress bar

    The default progress bar behaviour in gtk+ 3.10 is already what we
    want, this wasn't the case for previous versions of gtk+.

M	extensions/gstreamer_tools/gth-media-viewer-page.c

commit 7db46af42045149192212ffaf24ecb0f8fe20987
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-13

    request dialog: show the buttons

M	gthumb/gth-request-dialog.c
M	gthumb/gtk-utils.c

commit ac342435c39bc2f2ee7c6903620e9685003bba34
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-13

    fixed loading the home if the initial location is not present

M	gthumb/gth-browser.c

commit 8b595fe0e7ef54aaedaf7d5a51165ad88b83f002
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-13

    grid view: center the video thumbnail

M	gthumb/gth-grid-view.c

commit fdcb645d8127fa981ddb884691845087b2308a38
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-13

    image viewer: fixed curos pointer disappering

M	extensions/image_viewer/gth-image-viewer-page.c

commit 9dec2e3dd4506bdfe91eb7289c343c7740ea4a9e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-13

    find duplicates: use symbolic icons

M	extensions/find_duplicates/data/ui/find-duplicates-dialog.ui

commit 76d2d2663d464cb66db0954565d420a53169c161
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-11

    confirmation dialog: use the mnemonics in the buttons

M	gthumb/gtk-utils.c

commit 0143f44b21af70b2207c638266c9240240025cb2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-11

    Empty Options dialog after Canceling it once

    [bug #711788]

M	extensions/cairo_io/gth-image-saver-jpeg.c
M	extensions/cairo_io/gth-image-saver-png.c
M	extensions/cairo_io/gth-image-saver-tga.c
M	extensions/cairo_io/gth-image-saver-tiff.c
M	extensions/cairo_io/gth-image-saver-webp.c

commit 8218cdec4ff865934be88cea6df3e414230b6050
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-11

    tags entry: show the tag list in a popup window

M	extensions/edit_metadata/gth-edit-general-page.c
M	extensions/edit_metadata/gth-edit-tags-dialog.c
M	extensions/photo_importer/dlg-photo-importer.c
M	gthumb/gth-tags-entry.c
M	gthumb/gth-tags-entry.h
M	gthumb/gth-time-selector.c

commit a52e2d29c865207aca2991d5f5f71fbb305b0b0a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-11

    Buttons with label toolbutton1 and toolbutton2 in Bookmark window

    [bug #711777]

M	extensions/bookmarks/data/ui/bookmarks.ui

commit c50a4169d9e00ea8b4cdb6cabd3ce0be8a367ce3
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-11-10

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 5d47e70d73f2f81e266eeb0f9ee43fc05b02c646
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-10

    photo importer: use the same message used in the browser

M	extensions/photo_importer/dlg-photo-importer.c

commit 08190ccc2158053d956010b7f6cec52f03967132
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-10

    confirmation dialog: show the dialog buttons

M	gthumb/gtk-utils.c

commit d6ddf36ee857db97d423b6a93f5b60f7b5d5f218
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	2013-11-09

    gstreamer: set the button arrow icons according to the locale's
    text direction

    https://bugzilla.gnome.org/show_bug.cgi?id=711746

M	extensions/gstreamer_tools/data/ui/mediabar.ui
M	extensions/gstreamer_tools/gth-media-viewer-page.c

commit 8d000a0b737bec1893c27bee680d4eff0905d78f
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	2013-11-09

    headerbar: set the button arrow icons according to the locale's
    text direction

    https://bugzilla.gnome.org/show_bug.cgi?id=711741

M	gthumb/gth-browser.c

commit dde50cec2e2e429a8dc3cbdb2311716d721eec8b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-09

    progress dialog: fixed cancel button icon

M	gthumb/gth-progress-dialog.c

commit 848371b27ff44220be56e83554aace71df332722
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-09

    crop and resize: fixed padding

M	extensions/file_tools/data/ui/crop-options.ui
M	extensions/file_tools/data/ui/resize-options.ui

commit caa83dccaa44d7d502937ef13117eadb869f4f0a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-09

    crop and resize: hide the custom ratio controls when not needed

M	extensions/file_tools/gth-file-tool-crop.c
M	extensions/file_tools/gth-file-tool-resize.c

commit fef7c3775bcf65241340f6cb2914c604e1845d27
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-09

    image overview: disconnect from the viewer when finalizing

M	gthumb/gth-image-overview.c

commit 30a50b3600cfcc02b85a715dd2935ec1125761b1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-09

    image viewer: activate the has_window flag

M	gthumb/gth-image-viewer.c

commit 60c7ea0395b9db6b8a0f7d8a185137af8e8aebf0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-09

    image overview: fixed pointer grub

M	gthumb/gth-image-overview.c

commit 0b2b92e5c14e49f8040035117e5b9f60177a4004
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-09

    time selector: fixed pointer and keyboard grab

M	gthumb/gth-time-selector.c

commit 4624beb40cc395ff12626c7088ad9210e4828245
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-09

    distribute resources.xml

M	extensions/photo_importer/Makefile.am

commit 1e0d72463d7a0ec234aaa249e8defed65c0f578e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-09

    added reference to missing header file

M	extensions/photo_importer/Makefile.am

commit 983ae27922a8e136ff6738579247e09b02b5d46e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-09

    removed reference to deleted ui file

M	extensions/gstreamer_tools/data/ui/Makefile.am

commit 75d4d72c9d657ec128be4421fdb1e9aff978567d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-08

    contact sheet properties: added a missing symbolic icon

M	data/icons/hicolor/scalable/actions/Makefile.am
A	data/icons/hicolor/scalable/actions/swap-values-symbolic.svg
M	extensions/contact_sheet/data/ui/contact-sheet-theme-properties.ui

commit 191740432d026c829f4cab2ab02d0636bf3ff275
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-08

    updated POTFILES.in

M	po/POTFILES.in

commit 7ef4f35a4a8465fd360c605b5af97de2ec23ef08
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-08

    removed use of deprecated API

M	configure.ac
M	extensions/bookmarks/actions.c
M	extensions/bookmarks/actions.h
M	extensions/burn_disc/gth-burn-task.c
M	extensions/catalogs/actions.c
M	extensions/catalogs/callbacks.c
M	extensions/catalogs/dlg-add-to-catalog.c
M	extensions/catalogs/gth-file-source-catalogs.c
M	extensions/contact_sheet/gth-contact-sheet-theme-dialog.c
M	extensions/desktop_background/actions.c
M	extensions/desktop_background/actions.h
M	extensions/edit_metadata/actions.c
M	extensions/edit_metadata/actions.h
M	extensions/edit_metadata/callbacks.c
M	extensions/edit_metadata/gth-edit-comment-dialog.c
M	extensions/edit_metadata/gth-edit-tags-dialog.c
M	extensions/facebook/actions.h
M	extensions/facebook/facebook-album-properties-dialog.c
M	extensions/file_manager/actions.c
M	extensions/file_manager/callbacks.c
M	extensions/find_duplicates/gth-find-duplicates.c
M	extensions/find_duplicates/gth-folder-chooser-dialog.c
D	extensions/gstreamer_tools/data/ui/save-screenshot.ui
M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	extensions/gstreamer_utils/gstreamer-utils.c
M	extensions/image_rotation/rotation-utils.c
M	extensions/importer/gth-import-destination-button.c
M	extensions/importer/gth-import-preferences-dialog.c
M	extensions/importer/gth-import-task.c
M	extensions/list_tools/dlg-personalize-scripts.c
M	extensions/list_tools/gth-script-editor-dialog.c
M	extensions/map_view/gth-map-view.c
M	extensions/oauth/oauth-account-chooser-dialog.c
M	extensions/oauth/oauth-account-manager-dialog.c
M	extensions/oauth/oauth-ask-authorization-dialog.c
M	extensions/oauth/web-service.c
M	extensions/photo_importer/actions.c
M	extensions/photo_importer/actions.h
M	extensions/photobucket/photobucket-album-properties-dialog.c
M	extensions/picasaweb/picasa-album-properties-dialog.c
M	extensions/rename_series/dlg-rename-series.c
M	extensions/rename_series/gth-template-editor-dialog.c
M	extensions/search/actions.c
M	extensions/slideshow/gth-slideshow-preferences.c
M	extensions/slideshow/gth-slideshow.c
M	extensions/webalbums/gth-web-exporter.c
M	gthumb/Makefile.am
M	gthumb/dlg-preferences-extensions.c
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser.c
M	gthumb/gth-empty-list.c
M	gthumb/gth-file-chooser-dialog.c
M	gthumb/gth-file-properties.c
M	gthumb/gth-file-source-vfs.c
M	gthumb/gth-filter-editor-dialog.c
M	gthumb/gth-folder-tree.c
M	gthumb/gth-grid-view.c
M	gthumb/gth-histogram-view.c
M	gthumb/gth-image-overview.c
D	gthumb/gth-menu-action.c
D	gthumb/gth-menu-action.h
D	gthumb/gth-menu-button.c
D	gthumb/gth-menu-button.h
M	gthumb/gth-overwrite-dialog.c
M	gthumb/gth-progress-dialog.c
M	gthumb/gth-request-dialog.c
D	gthumb/gth-stock.h
M	gthumb/gth-test-selector.c
M	gthumb/gth-time-selector.c
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h
M	gthumb/main.c

commit cb1c5f96fac5b103f31ea216a8e4d42e347f96cd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-07

    do not hide the viewer controls when the pointer is over one of them

M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h

commit 54aadb14803061aa7e3750af15a9a04aa7b2b583
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-07

    show the entry points in the registered order

M	gthumb/gth-main.c

commit f1c855a68b3c0bf6a891e347ff21a987c221c466
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-07

    folder list: show the root folder again

M	gthumb/gth-file-source-vfs.c

commit 8cb4b420db234dc47b4834dd9965558062f5d9b8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-07

    use the dark theme

M	gthumb/main.c

commit 55e3dfe1e80fe40ad5f0eeba78cc78ac4a428a57
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-07

    use the default icon for bookmarks

M	data/icons/hicolor/scalable/actions/Makefile.am
D	data/icons/hicolor/scalable/actions/bookmarks-symbolic.svg
M	extensions/bookmarks/callbacks.c

commit 3f50d95c6185c0baea8f6b549b504a7a1560bf63
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-06

    folder tree: keep the entry points sorted by source

M	gthumb/gth-main.c

commit bc58dbfcf3d2a393a0b5ce02d3ecea21668cdaa7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-06

    use symbolic icons everywhere

M	configure.ac
M	data/icons/hicolor/16x16/actions/Makefile.am
D	data/icons/hicolor/16x16/actions/application-extension.png
D	data/icons/hicolor/16x16/actions/file-catalog.png
D	data/icons/hicolor/16x16/actions/file-library.png
D	data/icons/hicolor/16x16/actions/file-search.png
D	data/icons/hicolor/16x16/actions/histogram-linear.png
D	data/icons/hicolor/16x16/actions/histogram-logarithmic.png
D	data/icons/hicolor/16x16/actions/histogram.png
D	data/icons/hicolor/16x16/actions/map.png
D	data/icons/hicolor/16x16/actions/tag.png
D	data/icons/hicolor/16x16/actions/tool-adjust-colors.png
D	data/icons/hicolor/16x16/actions/tool-adjust-contrast.png
D	data/icons/hicolor/16x16/actions/tool-crop.png
D	data/icons/hicolor/16x16/actions/tool-flip.png
D	data/icons/hicolor/16x16/actions/tool-grayscale.png
D	data/icons/hicolor/16x16/actions/tool-invert.png
D	data/icons/hicolor/16x16/actions/tool-mirror.png
D	data/icons/hicolor/16x16/actions/tool-red-eye.png
D	data/icons/hicolor/16x16/actions/tool-resize.png
D	data/icons/hicolor/16x16/actions/tool-rotate-270.png
D	data/icons/hicolor/16x16/actions/tool-rotate-90.png
D	data/icons/hicolor/16x16/actions/tool-rotate.png
D	data/icons/hicolor/16x16/actions/tool-sharpen.png
M	data/icons/hicolor/22x22/Makefile.am
D	data/icons/hicolor/22x22/actions/Makefile.am
D	data/icons/hicolor/22x22/actions/application-extension.png
D	data/icons/hicolor/22x22/actions/file-catalog.png
D	data/icons/hicolor/22x22/actions/file-library.png
D	data/icons/hicolor/22x22/actions/file-search.png
D	data/icons/hicolor/22x22/actions/histogram.png
D	data/icons/hicolor/22x22/actions/palette.png
D	data/icons/hicolor/22x22/actions/selection.png
D	data/icons/hicolor/22x22/actions/share.png
D	data/icons/hicolor/22x22/actions/tag.png
D	data/icons/hicolor/22x22/actions/tool-adjust-colors.png
D	data/icons/hicolor/22x22/actions/tool-adjust-contrast.png
D	data/icons/hicolor/22x22/actions/tool-crop.png
D	data/icons/hicolor/22x22/actions/tool-grayscale.png
D	data/icons/hicolor/22x22/actions/tool-red-eye.png
D	data/icons/hicolor/22x22/actions/tool-resize.png
D	data/icons/hicolor/22x22/actions/tool-rotate.png
D	data/icons/hicolor/22x22/actions/tool-sharpen.png
M	data/icons/hicolor/48x48/Makefile.am
D	data/icons/hicolor/48x48/actions/Makefile.am
D	data/icons/hicolor/48x48/actions/file-catalog.png
D	data/icons/hicolor/48x48/actions/file-library.png
D	data/icons/hicolor/48x48/actions/file-search.png
M	data/icons/hicolor/scalable/actions/Makefile.am
M	data/icons/hicolor/scalable/actions/emblem-flag-symbolic.svg
A	data/icons/hicolor/scalable/actions/file-catalog-symbolic.svg
D	data/icons/hicolor/scalable/actions/file-catalog.svg
A	data/icons/hicolor/scalable/actions/file-library-symbolic.svg
D	data/icons/hicolor/scalable/actions/file-library.svg
A	data/icons/hicolor/scalable/actions/file-search-symbolic.svg
D	data/icons/hicolor/scalable/actions/file-search.svg
A	data/icons/hicolor/scalable/actions/format-linear-symbolic.svg
A
data/icons/hicolor/scalable/actions/format-logarithmic-symbolic.svg
A	data/icons/hicolor/scalable/actions/histogram-symbolic.svg
A	data/icons/hicolor/scalable/actions/map-symbolic.svg
D	data/icons/hicolor/scalable/actions/tag.svg
M	extensions/catalogs/data/ui/organize-files.ui
M	extensions/catalogs/dlg-organize-files.c
M	extensions/catalogs/gth-file-source-catalogs.c
M	extensions/file_viewer/gth-file-viewer-page.c
M	extensions/image_viewer/gth-image-histogram.c
M	extensions/map_view/gth-map-view.c
M	extensions/selections/gth-selections-manager.c
M	extensions/selections/gth-selections-manager.h
M	gthumb/dlg-preferences-extensions.c
M	gthumb/glib-utils.c
M	gthumb/glib-utils.h
M	gthumb/gth-browser.c
M	gthumb/gth-file-list.c
M	gthumb/gth-file-properties.c
M	gthumb/gth-file-source-vfs.c
M	gthumb/gth-folder-tree.c
M	gthumb/gth-histogram-view.c
M	gthumb/gth-location-chooser.c
M	gthumb/gth-multipage.c
M	gthumb/gth-tags-entry.c
M	gthumb/gth-uri-list.c

commit 37d0ddad921b7bbe7ed08c83f85f2f6b206a190a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-06

    comments: fixed date synchronization

M	extensions/comments/gth-comment.c

commit ddcb532c532162b24cf1aeb279a8cf9715f4f6b5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    add the SIDEBAR class to the sidebar

M	gthumb/gth-file-properties.c
M	gthumb/gth-sidebar.c
M	gthumb/gth-toolbox.c

commit c17310c033ff96918e1780a6573e2d53bf096bb3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    use the unicode ellipsis character instead of three dots

M	extensions/change_date/callbacks.c
M	extensions/contact_sheet/callbacks.c
M	extensions/convert_format/callbacks.c
M	extensions/file_viewer/gth-file-viewer-page.c
M	extensions/find_duplicates/callbacks.c
M	extensions/find_duplicates/gth-find-duplicates.c
M	extensions/oauth/oauth-account-chooser-dialog.c
M	extensions/oauth/web-service.c
M	extensions/photo_importer/callbacks.c
M	extensions/photo_importer/dlg-photo-importer.c
M	extensions/picasaweb/callbacks.c
M	extensions/resize_images/callbacks.c
M	extensions/search/gth-search-task.c
M	extensions/webalbums/callbacks.c
M	extensions/webalbums/gth-web-exporter.c
M	gthumb/glib-utils.c
M	gthumb/gth-browser.c
M	gthumb/gth-filterbar.c
M	gthumb/gth-folder-tree.c

commit 95aac060d94c6ffe93bc5fd117690b617053fca8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    image viewer: fixed hiding of the overview widget

M	extensions/image_viewer/gth-image-viewer-page.c

commit c8f4d2c9db17944841cb5592a265c47bdd6957d7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    about dialog: use 'gThumb', updated copyright year

M	gthumb/gth-browser-actions-callbacks.c

commit 28f753a49785dbac7573b1bcf004e579acf0a70e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    grid view: fixed drawing of the image preview

M	gthumb/gth-grid-view.c

commit 46c4e8981f0304a21d1de222880801882a89d5b7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    added an accelerator to reload the folder

M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h

commit 5914c29e623ae8d39d58457f07b467ba66c02b2b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    use a symbolic icon for the image navigator button

M	data/icons/hicolor/16x16/actions/Makefile.am
D	data/icons/hicolor/16x16/actions/image-navigator.png
M	data/icons/hicolor/scalable/actions/Makefile.am
A	data/icons/hicolor/scalable/actions/image-navigator-symbolic.svg
M	gthumb/gth-image-navigator.c

commit 3ecd511cb32b84f14eb1afa23f25e8225071fc50
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    catalog popup: put the catalog commands in the right menu section

M	extensions/catalogs/callbacks.c
M	extensions/file_manager/callbacks.c

commit b7cb822a13e47a14981404c9b1ffd42286cd52ef
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    rename series: update the sensitivity of the command

M	extensions/file_manager/callbacks.c
M	extensions/rename_series/callbacks.c

commit e6cec5a4ecc41f7acb36b0bfc9345314b2fba930
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    image viewer: do not hide the pointer if not in fullscreen mode

M	extensions/image_viewer/gth-image-viewer-page.c

commit de3b46bbc8e6cdc2ce3444dee215eb0b46a009ee
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    image viewer: hide the overview after a delay

M	extensions/image_viewer/gth-image-viewer-page.c

commit c3686f3b8c7bc7ee492d636fc0f1b132618e9f95
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    image viewer: some image loading optimizations

M	extensions/image_viewer/gth-image-viewer-page.c

commit 053584b939ae2afd057cd3acfca746dce5971e00
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    file properties: make the columns size fixed

M	gthumb/gth-file-properties.c

commit 78a0d9ffd82e4eeaec8f329abab0120391190dcd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    file properties: use a normal size for the section name

M	gthumb/gth-file-properties.c

commit f2adb9aeeb237f4023b66ec573c98cea7d8cb082
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    added a special style for the comment

M	gthumb/gth-file-properties.c
M	gthumb/gth-window.c
M	gthumb/resources/gthumb.css

commit ba7a2364f0d1d109bd35c7a69b63ae9f763d8450
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    dragger: scale only after a timeout

M	gthumb/gth-image-dragger.c

commit 123ebf0fe171d2f8ee58484f6f2ea9616e5d2dd5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    removed unused variables

M	gthumb/gth-browser.c

commit cef9aeae343b06535d8e56cdfba18890ad737bf0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    mediabar: use a volume button

M	extensions/gstreamer_tools/gth-media-viewer-page.c

commit 14848d8a37c9ac56471c6c4678244d8d72ecc6d5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    media player: hide the mediabar after a timeout

M	extensions/gstreamer_tools/data/ui/mediabar.ui
M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	gthumb/gth-browser.c

commit b66427a3284d3e4f17bb380442c2347f989f2f28
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    preloader: added debug code

M	gthumb/gth-image-preloader.c

commit b67b20746bef178a653cfc989cedcb79dae5153f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-05

    reorganized the header bar buttons and sections

M	extensions/catalogs/callbacks.c
M	extensions/edit_metadata/callbacks.c
M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	extensions/image_rotation/callbacks.c
M	extensions/list_tools/data/ui/tools-menu.ui
M	extensions/slideshow/callbacks.c
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h

commit 9ff54c1019367a709c14761ebe5ae422c8a1e8a0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-04

    call gth_viewer_page_hide when closing the viewer

M	gthumb/gth-browser.c

commit fb3446e5e93d2ca6bc6c6778f1236d04f9b8a503
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-03

    dragger: make sure the widget is redrawn after changing the image

M	gthumb/gth-image-dragger.c

commit 4fe30a9f460d832fc45be42152207df48d4fe932
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-03

    image overview: fixed the proportions of the visible area

M	gthumb/gth-image-overview.c
M	gthumb/gth-image-viewer.c
M	gthumb/gth-image-viewer.h

commit d84cb360fc7f78c020c4ac700fc727da1e5f8c65
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-03

    export tools: use Export instead of Share

M	extensions/export_tools/callbacks.c

commit f2278dc64aa6a2d8c6f694c199c654208ad2e89b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-03

    added the delete command to the file context menu

M	extensions/file_manager/callbacks.c

commit 0bc9faf15ef04af47f71d8fabb2d05261262502b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-03

    sharpen: do not allow to zoom the preview

M	extensions/file_tools/gth-file-tool-sharpen.c

commit 6d77403c90b73fe0e28469100ec104ab6dd2adfc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-03

    browser: do not use the subtitle

    moved the subtitle info to the statusbar

M	gthumb/gth-browser.c

commit 5e72134a962cd1e9edce7513b632de1988c5b154
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-03

    cairo scale: fixed error if the size is zero

M	gthumb/cairo-scale.c

commit 521a3a65b5c2c9555af912040c5c2c64456c2471
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-03

    statusbar: show different info depending on the browser mode

M	gthumb/gth-browser.c
M	gthumb/gth-statusbar.c
M	gthumb/gth-statusbar.h

commit bf8b313693f348aaac9e7745fa8ded27d807c76c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-03

    added some new simbolic icons

M	data/icons/hicolor/scalable/actions/Makefile.am
M	data/icons/hicolor/scalable/actions/bookmarks-symbolic.svg
M	data/icons/hicolor/scalable/actions/convert-format-symbolic.svg
A	data/icons/hicolor/scalable/actions/export-symbolic.svg
C086	data/icons/hicolor/scalable/actions/convert-format-symbolic.svg
data/icons/hicolor/scalable/actions/filter-symbolic.svg
M	data/icons/hicolor/scalable/actions/tools-symbolic.svg

commit 7a096c7f5bc228b1dd7fb53875182516e6f69792
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-03

    removed some unused icons

M	data/icons/hicolor/scalable/actions/Makefile.am
D	data/icons/hicolor/scalable/actions/browser-mode.svg
D	data/icons/hicolor/scalable/actions/palette.svg
D	data/icons/hicolor/scalable/actions/share.svg
D	data/icons/hicolor/scalable/actions/tool-adjust-contrast.svg
D	data/icons/hicolor/scalable/actions/tool-sharpen.svg

commit fbe63ad92f8a3bc43afe72861faf663676c65a6a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-03

    removed ability to hide the thumbnails

    useless option

M	data/org.gnome.gthumb.gschema.xml.in
M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/gth-preferences.h
M	gthumb/resources/gears-menu.ui

commit bce7de5b8c6794f4300452cd21cfddb6612fec47
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-03

    removed shrink wrap

M	data/org.gnome.gthumb.gschema.xml.in
M	extensions/file_viewer/gth-file-viewer-page.c
M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/gth-preferences.h
M	gthumb/gth-viewer-page.c
M	gthumb/gth-viewer-page.h
M	gthumb/resources/file-menu.ui

commit 04c575f460665348fd4c10b2206fbe3b2ad57f3d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-01

    browser: moved the viewer VIEW commands on the left

M	gthumb/gth-browser.c

commit a1e6f4dcd349a3a4148297f8c8bb11285a374285
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-01

    viewer: always use GTH_FIT_*_IF_LARGER instead of GTH_FIT_*

M	extensions/image_viewer/actions.c
M	extensions/image_viewer/gth-image-viewer-page.c

commit 91fbcc1b2f93dd37d9a1da1d51866152d63821a6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-01

    GthImageViewer: do not use the rgba visual

M	gthumb/gth-image-viewer.c

commit 97fa09322248dcc9518e70022b5837602ca5ca25
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-01

    GthImageViewer: removed obsolete code

M	gthumb/gth-image-viewer.c

commit 8e81df7dff1bc67bc533de4a57a3622a7cb52c23
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-01

    GthImageViewer: fixed centered zoom

M	gthumb/gth-image-viewer.c

commit c6ff64314345e57a20fb1a310938362e1a4b61c4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-01

    image viewer: use a GthImageOverview to scroll the image

M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/gth-image-overview.c
M	gthumb/gth-image-overview.h
M	gthumb/gth-image-viewer.c
M	gthumb/gth-image-viewer.h

commit bdf352dbb8cb0f27f4059daffa57e09ddfb014eb
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-11-01

    reset all the viewer properties when setting the default tool

M	extensions/image_viewer/gth-image-viewer-page.c

commit b91dc2d19b6b51de379bb5df58ed4ef055ed37e3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-31

    image viewer: fixed FIT_SIZE_IF_LARGER

M	gthumb/gth-image-viewer.c

commit 55d7a50ce3387852ffe40b5b81edaaa500a1fe37
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-31

    image viewer: reset the zoom when resetting the default tool

M	extensions/image_viewer/gth-image-viewer-page.c

commit 315aaa5abcd6e07487fd671c6560f18d5dc18387
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-31

    fixed rotation icons

M	data/icons/hicolor/scalable/actions/image-rotate-left-symbolic.svg
M
data/icons/hicolor/scalable/actions/image-rotate-right-symbolic.svg

commit 1ba83f007fac52f3eaeac5cbb77f95ccb9bc5eca
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-31

    do not load a better quality image if a tool is active

M	extensions/image_viewer/gth-image-viewer-page.c

commit c9832241dd9ac8925390cc976871c5a023c2f4f6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-31

    reset the default viewer tool after closing an editor tool

M	extensions/file_tools/gth-file-tool-adjust-colors.c
M	extensions/file_tools/gth-file-tool-crop.c
M	extensions/file_tools/gth-file-tool-grayscale.c
M	extensions/file_tools/gth-file-tool-resize.c
M	extensions/file_tools/gth-file-tool-rotate.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	extensions/image_viewer/gth-image-viewer-page.h
M	extensions/red_eye_removal/gth-file-tool-red-eye.c

commit 0645b39448a128d8c7b329ad4ca9ae51a892acbc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-31

    fixed the image selector

M	gthumb/gth-image-dragger.c
M	gthumb/gth-image-selector.c
M	gthumb/gth-image-viewer.c
M	gthumb/gth-image-viewer.h

commit 1b68c85c2eeb7c925d9879c70e7ec231ca9127a9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-31

    image viewer: fixed clip size

M	gthumb/gth-image-viewer.c

commit 084926d54e3ee8ceb41223437165c9d79617eb68
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-31

    image viewer: fixed keeping the center of the image when zooming

M	gthumb/gth-image-viewer.c

commit 98426fe8c50cb859a6269694772d229b559d7602
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    require gtk+ 3.10

M	configure.ac

commit 69c1374f4b03f1227901be1e7529606946581eae
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    fullscreen information: use a black background and a symbolic icon

M	extensions/image_viewer/gth-image-viewer-page.c

commit 634acac2d9e4d539dac59a8507126bd1a412c1b7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    image viewer: add the accelerators

M	extensions/image_viewer/gth-image-viewer-page.c

commit a239b05b26318669ea52cbdede13dbcdf4b55b2b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    image navigator: moved the overview area to its own widget

M	gthumb/Makefile.am
M	gthumb/gth-image-navigator.c
A	gthumb/gth-image-overview.c
A	gthumb/gth-image-overview.h

commit 319004b8356702fb35e71a5c59991bc9aeeb492e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    removed use of deprecated gdk_window_set_user_data

M	gthumb/gth-empty-list.c

commit f1fd43c6d85b215ad24720ee6af8261fd3301cac
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    statusbar: activate ellipsizing for the labels

M	gthumb/gth-statusbar.c

commit 38030079fb1440ec5d78d3c161032f136a8101d8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    image viewer: show a frame around the image, removed unused options

M	data/org.gnome.gthumb.image-viewer.gschema.xml.in
M	extensions/image_viewer/data/ui/image-viewer-preferences.ui
M	extensions/image_viewer/gth-image-viewer-page.c
M	extensions/image_viewer/preferences.c
M	extensions/image_viewer/preferences.h
M	extensions/slideshow/gth-slideshow.c
M	gthumb/gth-image-dragger.c
M	gthumb/gth-image-dragger.h
M	gthumb/gth-image-viewer.c
M	gthumb/gth-image-viewer.h
M	gthumb/gth-overwrite-dialog.c

commit 15fcf9f3e65ea43dd0b5b2cb375ac4573bc6d0cf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    selections: use the new icon names

M	extensions/selections/callbacks.c
M	extensions/selections/gth-metadata-provider-selections.c
M	extensions/selections/gth-selections-manager.c
M	extensions/selections/gth-selections-manager.h

commit 9095e25da9a475fa1350693dfdc6827fc712b44f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    enable/disable the thumbnails in the viewer thumbnail list as well

M	gthumb/gth-browser.c

commit 1375b8daac75f1cb68794f1d0e67bd43acc175b5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    browser: use the SIDEBAR class for the sidebar

M	gthumb/gth-browser.c

commit 5e6888f7d97413813db9111e66b083b1bb245e8e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    added missing accelerators

M	extensions/file_manager/callbacks.c
M	gthumb/gth-browser-actions-entries.h

commit b1608d8ce4ffbfe9cb94b473363ea9d1908c2a24
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    thumbnail view: new thumbnail style

M	gthumb/cairo-utils.c
M	gthumb/gth-grid-view.c

commit a51c269fbf48c8546ef4a75eecced45b9d75ef74
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    reorganized the headerbar tools

M	extensions/change_date/callbacks.c
M	extensions/comments/callbacks.c
M	extensions/convert_format/callbacks.c
M	extensions/desktop_background/callbacks.c
M	extensions/edit_metadata/callbacks.c
M	extensions/export_tools/callbacks.c
M	extensions/file_tools/main.c
M	extensions/image_rotation/callbacks.c
M	extensions/image_rotation/callbacks.h
M	extensions/image_rotation/main.c
M	extensions/list_tools/callbacks.c
M	extensions/list_tools/data/ui/tools-menu.ui
M	extensions/list_tools/list-tools.h
M	extensions/resize_images/callbacks.c
M	extensions/slideshow/callbacks.c
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/gth-main-default-hooks.c
M	gthumb/gth-menu-manager.c
M	gthumb/resources/gears-menu.ui

commit ea901f4f0d8c5fc33d342347bedd20ecb0584976
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    use symbolic icons for the file tools, removed unused icons

M	configure.ac
M	data/icons/hicolor/16x16/actions/Makefile.am
D	data/icons/hicolor/16x16/actions/browser-mode.png
D	data/icons/hicolor/16x16/actions/selection.png
D	data/icons/hicolor/16x16/actions/selection1.png
D	data/icons/hicolor/16x16/actions/selection2.png
D	data/icons/hicolor/16x16/actions/selection3.png
D	data/icons/hicolor/16x16/actions/zoom-fit-height.png
D	data/icons/hicolor/16x16/actions/zoom-fit-width.png
M	data/icons/hicolor/22x22/actions/Makefile.am
D	data/icons/hicolor/22x22/actions/browser-mode.png
D	data/icons/hicolor/22x22/actions/zoom-fit-width.png
D	data/icons/hicolor/24x24/Makefile.am
D	data/icons/hicolor/24x24/actions/Makefile.am
D	data/icons/hicolor/24x24/actions/browser-mode.png
D	data/icons/hicolor/24x24/actions/zoom-fit-height.png
D	data/icons/hicolor/24x24/actions/zoom-fit-width.png
M	data/icons/hicolor/48x48/actions/Makefile.am
D	data/icons/hicolor/48x48/actions/browser-mode.png
D	data/icons/hicolor/48x48/actions/palette.png
D	data/icons/hicolor/48x48/actions/selection.png
D	data/icons/hicolor/48x48/actions/selection1.png
D	data/icons/hicolor/48x48/actions/selection2.png
D	data/icons/hicolor/48x48/actions/selection3.png
M	data/icons/hicolor/Makefile.am
M	data/icons/hicolor/scalable/actions/Makefile.am
A	data/icons/hicolor/scalable/actions/change-date-symbolic.svg
A	data/icons/hicolor/scalable/actions/convert-format-symbolic.svg
A	data/icons/hicolor/scalable/actions/emblem-flag-blue.svg
A	data/icons/hicolor/scalable/actions/emblem-flag-gray.svg
A	data/icons/hicolor/scalable/actions/emblem-flag-green.svg
A	data/icons/hicolor/scalable/actions/emblem-flag-red.svg
A	data/icons/hicolor/scalable/actions/emblem-flag-symbolic.svg
A
data/icons/hicolor/scalable/actions/image-adjust-colors-symbolic.svg
A
data/icons/hicolor/scalable/actions/image-adjust-contrast-symbolic.svg
A	data/icons/hicolor/scalable/actions/image-crop-symbolic.svg
A	data/icons/hicolor/scalable/actions/image-equalize-symbolic.svg
A
data/icons/hicolor/scalable/actions/image-flip-horizontal-symbolic.svg
A
data/icons/hicolor/scalable/actions/image-flip-vertical-symbolic.svg
A	data/icons/hicolor/scalable/actions/image-grayscale-symbolic.svg
A	data/icons/hicolor/scalable/actions/image-invert-symbolic.svg
A	data/icons/hicolor/scalable/actions/image-red-eye-symbolic.svg
A	data/icons/hicolor/scalable/actions/image-resize-symbolic.svg
A	data/icons/hicolor/scalable/actions/image-rotate-left-symbolic.svg
A
data/icons/hicolor/scalable/actions/image-rotate-right-symbolic.svg
A	data/icons/hicolor/scalable/actions/image-rotate-symbolic.svg
A	data/icons/hicolor/scalable/actions/image-sharpen-symbolic.svg
A	data/icons/hicolor/scalable/actions/tools-symbolic.svg
M	extensions/change_date/callbacks.c
M	extensions/convert_format/callbacks.c

commit c4370dabbff012ca076c2f303e6cee320481841a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-30

    toolbox: use a grid layout for the buttons

M	extensions/file_tools/gth-file-tool-adjust-colors.c
M	extensions/file_tools/gth-file-tool-adjust-contrast.c
M	extensions/file_tools/gth-file-tool-crop.c
M	extensions/file_tools/gth-file-tool-equalize.c
M	extensions/file_tools/gth-file-tool-flip.c
M	extensions/file_tools/gth-file-tool-grayscale.c
M	extensions/file_tools/gth-file-tool-mirror.c
M	extensions/file_tools/gth-file-tool-negative.c
M	extensions/file_tools/gth-file-tool-redo.c
M	extensions/file_tools/gth-file-tool-resize.c
M	extensions/file_tools/gth-file-tool-rotate-left.c
M	extensions/file_tools/gth-file-tool-rotate-right.c
M	extensions/file_tools/gth-file-tool-rotate.c
M	extensions/file_tools/gth-file-tool-save-as.c
M	extensions/file_tools/gth-file-tool-save.c
M	extensions/file_tools/gth-file-tool-sharpen.c
M	extensions/file_tools/gth-file-tool-undo.c
M	extensions/red_eye_removal/gth-file-tool-red-eye.c
M	extensions/resize_images/callbacks.c
M	gthumb/gth-file-tool.c
M	gthumb/gth-file-tool.h
M	gthumb/gth-toolbox.c
M	gthumb/gth-toolbox.h

commit 5e1e3914c72974559ead1e02caa9c457b56da103
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-25

    location chooser: use the gicon directly

M	gthumb/gth-location-chooser.c

commit 6c0367dc0b2b94d4ed7c80d30996cfed3417b6c0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-25

    removed use of EmbeddedDialog and GtkStatusbar

M	extensions/catalogs/callbacks.c
M	extensions/catalogs/dlg-organize-files.c
M	extensions/desktop_background/actions.c
M	extensions/desktop_background/callbacks.c
M	extensions/export_tools/callbacks.c
M	extensions/file_manager/callbacks.c
M	extensions/file_tools/gth-file-tool-flip.c
M	extensions/file_tools/gth-file-tool-mirror.c
M	extensions/file_tools/gth-file-tool-rotate-left.c
M	extensions/file_tools/gth-file-tool-rotate-right.c
M	extensions/find_duplicates/callbacks.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	extensions/search/actions.c
M	extensions/search/actions.h
M	extensions/search/callbacks.c
M	extensions/search/gth-search-task.c
M	extensions/selections/callbacks.c
M	gthumb/Makefile.am
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
D	gthumb/gth-embedded-dialog.c
D	gthumb/gth-embedded-dialog.h
M	gthumb/gth-info-bar.c
M	gthumb/gth-info-bar.h
A	gthumb/gth-location-bar.c
A	gthumb/gth-location-bar.h
M	gthumb/gth-statusbar.c
M	gthumb/gth-statusbar.h
D	gthumb/gth-toggle-menu-action.c
D	gthumb/gth-toggle-menu-action.h
D	gthumb/gth-toggle-menu-tool-button.c
D	gthumb/gth-toggle-menu-tool-button.h
M	gthumb/resources/gears-menu.ui

commit 7ab9d154c256ee1a783073555fac2e0e7dc6ff30
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-25

    removed untested Mac OS menu code

M	gthumb/gth-browser.c

commit f96cbaa7d7475cfdb50571b86ca3c5221bd2c865
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-25

    moved the remainging menubar actions to the gears menu or popup menus

M	data/org.gnome.gthumb.gschema.xml.in
M	extensions/bookmarks/data/ui/bookmarks-menu.ui
M	extensions/catalogs/actions.c
M	extensions/catalogs/actions.h
M	extensions/catalogs/callbacks.c
M	extensions/catalogs/callbacks.h
M	extensions/catalogs/main.c
M	extensions/desktop_background/callbacks.c
M	extensions/file_manager/callbacks.c
M	extensions/image_print/actions.c
M	extensions/image_print/actions.h
M	extensions/image_print/callbacks.c
M	extensions/image_print/main.c
M	extensions/image_viewer/Makefile.am
A	extensions/image_viewer/actions.c
C058	extensions/image_print/actions.h
extensions/image_viewer/actions.h
M	extensions/image_viewer/gth-image-viewer-page.c
M	extensions/selections/actions.c
M	extensions/selections/actions.h
M	extensions/selections/callbacks.c
M	gthumb/Makefile.am
M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
D	gthumb/gth-browser-ui.h
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/gth-embedded-dialog.c
M	gthumb/gth-preferences.h
M	gthumb/resources/file-list-menu.ui
M	gthumb/resources/file-menu.ui
M	gthumb/resources/gears-menu.ui

commit 6056b620ffd07975dc43d11e93e7b50e2d684779
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-23

    started porting of the context menus to GMenu

M	extensions/catalogs/callbacks.c
M	extensions/desktop_background/actions.c
M	extensions/desktop_background/actions.h
M	extensions/desktop_background/callbacks.c
M	extensions/edit_metadata/callbacks.c
M	extensions/file_manager/actions.c
M	extensions/file_manager/actions.h
M	extensions/file_manager/callbacks.c
M	extensions/find_duplicates/actions.c
M	extensions/find_duplicates/actions.h
M	extensions/find_duplicates/callbacks.c
M	extensions/search/callbacks.c
M	extensions/search/gth-search-task.c
M	gthumb/Makefile.am
D	gthumb/gedit-message-area.c
D	gthumb/gedit-message-area.h
M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/gth-embedded-dialog.c
M	gthumb/gth-embedded-dialog.h
M	gthumb/gth-grid-view.c
M	gthumb/gth-info-bar.h
M	gthumb/gth-menu-manager.c
M	gthumb/gthumb.gresource.xml
M	gthumb/resources/Makefile.am
A	gthumb/resources/file-list-menu.ui
A	gthumb/resources/file-menu.ui
A	gthumb/resources/folder-menu.ui

commit 82c90a9fdee8874c9f0d156ca7692e3d782df73e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-22

    window: usa a stack with a transition effect for changing pages

M	gthumb/gth-window.c

commit 1fd8f932bc73138538c923ba0b84f80a50f5287c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-22

    removed unused command

M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser.c

commit c585bd8ad7372db1e59f94076dfab657d7917de6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-22

    added the export commands to the headerbar, removed the toolbar

M	configure.ac
M	data/org.gnome.gthumb.gschema.xml.in
M	data/ui/preferences.ui
M	extensions/23hq/actions.c
M	extensions/23hq/actions.h
M	extensions/23hq/callbacks.c
M	extensions/Makefile.am
M	extensions/burn_disc/actions.c
M	extensions/burn_disc/actions.h
M	extensions/burn_disc/callbacks.c
M	extensions/change_date/callbacks.c
M	extensions/contact_sheet/actions.c
M	extensions/contact_sheet/actions.h
M	extensions/contact_sheet/callbacks.c
M	extensions/export_tools/Makefile.am
M	extensions/export_tools/callbacks.c
A	extensions/export_tools/data/Makefile.am
A	extensions/export_tools/data/ui/Makefile.am
A	extensions/export_tools/data/ui/export-menu.ui
C072	extensions/webalbums/actions.h
extensions/export_tools/export-tools.h
A	extensions/export_tools/resources.xml
M	extensions/facebook/Makefile.am
M	extensions/facebook/actions.c
M	extensions/facebook/actions.h
M	extensions/facebook/callbacks.c
M	extensions/facebook/facebook.extension.in.in
M	extensions/file_viewer/gth-file-viewer-page.c
M	extensions/flicker/Makefile.am
M	extensions/flicker/actions.c
M	extensions/flicker/actions.h
M	extensions/flicker/callbacks.c
M	extensions/flicker/flicker.extension.in.in
M	extensions/photo_importer/Makefile.am
M	extensions/photo_importer/actions.c
M	extensions/photo_importer/actions.h
M	extensions/photo_importer/callbacks.c
M	extensions/photo_importer/data/ui/Makefile.am
A	extensions/photo_importer/data/ui/import-menu.ui
M	extensions/photo_importer/dlg-photo-importer.c
M	extensions/photo_importer/main.c
C072	extensions/burn_disc/actions.h
extensions/photo_importer/photo-importer.h
A	extensions/photo_importer/resources.xml
M	extensions/photobucket/actions.c
M	extensions/photobucket/actions.h
M	extensions/photobucket/callbacks.c
M	extensions/picasaweb/actions.c
M	extensions/picasaweb/actions.h
M	extensions/picasaweb/callbacks.c
M	extensions/webalbums/actions.c
M	extensions/webalbums/actions.h
M	extensions/webalbums/callbacks.c
M	gthumb/dlg-preferences.c
M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser-ui.h
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/gth-menu-manager.c
M	gthumb/gth-menu-manager.h
M	gthumb/gth-preferences.c
M	gthumb/gth-preferences.h
M	gthumb/gth-toolbox.c
M	gthumb/resources/gears-menu.ui
M	gthumb/typedefs.h
M	po/POTFILES.in

commit b99b6b821dd579d9c12557d9bb06e83cba46a37a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-21

    use a GtkStack instead of a GtkNotebook

M	gthumb/gth-multipage.c
M	gthumb/gth-sidebar.c
M	gthumb/gth-sidebar.h
M	gthumb/gth-toolbox.c
M	gthumb/gth-toolbox.h

commit d76dec31935b7af756b35cfaa6ca607cc97b8d45
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-21

    moved all the list tools to the header bar

M	extensions/change_date/actions.c
M	extensions/change_date/actions.h
M	extensions/change_date/callbacks.c
M	extensions/comments/actions.c
M	extensions/comments/actions.h
M	extensions/comments/callbacks.c
M	extensions/convert_format/actions.c
M	extensions/convert_format/actions.h
M	extensions/convert_format/callbacks.c
M	extensions/edit_metadata/callbacks.c
M	extensions/image_rotation/callbacks.c
M	extensions/list_tools/actions.c
M	extensions/list_tools/actions.h
M	extensions/list_tools/callbacks.c
M	extensions/resize_images/actions.c
M	extensions/resize_images/actions.h
M	extensions/resize_images/callbacks.c

commit cdaabea3f55c90fa3fa979bdc88afc9a28a2036f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-21

    added the list tools to the header bar

M	Makefile.am
M
data/icons/hicolor/scalable/actions/view-zoom-fit-width-symbolic.svg
A	extension-resources.mk
M	extensions/bookmarks/Makefile.am
R100	extensions/bookmarks/gresource.xml
extensions/bookmarks/resources.xml
M	extensions/image_rotation/actions.c
M	extensions/image_rotation/actions.h
M	extensions/image_rotation/callbacks.c
M	extensions/list_tools/Makefile.am
M	extensions/list_tools/actions.c
M	extensions/list_tools/actions.h
M	extensions/list_tools/callbacks.c
M	extensions/list_tools/data/ui/Makefile.am
A	extensions/list_tools/data/ui/tools-menu.ui
M	extensions/list_tools/dlg-personalize-scripts.c
M	extensions/list_tools/gth-script-editor-dialog.c
M	extensions/list_tools/gth-script.c
C072	extensions/list_tools/actions.h extensions/list_tools/list-tools.h
A	extensions/list_tools/resources.xml
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/gth-menu-manager.c
M	gthumb/gth-menu-manager.h
M	m4/gthumb.m4

commit 7e365b5f174815624632698f0b4b1b634b7496d2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-20

    header bar: added other commands to the header bar

M	data/icons/hicolor/scalable/actions/Makefile.am
A	data/icons/hicolor/scalable/actions/comment-symbolic.svg
A	data/icons/hicolor/scalable/actions/palette-symbolic.svg
A	data/icons/hicolor/scalable/actions/tag-symbolic.svg
M	data/icons/hicolor/scalable/actions/view-presentation-symbolic.svg
A	data/icons/hicolor/scalable/actions/view-zoom-fit-symbolic.svg
A
data/icons/hicolor/scalable/actions/view-zoom-fit-width-symbolic.svg
A	data/icons/hicolor/scalable/actions/view-zoom-in-symbolic.svg
A
data/icons/hicolor/scalable/actions/view-zoom-original-symbolic.svg
A	data/icons/hicolor/scalable/actions/view-zoom-out-symbolic.svg
M	extensions/edit_metadata/actions.c
M	extensions/edit_metadata/actions.h
M	extensions/edit_metadata/callbacks.c
M	extensions/edit_metadata/callbacks.h
M	extensions/edit_metadata/main.c
M	extensions/gstreamer_tools/actions.c
M	extensions/gstreamer_tools/actions.h
M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	extensions/image_print/callbacks.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser-ui.h
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/gth-window.c
M	gthumb/gth-window.h
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h

commit 7aaa1dd2a67d9229056d11901f86bf77a0c90f04
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    exit from the fullscreen when pressing escape

M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h

commit 1b53dbd4b317a0462cf6106b499443054fb7ef8c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    headerbar: separate the navigation commands from the rest

M	extensions/bookmarks/callbacks.c
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h

commit 3fd201f4b9a5d7807e55933c6982d6fcc9981d20
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    gears menu: added the accelerators back to show them in the menu

M	gthumb/resources/gears-menu.ui

commit 49722b215b1aa75154e576ded02e007b98405fc8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    updated POTFILE.in

M	po/POTFILES.in

commit 39a5cda1b2d5bee55415d2cca6f643f4c44900b1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    use a ui file to specify the history menu

M	gthumb/gth-browser.c
M	gthumb/gthumb.gresource.xml
M	gthumb/resources/Makefile.am
A	gthumb/resources/history-menu.ui

commit 358266370477083a855bd5470b1a0bfc165d9620
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    stop async operations after pressing escape

M	gthumb/gth-browser-actions-callbacks.c

commit 9808f3405b57f31811ed05693963092616962d8d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    do not save the browser size if in fullscreen mode

M	gthumb/gth-browser.c
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h

commit aa7de7d674232b26155003c8aea440586e5e72ee
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    removed unused menus

M	gthumb/gth-browser.c
M	gthumb/gth-browser.h

commit c4a092af6be9a2e4c8e7f67c2b79fe015f60f13b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    fixed installation of the accelerators specified in the menus

M	extensions/bookmarks/callbacks.c
M	extensions/bookmarks/data/ui/bookmarks-menu.ui
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser.c
M	gthumb/gth-window.c
M	gthumb/gth-window.h
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h
M	gthumb/resources/app-menu.ui
M	gthumb/resources/gears-menu.ui

commit 02d51b8c46a5c3c3a8f50aef57c3decf0db7cab4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    added the bookmarks to the headerbar

M	data/icons/hicolor/scalable/actions/Makefile.am
A	data/icons/hicolor/scalable/actions/bookmarks-symbolic.svg
M	extensions/bookmarks/Makefile.am
M	extensions/bookmarks/actions.c
M	extensions/bookmarks/actions.h
M	extensions/bookmarks/callbacks.c
M	extensions/bookmarks/data/ui/Makefile.am
A	extensions/bookmarks/data/ui/bookmarks-menu.ui
M	extensions/bookmarks/data/ui/bookmarks.ui
M	extensions/bookmarks/dlg-bookmarks.c
A	extensions/bookmarks/gresource.xml
M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser-ui.h
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/resources/gears-menu.ui

commit 3729585c5ef74abb2936a7f0d522d8a46cc63a16
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    moved the tests in the gthumb directory

M	Makefile.am
M	configure.ac
M	gthumb/Makefile.am
R100	tests/dom-test.c	gthumb/test-dom.c
R100	tests/glib-utils-test.c gthumb/test-glib-utils.c
R100	tests/gsignature-test.c gthumb/test-gsignature.c
R100	tests/oauth-test.c	gthumb/test-oauth.c
D	tests/Makefile.am

commit 966b4b651a9d06bf0e3148b762fbce8b73fe4833
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    automake: added the subdir-objects option as requested by a warning

M	configure.ac

commit bf8a54b3a21d20795e44897a7da9bda4370a21e6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-19

    removed the go and about menus

M	data/ui/location.ui
M	extensions/search/actions.c
M	extensions/search/actions.h
M	extensions/search/callbacks.c
M	gthumb/Makefile.am
M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser-ui.h
M	gthumb/gth-browser.c
D	gthumb/gth-window-actions-callbacks.c
D	gthumb/gth-window-actions-callbacks.h
D	gthumb/gth-window-actions-entries.h
M	gthumb/main.c
M	gthumb/resources/app-menu.ui
M	gthumb/resources/gears-menu.ui

commit 5157687ad77edaae3fec80f1d459b3d4bc6dfa20
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-18

    headerbar: added 'go up' and 'go home'

M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser.c

commit 766688a5cf01fbfabbb1ef950f1c469edc664323
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-18

    removed the history list from the Go menu

M	gthumb/gth-browser-ui.h
M	gthumb/gth-browser.c

commit 352e5e030a25e4a5e6c3f13bc4147b26f60e9757
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-18

    converted other actions, added an history menu button

M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser-ui.h
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h

commit 988662a127533f5471de287bc9483ed521ad6f83
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-18

    slideshow: removed use of GtkAction and GtkUIManager

M	extensions/slideshow/actions.c
M	extensions/slideshow/actions.h
M	extensions/slideshow/callbacks.c
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/gth-window.c
M	gthumb/gth-window.h

commit 99bf1febf9f8ee214a32aa617962125fe3187232
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-17

    README: updated links to the web site

M	README

commit 7449de3ac0520093fe93ef6d53841db19779ee38
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-17

    added the slideshow action and buttons

M	data/icons/hicolor/scalable/actions/Makefile.am
A	data/icons/hicolor/scalable/actions/view-presentation-symbolic.svg
M	extensions/slideshow/actions.c
M	extensions/slideshow/actions.h
M	extensions/slideshow/callbacks.c
M	gthumb/glib-utils.h
M	gthumb/gth-browser-actions-callbacks.h

commit 84e2e3aee5795886534a25a93ef59e1a1f41a116
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-17

    fixed the header bar buttons style

M	extensions/search/callbacks.c
M	gthumb/gth-browser.c
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h

commit a43e3eda059f379eb7a37c6dc26887157431cebc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-14

    removed unused variable

M	extensions/file_manager/callbacks.c

commit f69fe955ef3b76529db1dc70af1b9da2c95bf6d3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-14

    added a gear menu and a manager to modify it dynamically

M	extensions/file_manager/callbacks.c
M	extensions/search/callbacks.c
M	gthumb/Makefile.am
M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
A	gthumb/gth-menu-manager.c
A	gthumb/gth-menu-manager.h
M	gthumb/gthumb.gresource.xml
M	gthumb/resources/Makefile.am
A	gthumb/resources/gears-menu.ui

commit 78b9ba32a8c7d13de75065704db74256e673585c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-14

    started work to use the header bar instead of the menu bar

M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/gth-window.c
M	gthumb/gth-window.h

commit 0a7b40bf195201ead326aa862446687cdb660c20
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-13

    updated POTFILES.in

M	po/POTFILES.in

commit d78e78abcc79ce89a55b0d6a674b5c3e959b85ae
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-13

    define the application menu in an external file

M	gthumb/gthumb.gresource.xml
M	gthumb/main.c
M	gthumb/resources/Makefile.am
A	gthumb/resources/app-menu.ui

commit 3585bca33e1201cadf34133427d94d0321534ba7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-13

    preloader: do not resize the image to the requested size

    return the bigger image instead of resizing to the requested
    size to speed-up image visualization.

M	gthumb/gth-image-preloader.c

commit 735d09a498348d0b024761afb5b16d1c68fa8ffa
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-13

    viewer: do not call a zoom_changed when changing image

    this avoids some useless scaling

M	gthumb/gth-image-viewer.c

commit 956810ce5220dcf42710121e67baabf389294970
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-13

    dragger: avoid some useless zoom

M	gthumb/gth-image-dragger.c

commit e103a04988c778f7ef217dae5787d75c8161b9fe
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-12

    preloader: check whether the image is null before using it

M	gthumb/gth-image-preloader.c

commit 760c835a9b249af4ec0332c6c788405edfa4aa96
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-12

    jpeg loader: reset load_scaled if the image is loaded at the
    original size

M	extensions/cairo_io/cairo-image-surface-jpeg.c

commit f682c21244b1a5e7a7721eedb40d9320ed959e8c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-12

    dragger: do not update the scaled image if the zoom didn't change

M	gthumb/gth-image-dragger.c

commit 85a2ce84de9c614e334bd7229c7c170c12beffd5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-12

    fixed crash when viewing a broken image

M	gthumb/gth-image.c

commit 5eb2d7fa33a9efe6be38242e9df98da7fd616868
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-12

    file tools: use a separate dialog for the tool options

M	extensions/file_tools/data/ui/adjust-colors-options.ui
M	extensions/file_tools/data/ui/crop-options.ui
M	extensions/file_tools/data/ui/grayscale-options.ui
M	extensions/file_tools/data/ui/resize-options.ui
M	extensions/file_tools/data/ui/rotate-options.ui
M	extensions/file_tools/data/ui/sharpen-options.ui
M	extensions/file_tools/gth-file-tool-crop.c
M	extensions/file_tools/gth-file-tool-resize.c
M	extensions/file_tools/gth-file-tool-rotate.c

commit 6116516448f592249818959c5fa051517fc69eff
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-12

    rotate: show the options in a separate dialog

M	extensions/file_tools/data/ui/rotate-options.ui
M	extensions/file_tools/gth-file-tool-rotate.c

commit e0b55744fa5f2c84f878405bf8a17ccd2c0d356e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-11

    organize folder: fixed missing tag icon

M	data/icons/hicolor/16x16/actions/Makefile.am
A	data/icons/hicolor/16x16/actions/tag.png
M	extensions/catalogs/data/ui/organize-files-task.ui
M	extensions/catalogs/data/ui/organize-files.ui
M	extensions/catalogs/dlg-organize-files.c

commit f3771363c015282fb32a69dace759f8a4e716731
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-11

    fixed keeping the center of the image after changing zoom

M	gthumb/gth-image-viewer.c

commit e819e4fa81c72a307e598b45c4e7ef28d2787dda
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-11

    navigator: use a bigger popup

M	gthumb/gth-image-navigator.c

commit 955936c46514cf23b8a72add78b871eaa3e07dd8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-11

    navigator: fixed scrolling when not using the original image

M	gthumb/gth-image-navigator.c

commit 19ea0942a1bb77ff52ac20e20be438cea8ba9442
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-11

    rotation: removed old workaround for modal dialogs

M	extensions/image_rotation/gth-transform-task.c
M	extensions/image_rotation/rotation-utils.c
M	extensions/image_rotation/rotation-utils.h

commit a6f72deb38b43290219af2d6a27d1406811782bf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-11

    message dialog: set a max label size

M	gthumb/resources/message-dialog.ui

commit 54e0244ca5b7b261f9361992ec08f058993139a4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-11

    message dialog: activate the text wrap

M	gthumb/resources/message-dialog.ui

commit 8553130509005b5e9812cfa751f52e4cf14ddf19
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-11

    jpeg mem src: use the virtual function

M	extensions/jpeg_utils/jmemorysrc.c

commit 73b4fa97b721c37104219f56b68398159f5e32c9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-11

    image rotation: fixed error when using libjpeg_turbo

M	extensions/jpeg_utils/transupp-80.c
M	extensions/jpeg_utils/transupp-80.h

commit bc9ad8ef9e1395b35b9fc43575290a7c47cc1502
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-11

    browser: show only IO errors in the message area

M	gthumb/gth-browser.c

commit bb17baf292bad1f17dffb50be55c4c0d2cac7aaa
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-10

    web albums: fixed dialog layout

M	extensions/webalbums/data/ui/web-album-exporter.ui

commit 1ffec03a68f098770c5ad5651ef9a6fe1f6d6d1a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-10

    bookmarks: fixed the dialog layout

M	extensions/bookmarks/dlg-bookmarks.c

commit eec69d6beca1d84c57bf7525c85964d43e33f4f6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-10

    rename series: expand the file list

M	extensions/rename_series/dlg-rename-series.c

commit b8de149b361893e41019da97ac23b2ee839a71a9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-10

    fixed crash when opening the preferences dialog

M	gthumb/dlg-preferences-extensions.c

commit 5912895ae336fd4e0d40290df91ccb02dda477c9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-10

    print: get the right image when the image is modified

M	extensions/image_print/actions.c

commit 0611368c09710c82d0f920386e25740062f6ebaa
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-10

    added the G_GNUC_NULL_TERMINATED flag to some functions

M	gthumb/dom.c
M	gthumb/dom.h
M	gthumb/gedit-message-area.h
M	gthumb/glib-utils.h
M	gthumb/gth-main.c
M	gthumb/gth-main.h
M	gthumb/gth-test-chain.c
M	gthumb/gth-test-chain.h
M	gthumb/gth-user-dir.h

commit 05ec784908c00b861706df2dbc6438c10a93bf06
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-10

    load the original image when copying to the clipboard and saving

M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/Makefile.am
A	gthumb/gth-image-task-chain.c
A	gthumb/gth-image-task-chain.h
M	gthumb/gth-image-task.c
M	gthumb/gth-save-image-task.c
M	gthumb/gth-save-image-task.h

commit 625a92b55138465c42111887d3bb187120519f7c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-09

    derive all file tools from GthImageViewerPageTool

M	extensions/file_tools/gth-file-tool-adjust-colors.c
M	extensions/file_tools/gth-file-tool-adjust-contrast.c
M	extensions/file_tools/gth-file-tool-adjust-contrast.h
M	extensions/file_tools/gth-file-tool-crop.c
M	extensions/file_tools/gth-file-tool-crop.h
M	extensions/file_tools/gth-file-tool-equalize.c
M	extensions/file_tools/gth-file-tool-equalize.h
M	extensions/file_tools/gth-file-tool-flip.c
M	extensions/file_tools/gth-file-tool-flip.h
M	extensions/file_tools/gth-file-tool-grayscale.c
M	extensions/file_tools/gth-file-tool-grayscale.h
M	extensions/file_tools/gth-file-tool-mirror.c
M	extensions/file_tools/gth-file-tool-mirror.h
M	extensions/file_tools/gth-file-tool-negative.c
M	extensions/file_tools/gth-file-tool-negative.h
M	extensions/file_tools/gth-file-tool-resize.c
M	extensions/file_tools/gth-file-tool-resize.h
M	extensions/file_tools/gth-file-tool-rotate-left.c
M	extensions/file_tools/gth-file-tool-rotate-left.h
M	extensions/file_tools/gth-file-tool-rotate-right.c
M	extensions/file_tools/gth-file-tool-rotate-right.h
M	extensions/file_tools/gth-file-tool-rotate.c
M	extensions/file_tools/gth-file-tool-rotate.h
M	extensions/file_tools/gth-file-tool-save-as.c
M	extensions/file_tools/gth-file-tool-save-as.h
M	extensions/file_tools/gth-file-tool-save.c
M	extensions/file_tools/gth-file-tool-save.h
M	extensions/file_tools/gth-file-tool-sharpen.c
M	extensions/file_tools/gth-image-rotator.c
M	extensions/image_viewer/gth-image-viewer-page-tool.c
M	extensions/image_viewer/gth-image-viewer-page.c

commit db90cbcc0b70591fb54fb31f14a6c41d455f4eca
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-09

    adjust colors: derive from GthImageViewerPageTool

M	extensions/file_tools/gth-file-tool-adjust-colors.c
M	extensions/file_tools/gth-file-tool-adjust-colors.h
M	extensions/image_viewer/gth-image-viewer-page-tool.c
M	extensions/image_viewer/gth-image-viewer-page-tool.h

commit c5d2e90243dc5a5c9c2d2ca4ce30da0210dc838b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-09

    sharpen: derive from GthImageViewerPageTool

M	extensions/file_tools/gth-file-tool-sharpen.c
M	extensions/file_tools/gth-file-tool-sharpen.h

commit 6306fbef2b9edd66c347c13cabe054a01827b586
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-09

    added a base tool to load the original image asynchronously

M	extensions/image_viewer/Makefile.am
A	extensions/image_viewer/gth-image-viewer-page-tool.c
A	extensions/image_viewer/gth-image-viewer-page-tool.h
M	extensions/image_viewer/image-viewer.h
M	gthumb/gth-file-tool.c
M	gthumb/gth-file-tool.h

commit dacbbdc2f1c88af8ae36c9464f0abf5b51923feb
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-09

    do not show warnings for deprecated functions

M	configure.ac

commit ef163c3041b2fcac269dffc12366083e1cad511f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-06

    resize image: clear the metadata after resizing

M	extensions/file_tools/gth-file-tool-resize.c
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h

commit 1a98a3f8d68b61569c0d1aca1ce1a6dbeed89abc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-06

    viewer: added a way to get the modified image

    used in the desktop background tool

M	extensions/desktop_background/actions.c
M	extensions/image_viewer/gth-image-histogram.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	extensions/image_viewer/gth-image-viewer-page.h
M	gthumb/gth-image-preloader.c
M	gthumb/gth-image-preloader.h

commit 3322ae97c1b49b127dc4ec22ffe19138d8f0af05
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-06

    viewer: shorter delay to update the image quality

M	extensions/image_viewer/gth-image-viewer-page.c

commit 71b0e3e8e6cac8fdf0f360481fc2ebde899ad48c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-06

    viewer: fixed logic to set the modified image

M	extensions/image_viewer/gth-image-viewer-page.c

commit 9cb01f4c96525f38fca2b0ee2bcb98af829708b8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-06

    image viewer: added a function to get the image if present

M	gthumb/gth-image-viewer.c
M	gthumb/gth-image-viewer.h

commit daad538e3e2ba9f5e6de9aca974af3af75511227
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-06

    preloader: various errors fixed

M	gthumb/gth-image-preloader.c

commit 64a9269e5676d2faa869d16517c53c1c50f530da
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-06

    viewer: fixed the logic to get the requested size

M	extensions/image_viewer/gth-image-viewer-page.c

commit 8f4a883b49943502a477283eb6ab7b678c9cb06f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-06

    pixbuf loader: convert to a cairo surface and set the metadata

M	gthumb/pixbuf-io.c
M	gthumb/pixbuf-io.h

commit 11a55d01fb95a1bb39e69baaf3538169e0612725
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-06

    cairo scale: copy the metadata from the original image

M	gthumb/cairo-scale.c

commit 434077421ad7456f3057fccbbaa9de10df8248d4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-06

    do not update the quality of scalable images and animations

M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/gth-image-preloader.c
M	gthumb/gth-image-viewer.c
M	gthumb/gth-image.c
M	gthumb/gth-image.h

commit e10600c12009baa5ba390a0b0248188afe1878f2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-06

    raw files: get the original imae size correctly

M	extensions/raw_files/gth-metadata-provider-raw.c
M	extensions/raw_files/main.c

commit a92d777727950992f4bf171d54a34a7fd118b689
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-02

    update the quality after a delay

M	extensions/image_viewer/gth-image-viewer-page.c

commit 95c31a31f5f2e96f046715c15e5535f305a1c2ce
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-02

    image preloader: implemented a smarter cache

M	extensions/cairo_io/cairo-image-surface-jpeg.c
M	extensions/cairo_io/cairo-image-surface-jpeg.h
M	extensions/cairo_io/cairo-image-surface-png.c
M	extensions/cairo_io/cairo-image-surface-png.h
M	extensions/cairo_io/cairo-image-surface-svg.c
M	extensions/cairo_io/cairo-image-surface-svg.h
M	extensions/cairo_io/cairo-image-surface-webp.c
M	extensions/cairo_io/cairo-image-surface-webp.h
M	extensions/cairo_io/cairo-image-surface-xcf.c
M	extensions/cairo_io/cairo-image-surface-xcf.h
M	extensions/contact_sheet/gth-contact-sheet-creator.c
M	extensions/facebook/dlg-import-from-facebook.c
M	extensions/flicker_utils/dlg-import-from-flickr.c
M	extensions/image_print/gth-load-image-info-task.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	extensions/picasaweb/dlg-import-from-picasaweb.c
M	extensions/raw_files/main.c
M	extensions/webalbums/gth-web-exporter.c
M	gthumb/cairo-scale.c
M	gthumb/cairo-scale.h
M	gthumb/glib-utils.c
M	gthumb/gth-image-loader.c
M	gthumb/gth-image-loader.h
M	gthumb/gth-image-preloader.c
M	gthumb/gth-image-preloader.h
M	gthumb/gth-image-utils.c
M	gthumb/gth-image.h
M	gthumb/gth-overwrite-dialog.c
M	gthumb/gth-task.c
M	gthumb/gth-task.h
M	gthumb/gth-thumb-loader.c
M	gthumb/pixbuf-io.c
M	gthumb/pixbuf-io.h

commit 1e8f2388329c52e548d5437410ddbd2eed8a30f0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-25

    sharpen: use the original image in the preview

M	extensions/file_tools/gth-file-tool-sharpen.c

commit 000928a44b77b7fd4a74d298a09fb2098e699e30
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-25

    resize: cancel the operation when closing

M	extensions/file_tools/gth-file-tool-resize.c

commit 6efa20adaf0717f6c8a0d1c2529d51331b507a1a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-25

    resize: load the original image when the tool is activated

M	extensions/file_tools/gth-file-tool-resize.c

commit 24812cd1f7eafe308be0b4b1b5567759841cc144
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-25

    crop: removed unused variable

M	extensions/file_tools/gth-file-tool-crop.c

commit 96a2cf7dea2386e0f175822c756795df28bf9e11
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-24

    cairo scale: do not check task cancellation after each pixel

    check after each row, to enhance performance

M	gthumb/cairo-scale.c

commit 474d631802989f4a038d5dc2b227ef01e12f0952
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-24

    rotate image: load the original image using a GthImageViewerTask

M	extensions/file_tools/gth-file-tool-rotate.c
M	extensions/file_tools/gth-image-rotator.c
M	extensions/file_tools/gth-image-rotator.h

commit c665d884fdee9a0fa1b84bd16ac776ea2ddf342d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-24

    cairo rotate: allow to interrupt the rotation

M	extensions/file_tools/cairo-rotate.c
M	extensions/file_tools/cairo-rotate.h

commit 66b47b10ebeaf57cfd0ad963dea1ab53dbc271bf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-24

    desktop background: fixed logic to get the new wallpaper filename

M	extensions/desktop_background/actions.c

commit 3cf16698a573a1aa6ae825f5b4c2a3ea52badb78
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-22

    restore the correct image size when unding a change

M	extensions/image_viewer/gth-image-viewer-page.c

commit 1ed860d3b61362d4ddc189e851e8a88ebbed64bf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-22

    image selector: fixed errors when not using the original image

M	gthumb/gth-image-selector.c

commit 1174b1f7c9cd406582274c495a270bb09f18a37b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-22

    crop: load the original image using a GthImageViewerTask

M	extensions/file_tools/gth-file-tool-crop.c
M	extensions/image_viewer/image-viewer.h

commit c51b1aec0b835fdf2228923a4973a79ce6582650
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-22

    grayscale: use a GthImageViewerTask to load the original image

M	extensions/file_tools/gth-file-tool-grayscale.c

commit a9dd2acf091e8860693a4892564648922469fdfc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-22

    image task: keep a ref of the viewer page

M	extensions/image_viewer/gth-image-viewer-task.c

commit e035218789eab01b4b4bb3d0c64db1062b7b4128
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    cairo: allow to stop blurring and sharpening

M	extensions/file_tools/cairo-blur.c
M	extensions/file_tools/cairo-blur.h

commit a47e668f7f9e18c917b5b39157c9468eab4fd963
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    fixed the navigator when the loaded image is not at the original size

M	gthumb/gth-image-navigator.c
M	gthumb/gth-image-viewer.c
M	gthumb/gth-image-viewer.h

commit 93dd550b6bf87e7c4ed44143d52dd199163f7cbe
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    sharpen: use a GthImageViewerTask to get the original image

M	extensions/file_tools/gth-file-tool-sharpen.c

commit 53fb9706781c22c3d7bf7cc95a7a9e1850577d71
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    simplified a function call

M	extensions/resize_images/dlg-resize-images.c

commit e2b396c6708914f66803830e461498fca87ab453
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    print: set the current image only if modified

M	extensions/image_print/actions.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	extensions/image_viewer/gth-image-viewer-page.h

commit 5a49ea2a4120c76479b130400d5f1251e0618960
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    rotate right: load the original image using a GthImageViewerTask

M	extensions/file_tools/gth-file-tool-rotate-right.c

commit 48a249d5c1159e3c38027fbf3c99dffc855e3623
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    roate left: load the original image using a GthImageViewerTask

M	extensions/file_tools/gth-file-tool-rotate-left.c

commit 71c846c8fd5962b184b91b891abc462fb191f2d9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    negative: load the original image using a GthImageViewerTask

M	extensions/file_tools/gth-file-tool-negative.c

commit f5462f18af5836ad8e1ee4ed1f821c12511b008b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    equalize: removed unused variable

M	extensions/file_tools/gth-file-tool-equalize.c

commit 9d6ad259009506e6e088f091e499cb1323dc6c70
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    print: do not destroy an unowned image

M	extensions/image_print/actions.c

commit a6cc0102c31516d5b0d21e03d7c796cf90af1baf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    mirror: use a GthImageViewerTask to load the original image

M	extensions/file_tools/gth-file-tool-mirror.c

commit 996de67aa87ea929f55c0fe7ad2893dead44d450
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    flip: use a GthImageViewerTask to load the original image

M	extensions/file_tools/gth-file-tool-flip.c

commit c8afd5c2f01939a4ee60a8a4abe577688f0c0d6e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    equalize: use a GthImageViewerTask to load the original image

M	extensions/file_tools/gth-file-tool-equalize.c

commit 4938b9faee0e264edb2b835d0a9c17ee8ebbc5a9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    image viewer: added a common callback to set the modified image

M	extensions/file_tools/gth-file-tool-adjust-contrast.c
M	extensions/image_viewer/gth-image-viewer-task.c
M	extensions/image_viewer/gth-image-viewer-task.h

commit b4dcd7dfa283418252e0128689518ff0a4ea0b14
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    adjust contrast: removed unused variable

M	extensions/file_tools/gth-file-tool-adjust-contrast.c

commit 78e9ff4a16f16db623bf68f8a3e422f519a4fb5b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    adjust colors: removed unused variable

M	extensions/file_tools/gth-file-tool-adjust-colors.c

commit 278b6119523425e577c33f4d4a8dad356ba2de15
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    adjust contrast: use GthImageViewerTask to load the image

M	extensions/file_tools/gth-file-tool-adjust-contrast.c

commit 3cad48efc359d5cab5a0690225a62d9d2467e364
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    adjust colors: use GthImageViewerTask to load the image

M	extensions/file_tools/gth-file-tool-adjust-colors.c

commit eb6689bb3713fe5cf1060f536518e021239335cf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    added a GthImageViewerTask to simplify the code

    GthImageViewerTask is a GthImageTask that loads the original
    image from a GthImageViewerPage object.

M	extensions/image_viewer/Makefile.am
A	extensions/image_viewer/gth-image-viewer-task.c
A	extensions/image_viewer/gth-image-viewer-task.h
A	extensions/image_viewer/image-viewer.h
M	gthumb/gth-image-task.c
M	gthumb/gth-image-task.h

commit cb67c660ec7cacfafeb5a9f7ed6e277ee0654554
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    fixed error when getting the modified image

    return a GthImage instead of a cairo_surface_t

M	extensions/image_viewer/gth-image-viewer-page.c

commit cff9bdd767f878e2eb3cb6be610d0ddb716351fc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-21

    preloader: remove the source if set

M	gthumb/gth-image-preloader.c

commit 6601836707dad4ad3ebb59acbd2ef31a699151fd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-18

    adjust colors: use the async task to get the original image

M	extensions/file_tools/gth-file-tool-adjust-colors.c

commit 056ab282b58081dd37d25e9a97e8c84d19933975
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-18

    image viewer page: added async function to get the original image

M	extensions/image_viewer/gth-image-viewer-page.c
M	extensions/image_viewer/gth-image-viewer-page.h

commit 24a1391b9b94769860933267b72beaeea7fa2d2b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-18

    desktop background: fixed creation of a new filename

M	extensions/desktop_background/actions.c

commit 67312c23559bc3531037f3b9d36e826a04bd13ac
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-15

    removed unnecessary braces

M	gthumb/gth-image-preloader.c

commit 935465d02b3cd075938c5ec6715e8f88b0b56a59
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-15

    browser: do not load the metadata if the image changed

M	gthumb/gth-browser.c

commit 6a24cc0bea08dca79171864cef4bd1fe2f5b7cd3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-15

    preloader: set an error if the operation wasn't cancelled

M	extensions/image_viewer/gth-image-viewer-page.c

commit 6a1393f3bbff1f0fab1a7d5e54275e4e686ec12e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-15

    do not load a better quality a new image has been requested

M	extensions/image_viewer/gth-image-viewer-page.c

commit d571de1f1830a56f85aecfe11aa3c516da1d4db2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-15

    preloader: reload the image if the cached image isn't exactly the
    same size

M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/gth-image-preloader.c

commit c3edbb7af14e6a269b277dee7f57769cc9d31b45
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-14

    removed debug code

M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/gth-image-preloader.c

commit 461e2fb2cb13f3579ffba507c1debfcd1526b225
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-14

    browser: load the metadata after a timeout

M	gthumb/gth-browser.c

commit 1fcba770d26223a3689030a42ddc8193225771e3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-14

    slideshow: adapt to the new image preloader

M	extensions/slideshow/gth-slideshow.c

commit 6bf68a6ed1a9ecf17a235dfb0758c435f4e180b5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-14

    image viewer: adapt to the preloader changes

    store the requested size in the image history to keep track when
    a better quality is needed by the viewer

M	extensions/file_tools/gth-file-tool-resize.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h
M	gthumb/gth-image-history.c
M	gthumb/gth-image-history.h
M	gthumb/gth-image-viewer.c
M	gthumb/gth-image-viewer.h

commit af1f8caf1bfb5aedc365e3ac3a94c37db6e0d5f5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-14

    Simplified the image preloader

    Removed the two steps policy that loaded the image at the original
    size after loading it at the requested size.  Now it only loads the
    image at the requested size without the second step.

M	gthumb/gth-image-preloader.c
M	gthumb/gth-image-preloader.h
M	gthumb/gth-marshal.list

commit 1d2ffdaa055d4c52d842885d3c940a588082979c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-14

    thumbnailer: save the original image size into the thumbnail

M	extensions/cairo_io/cairo-image-surface-jpeg.c
M	extensions/cairo_io/cairo-image-surface-png.c
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h
M	gthumb/gth-thumb-loader.c
M	gthumb/pixbuf-utils.c

commit a91db582327ee8c9d4eeedae20ce3e31fd88ecd9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-10-27

    fixed display of the manual sub-sections

M	gthumb/gtk-utils.c

commit e19dadba278a1dda4a11850f7c58693b2d889859
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	2013-10-21

    help: fix calling help from withing the application.

    https://bugzilla.gnome.org/show_bug.cgi?id=710573

M	gthumb/gtk-utils.c

commit 4235afc0be3c38a6d04b95d554a15fe2d7144887
Author: Christian Krause <chkr@plauener.de>
Date:	2013-10-19

    Default parameters for image resizing are misleading

    [bug #710479]

M	data/org.gnome.gthumb.resize-images.gschema.xml.in

commit 080f6f9ce57252d4e5429becd8e16130aa60bc5a
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-10-13

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit e7626d55bc3a4fe4eab287b09469bd1b39ef98bd
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2013-10-05

    Updated Latvian translation

M	po/lv.po

commit 966ad0b6b6c755b4ab15ac9277915d6c551a716b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-27

    about dialog: use the 256 pixel icon instead of the scalable one

    there is a bug in the rendering of the svg icon, so use the
    pre-rendered 256 pixel icon instead.

M	gthumb/gth-browser-actions-callbacks.c

commit 74161d8605e60c89cd30cffefd3cb080216f7561
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-27

    fixed the browser-mode icon of 16 and 24 pixels size

M	data/icons/hicolor/16x16/actions/browser-mode.png
M	data/icons/hicolor/24x24/actions/Makefile.am
A	data/icons/hicolor/24x24/actions/browser-mode.png

commit a1f537c1529966749a0157797cafe0379205272e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-27

    simplified the svg of the scalable app icon

M	data/icons/Makefile.am
C100	data/icons/hicolor/scalable/apps/gthumb.svg
data/icons/gthumb.svg
M	data/icons/hicolor/scalable/apps/gthumb.svg

commit 5d98406c622a4f68af96c269266be5da3587e068
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-27

    Fixed broken window layout with gtk+ 3.10

    [bug #708800]

M	gthumb/gth-window.c

commit fcfb211a97cc9026c5ef6221db91e53a5d4054c5
Author: Andika Triwidada <andika@gmail.com>
Date:	2013-09-26

    Updated Indonesian translation

M	po/id.po

commit 1324cc0ea89658c3f1b135dc81344ccef566dfb1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-09-16

    Fix broken tags in Slovenian help translation

M	help/sl/sl.po

commit 1019a12d21c82ef2122ac2990eaaaf6ef666c1b3
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:	2013-09-05

    [l10n] Updated Italian translation.

M	po/it.po

commit 05bcda3f7ead13b46b669849b461eea2894d8f64
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-09-05

    cairo scale: fixed lanczos interpolation, added mitchell-netravali

M	extensions/file_tools/gth-file-tool-resize.c
M	gthumb/cairo-scale.c
M	gthumb/cairo-scale.h

commit ce065651883c31e0e2e06776f3c124b44f012bd3
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2013-08-25

    Updated Hungarian translation

M	po/hu.po

commit c5e979fce74cf6387604efbb62754aa5cfc96579
Author: Christian Krause <chkr@plauener.de>
Date:	2013-08-24

    find duplicates: fixed crash when using a predefined directory

    [bug #706697]

M	extensions/find_duplicates/dlg-find-duplicates.c
M	extensions/find_duplicates/gth-find-duplicates.c

commit f2bb6963daf107d091669117ee8c4343c5e3ab06
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-08-20

    Updated Polish translation

M	po/pl.po

commit 620dadff7dd522db9159b7ce847bc5c4766816f1
Author: Christian Krause <chkr@plauener.de>
Date:	2013-08-20

    gthumb crashes when attempting to play a video

    Gthumb crashes when attempting to play a video under special
    circumstances.

    How to reproduce:
    - start gthumb in a terminal
    - disable all extensions besides "Audio/Video support" (especially
    "Burn
    CD/DVD" must be turned off)
    - restart gthumb as requested
    - navigate to a directory containing a video
    - click on a video

    Current result:
    - gthumb is closed with the following error message:

    gthumb: symbol lookup error:
    /usr/lib64/gthumb/extensions/libgstreamer_tools.so: undefined symbol:
    gst_is_video_overlay_prepare_window_handle_message

    Comments:
    - with the port to gstreamer-1.0, the offending function call was
    introduced
    - however, that function is provided by libgstvideo-1.0.so which
    is not
    linked
    to the gstreamer_tools extension

    - that it works for some people and but not for others is caused by a
    different
    selection of enabled extensions: once "Burn CD/DVD" is enabled, it
    suddenly
    starts to work because that extension is linked against
    libbrasero-burn3.so
    which is linked against libgstvideo-1.0.so

    - the correct solution seems to link libgstvideo-1.0.so to
    libgstreamer_tools.so

    [bug #706343]

M	configure.ac

commit 28c7e58d44f9f4c60b9515f9bf2ec19fed15ca3f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-08-17

    Updated Slovenian translation

M	po/sl.po

commit 548c5af2faefc3f07e3b50ae2eab21c3ad9b592e
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-08-15

    Updated Lithuanian translation

M	po/lt.po

commit 8fbbac7032ddc4745351e1f4444ba928e5d6aeef
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-08-11

    Updated Polish translation

M	po/pl.po

commit a79f97013cc4ecf6de9312641dfd6529635a24aa
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-07-31

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 97460ba54aa9dee4ee1787aa66271981c7f19df2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-22

    Updated Spanish translation

M	po/es.po

commit 184cc53b58b1081e93b2b2237f2d5ebcc69142a2
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-18

    Updated Czech translation

M	po/cs.po

commit 0ab456d5903293b5ac66918a3e67e5da9fd900bc
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-16

    Updated Czech translation

M	po/cs.po

commit 9b73f33992dec44208407a5a33aa2a72b18d1a85
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-14

    filterbar: added buttons to view the selections

    disable the button if the corresponding selection is void

M	extensions/selections/callbacks.c

commit e3fcf5975b650593f6b1cbf67b5c95f8ffc0a3a2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-14

    selections: added gth_selections_manager_get_is_empty

M	extensions/selections/gth-selections-manager.c
M	extensions/selections/gth-selections-manager.h

commit 21fc644eff98cc05ce8419a55bab249e433f39ce
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-14

    selections: avoid possible deadlocks

    unlock the mutex before emitting the signals

M	extensions/selections/gth-selections-manager.c

commit 956d857d6bc20c0c08bf1ee01ab8f674df4dd143
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-14

    added ability to add extra widgets to the filterbar

M	gthumb/gth-filterbar.c
M	gthumb/gth-filterbar.h

commit 442cf38e25c2449fc1cf1e4437d084ff5e5e05e2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-10

    video screenshot: fixed setting of the default destination

    the default value is 'file://~'; use PICTURES as default
    destination.

M	extensions/gstreamer_tools/actions.c

commit f3927f0a6d4cee3effc7e12899197f7032fe2d73
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-07

    flickr: allow to use a facebook or google account

    [bug #703534]

M	extensions/oauth/oauth-ask-authorization-dialog.c

commit c1bcda0abe9b2fe8618cb89b8e6e5f2a14aa26d4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-07

    web service: do not delete the previous account when creating a
    new one

M	extensions/oauth/web-service.c

commit f08d6e41d6ae8fc9c05fa0dcf76122723b8aedd8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-07

    flickr: fixed crash

    ref and unref the account correctly

M	extensions/flicker_utils/flickr-service.c

commit 8ec4ed2361a6cce9f19be6dde966aec548d05622
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-03

    require glib 2.36

M	configure.ac

commit 4d8ee6ce9933b9b500f9959d4b3f1e2ed895a488
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-03

    Updated Spanish translation

M	po/es.po

commit ca63b4c4fb9b706b7f86f8da88d6def6f43e66d9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-03

    use the correct mothod to set the folder in the file chooser

M	extensions/contact_sheet/dlg-contact-sheet.c
M	extensions/contact_sheet/dlg-image-wall.c
M	extensions/file_manager/actions.c
M	extensions/find_duplicates/dlg-find-duplicates.c
M	extensions/webalbums/dlg-web-exporter.c
M	gthumb/dlg-preferences.c

commit 10e7bb88663bedac0afa69659b71c4b5da82b7f6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-03

    removed use of the Clutter deprecated functions

    requires Clutter 1.12 now

M	configure.ac
M	extensions/slideshow/gth-slideshow.c
M	extensions/slideshow/main.c

commit bfb43d3711d7fe55fb4ebf7f16fe97f340693694
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-03

    slideshow: show the cursor again after stopping the slideshow

M	extensions/slideshow/gth-slideshow.c
M	extensions/slideshow/gth-slideshow.h

commit 99c8ec2f9755a7625380fa0a85453e157d505f1e
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-02

    Updated Czech translation

M	po/cs.po

commit 59bff05dd7adf59dee5afbc3b727f5de560d9ecc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-01

    facebook: added permission to read the user albums and photos

M	extensions/facebook/facebook-service.c

commit 62811c667dcc5601c711412279f0037172f3bc10
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-01

    removed the use of many deprecated functions

M	configure.ac
M	extensions/cairo_io/cairo-image-surface-jpeg.c
M	extensions/cairo_io/cairo-image-surface-xcf.c
M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	extensions/oauth/oauth-consumer.h
M	extensions/oauth/web-service.c
M	gthumb/Makefile.am
A	gthumb/color-utils.c
A	gthumb/color-utils.h
M	gthumb/glib-utils.c
M	gthumb/glib-utils.h
M	gthumb/gth-color-scale.c
M	gthumb/gth-empty-list.c
M	gthumb/gth-grid-view.c
M	gthumb/gth-histogram-view.c
M	gthumb/gth-main.c
M	gthumb/gth-toolbox.c
M	gthumb/gtk-utils.c
M	gthumb/main.c
M	po/POTFILES.in
M	tests/dom-test.c
M	tests/glib-utils-test.c

commit 0d6352d56f2e905316917a103fc1597b791c9540
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-07-01

    fixed low quality thumbnails for jpeg images

    use a better filter to scale the image

M	extensions/cairo_io/cairo-image-surface-jpeg.c

commit a7e650c14747110efb8110316509cc42a86a0c75
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-30

    added missing files in POTFILES.in

M	po/POTFILES.in

commit 5d7d79d9f9286827dfaa318486150682b3057dd3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-30

    fixed the style of the color scale

    now it uses a style similar to the scales in the gtk+ color chooser.

M	gthumb/gth-color-scale.c
M	gthumb/resources/gthumb.css

commit 9c3fc8af9838c8fc58a2bd6d8692a4a125b18291
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-30

    adjust colors: use 99 as max value for the scales

    to avoid a scale resize when the value is 100 or -100

M	extensions/file_tools/gth-file-tool-adjust-colors.c

commit f49cc3d096282eccd362ae73321d090289815509
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-06-30

    Updated POTFILES.in

M	po/POTFILES.in

commit 63eeb56356eaf10a233312943be67e08fe82e4de
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-30

    use a faster filter if the image is big

M	gthumb/gth-image-dragger.c

commit f712386e43ebaba5179854d8df49d9be73109251
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-29

    scale: added a CUBIC filter

M	gthumb/cairo-scale.c
M	gthumb/cairo-scale.h

commit f19fec8c6439b56f29322ca6761af8cfcf14d0ae
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-29

    scale: fixed the POINT filter

    do not reset the scale to 1

M	gthumb/cairo-scale.c

commit f6092b8b685e2cdb5e52756d2a57ae8f912e3fd3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-29

    calculate scaled image size correctly

    truncate the value instead of rounding it.

M	gthumb/gth-image-dragger.c

commit caa61df9e35293987ebbdb07bac0baba0b5e3ead
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-29

    jpeg loader: use the nearest method for scaling the image

M	extensions/cairo_io/cairo-image-surface-jpeg.c

commit f88d7cb6bbe3ccc300c5832857a9c77e808729da
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-29

    image loader: always set the error if the operation was cancelled

M	gthumb/gth-image-loader.c

commit 9f3c2d084726e60be274916dc6a591384c866b2f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-29

    scale: no need to use the weights vector

M	gthumb/cairo-scale.c

commit a14ddf4eae097c48549ad59a9c2af8f9a477241e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    use lanczos as best filter

M	gthumb/cairo-scale.h

commit 20f6bdf0263478ee8c125ec726b8dd9d9654c418
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    image dragger: use the abstract name for the filter

M	gthumb/cairo-scale.h
M	gthumb/gth-image-dragger.c
M	gthumb/gth-thumb-loader.c

commit f41d6816805d92c2d71a4251cac101d7ff1756d2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    cairo scale: speed optimizations

    use float operations instead of fixed operations, optionally use
    vector
    operations if the compiler supports them.

M	configure.ac
M	gthumb/cairo-scale.c

commit e27de58d24bd72dc049708ef0974ab8e6cc81610
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    do not save the window size when closing in fullscreen mode

M	gthumb/gth-browser.c

commit cdccd1f6a632ed4b385022e232c190f7eb9371e1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    fixed the size of the toolbar in fullscreen mode

M	gthumb/gth-browser.c

commit 61b1adc4f480835bf3a5f4446137d0352313eee9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    image scale: use cairo to implement the nearest method

M	gthumb/cairo-scale.c

commit b1289f52044374bf9eae284fa9f926a1349b6a18
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    image viewer: use a better quality zoom after a delay

M	gthumb/gth-image-dragger.c

commit 69fe61d039512965faf1c1439af11e9aed392fcb
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    jpeg loader: cancel the image loading faster

    added other points where the cancellable is checked

M	extensions/cairo_io/cairo-image-surface-jpeg.c

commit b35be8c96a8b97d5cc7d50cd2959c0acdf677ab3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    jpeg loader: call alloc_sarray before jpeg_start_decompress

    to avoid possible out-of-memory errors.

M	extensions/cairo_io/cairo-image-surface-jpeg.c

commit 926b3239d24d31c9ea67f624ad5c1fb344dcf95d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    mark the cairo surface as dirty after changing it

M	gthumb/cairo-utils.c

commit 3d273152e516effa52f8a790346b3a2fdf344167
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    added _cairo_image_surface_create()

    similar to	cairo_image_surface_create but returns NULL on error.

M	extensions/cairo_io/cairo-image-surface-jpeg.c
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h

commit 68bbb1ea6c0daae8afbb8a2229e55ba7139e58fc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    webp loader: use _cairo_image_surface_flush_and_get_data

M	extensions/cairo_io/cairo-image-surface-webp.c

commit bba79a65c7157f637893002c31d148b97b94575e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    image viewer: allow to set the current surface again

M	gthumb/gth-image-viewer.c

commit f471804fe6242b0de9fe91944efac3d7f7107368
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    get_image_loader_func: skip the preferred format

    it is already checked in the lines above

M	gthumb/gth-main.c

commit aa974c1e61bb800ec83392076aa4a8e81eb0d281
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    async task: allow to unref the task in the after_func function

M	gthumb/gth-async-task.c

commit 036aec4ecba6f38a028042b9e20400fa9a5caf61
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-28

    jpeg loader: fixed possible multithread problem

    initialize the tables inside a mutex lock

M	extensions/cairo_io/cairo-image-surface-jpeg.c

commit f41d9ef9058229d837593ec7efce689c95f23b6c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-27

    fixed saving of TGA files

    save the colors in little ending order

M	extensions/cairo_io/gth-image-saver-jpeg.c
M	extensions/cairo_io/gth-image-saver-png.c
M	extensions/cairo_io/gth-image-saver-tga.c
M	extensions/cairo_io/gth-image-saver-tiff.c
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h

commit a4f32e51b974842b12e4d418e76fb8eb914ba482
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-27

    always flush the cairo surface before getting the data

M	extensions/cairo_io/cairo-image-surface-jpeg.c
M	extensions/cairo_io/cairo-image-surface-png.c
M	extensions/cairo_io/cairo-image-surface-xcf.c
M	extensions/cairo_io/gth-image-saver-jpeg.c
M	extensions/cairo_io/gth-image-saver-png.c
M	extensions/cairo_io/gth-image-saver-tga.c
M	extensions/cairo_io/gth-image-saver-tiff.c
M	extensions/cairo_io/gth-image-saver-webp.c
M	extensions/file_tools/cairo-blur.c
M	extensions/file_tools/cairo-rotate.c
M	extensions/file_tools/gth-file-tool-adjust-colors.c
M	extensions/file_tools/gth-file-tool-adjust-contrast.c
M	extensions/file_tools/gth-file-tool-equalize.c
M	extensions/file_tools/gth-file-tool-grayscale.c
M	extensions/file_tools/gth-file-tool-negative.c
M	extensions/raw_files/main.c
M	gthumb/cairo-scale.c
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h
M	gthumb/gth-histogram.c
M	gthumb/pixbuf-utils.c

commit 8a38213a8e8ce23b404cd945ed586a3ee9fbbfb5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-24

    use the SCALE_FILTER_BOX filter to scale thumbails

    the box filter is fast and gives good quality when scaling big
    images to
    thumbnails.

M	gthumb/gth-thumb-loader.c

commit 03200b8ca91c73e2f0736ca2996f6d992e8b715b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-24

    Use a cairo_surface to store thumbnails

    this avoids to converts the GdkPixbuf to a cairo_surface
    each time a thumbnail is drawn on the screen.

M	extensions/file_viewer/gth-file-viewer-page.c
M	extensions/list_tools/gth-script.c
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h
M	gthumb/gth-file-list.c
M	gthumb/gth-file-store.c
M	gthumb/gth-file-store.h
M	gthumb/gth-grid-view.c
M	gthumb/gth-icon-cache.c
M	gthumb/gth-icon-cache.h
M	gthumb/gth-thumb-loader.c
M	gthumb/gth-thumb-loader.h

commit 3f4626335f97930e11a1e4c285f9e8710062fbcc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-24

    thumb loader: give priority to the internal loaders

M	gthumb/gth-thumb-loader.c

commit 3d61677a9e4fea310e1ac0784d369e4e100911bf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-24

    raw: added the possibility to interrupt the processing

M	extensions/raw_files/main.c

commit a163ce85f5cd4527b719d9113fcd3a96d2624264
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-24

    raw: added code to read the raw image

M	extensions/raw_files/main.c

commit 212dccab749dc83e82781092b6bcac8de07082c3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-24

    raw: use libraw_adjust_sizes_info_only to get the real image size

M	extensions/raw_files/gth-metadata-provider-raw.c
M	extensions/raw_files/main.c

commit 6fc52a3fe6e0b6e348567856feca9639ead2c552
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-24

    unref the task when not needed anymore.

    this partially reverts commit f3840461434c695a8ecaa843a0e92e56e2020111

M	extensions/file_manager/actions.c
M	extensions/file_tools/gth-file-tool-adjust-contrast.c
M	extensions/gstreamer_tools/actions.c

commit 7aed8b360104e935fccb063bba195672d86cb587
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-24

    raw: added ability to read bitmap thumbnails

M	extensions/raw_files/main.c

commit 00841133433109ab2799bd9471bdebf6cd5cf85e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-24

    raw: added code to load the jpeg thumbnail

M	extensions/raw_files/main.c

commit eb22c115c77dfe8c6da15f073d91d85a8e4eb6e6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-24

    raw: added a metadata provider to read the image size

M	extensions/raw_files/Makefile.am
A	extensions/raw_files/gth-metadata-provider-raw.c
A	extensions/raw_files/gth-metadata-provider-raw.h
M	extensions/raw_files/main.c
A	extensions/raw_files/main.h
M	gthumb/gth-main.c
M	gthumb/gth-main.h

commit 08f3c615830a01422beb9402b396965f6100308d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-24

    removed the use of libopenraw, check whether libraw is available

M	configure.ac
M	extensions/raw_files/Makefile.am
M	extensions/raw_files/main.c
M	gthumb/Makefile.am
M	gthumb/glib-utils.c

commit c8fc485d9a7e9f3f41de49c5b9c19b9fe2f69c02
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-23

    fixed code style

M	extensions/gstreamer_tools/gth-media-viewer-page.c

commit 73c3c6c812dd05f2ea28835c84d60a59bcbc2be0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-18

    thumbnail list: images drawn with wrong offset

    [bug #702538]

M	gthumb/gth-grid-view.c

commit 3fee91b15b01abd0c1aa7df69a4a25584bdd1285
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-18

    video player: ignore the messages not directly related to the pipeline

M	extensions/gstreamer_tools/gth-media-viewer-page.c

commit 5508795374af09f95cc5bbda3c40e68f2bfeac43
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-18

    video player: use a modal dialog to choose the file name

M	extensions/gstreamer_tools/actions.c

commit af6b7ac55837ada922b66b413402a17ee7bf7689
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-18

    fixed the video player stopping after saving a screenshot

    Do not update the orientation if it didn't really changed, sometimes a
    'changed::viewer-thumbnails-orientation' signal is emitted even if
    the user
    didn't change anything, I'm not sure why.  This caused the video
    player to
    be unrealized and relealized again.

M	gthumb/gth-browser.c

commit f3840461434c695a8ecaa843a0e92e56e2020111
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-18

    unref the task after executing it

M	extensions/contact_sheet/dlg-contact-sheet.c
M	extensions/contact_sheet/dlg-image-wall.c
M	extensions/file_manager/actions.c
M	extensions/file_tools/gth-file-tool-adjust-contrast.c
M	extensions/gstreamer_tools/actions.c
M	extensions/webalbums/dlg-web-exporter.c

commit cb4bae1b6722e2fe03dba8a371a792729fe0607e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-06-13

    use an inner flag to keep track of the ImportPhoto window

M	extensions/importer/gth-import-task.c
M	extensions/photo_importer/dlg-photo-importer.c
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/main.c

commit 29c09de7d7b1a98803b9f16fd3d8ec524dc591dc
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2013-05-31

    l10n: Update Japanese translation

M	po/ja.po

commit 3c8643cd5bd1121c9c2fe21e7bb94815e8ea5c2c
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2013-05-27

    Updated Russian translation

M	po/ru.po

commit e894b100ab802bfd18e0eefc2c799d3c5ca0372d
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:	2013-05-26

    Update Dutch translation

M	po/nl.po

commit e42c968cd0736ca6bf766d2bbcc5ee4fe6b005b6
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2013-05-16

    Updated Russian translation

M	po/ru.po

commit deb4dcc35a23ff8b1b5b103e896eb05ecbd88223
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-05-14

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit cf1511521cc896128f7c5379a85de2929a845e94
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-05-13

    DOAP file: added download-page and bug-database

M	gthumb.doap

commit 4907cf3fb72daef67d629692d86ffdf71333f118
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-30

    GthEmptyList: render the text following the widget state

M	gthumb/gth-empty-list.c

commit 9b43530503988fcb2b387318e38ac0797861f4d0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-30

    empty list: draw the background correclty

M	gthumb/gth-empty-list.c

commit 26cf8ec2f4c651be30ccf720089c8b2a4d5056a6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-30

    build: recompile when changing a resource

M	gthumb/Makefile.am

commit cd0b1af8d0f06a4f6106216c576d51bd06f6d7ae
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-30

    resize, convert: correctly set the destination folder

M	extensions/convert_format/dlg-convert-format.c
M	extensions/resize_images/dlg-resize-images.c
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h

commit 7e3aeeae5be06e625afad28d2acade3fd486885d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-04-22

    Updated Polish translation

M	po/pl.po

commit 45b16f706437834512bbfe3f291e6437bb6bbce8
Author: Gil Forcada <gforcada@gnome.org>
Date:	2013-04-18

    [l10n] Update Catalan translation

M	po/ca.po

commit 1b606843278c30e6713dd54bcb781156e30c00f7
Author: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Date:	2013-04-14

    Also use button 2 in gth-image-dragger

    GIMP and inkscape both allow to drag the image around while holding
    down
    button2 (mouse wheel).

    For the sake of convenience (users who are familiar with those other
    tools), implement the same in gthumb.

    Button1 is not changed, so button1 and button2 now both allow to drag
    the image.

    Signed-off-by: Adrian Knoth <adi@drcomp.erfurt.thur.de>

M	gthumb/gth-image-dragger.c

commit 9e6ed545f396b5d45f66545dc130cc75165d7c74
Author: Marek Černocký <marek@manet.cz>
Date:	2013-04-14

    Updated Czech translation

M	po/cs.po

commit df3a5412c39a24d3522d702fc3c03e0c9651a78d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-14

    bookmarks: fixed ability to modify the bookmarks

    Do not update the bookmark list while changing the name or the
    location of the bookmark, wait for the user to press Enter.

M	extensions/bookmarks/dlg-bookmarks.c
M	gthumb/gth-uri-list.c
M	gthumb/gth-uri-list.h

commit 5291adbde28acfd505a0cdcbf934ab5ab01f9f3c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-04-07

    Updated Spanish translation

M	po/es.po

commit 5c3ef60cbcfc87e9372ebeaead1126d885521342
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2013-04-05

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit d45ae21bf471cab7b3fd4199bf4e538bd635f105
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-04-05

    Updated Lithuanian translation

M	po/lt.po

commit b2ae8a7232f610235e3a900f3e53c5b4b7937225
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-04-04

    Updated Slovenian translation

M	po/sl.po

commit 9f5345adfb8cc29e7ac7a98eb78855a1a11c67bf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-04

    filter-bar: fixed the spin button width for the file size control

M	gthumb/gth-filter.c

commit efdde89f42115aad266782ecf6805705efe90e74
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-04

    gth-test-simple: added other operations on integers

    added 'grater then or equal to' and 'lower than or equal to'

M	gthumb/gth-test-simple.c

commit ceeff7bacd9019299acfbf86e2478f324b83203b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-04

    gth-simple-test: connect to 'value-changed' instead of 'change-value'

M	gthumb/gth-test-simple.c

commit e56361430a43fbbe90270032474ad14fdfe17b6e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-04

    gth-test-simple: renamed int-max to max-int

M	gthumb/gth-main-default-tests.c
M	gthumb/gth-test-simple.c

commit ff8853d5ec3764c71998d162ef07faad8d67088d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-04

    gth-test-simple: fixed  an invalid cast

M	gthumb/gth-test-simple.c

commit eecb4940549738c08a583d11f7b7118cb7a651f4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-04

    gth-test-simple: use a signed integer

M	gthumb/gth-test-simple.c
M	gthumb/gth-test-simple.h

commit ccd893a316e8b8d0360c6f13459043b15fc6a8f2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-04

    gth-test-simple: copy the int_max value when duplicating a test

M	gthumb/gth-test-simple.c

commit 91af377f6b42c27943bf1aabee7c0e349309ea31
Author: Louis-Marie Mouton <lm.mouton@gmail.com>
Date:	2013-04-03

    Add "int-max" property to define upper range limit of integer filter

    For some reason, this doesn't seem to be working...

M	gthumb/gth-main-default-tests.c
M	gthumb/gth-test-simple.c

commit fd54d8f324ea0ba5f686eee2affce68517b09121
Author: Louis-Marie Mouton <lm.mouton@gmail.com>
Date:	2013-03-16

    Add rating-based filter

M	gthumb/gth-main-default-tests.c

commit aa3163b3d48efd940c3cea97b5ead942c0e25859
Author: Louis-Marie Mouton <lm.mouton@gmail.com>
Date:	2013-03-16

    Implement missing integer-based filter support

M	gthumb/gth-test-simple.c

commit 96453a71a0499efa3280a17bd9e7b2be4640cc32
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-04-04

    post branch version bump

M	configure.ac

commit cdfb9de0eabd889164d6cc12e1371b4c7e051ed2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-31

    facebook: fixed authentication

    updated the app_id and the redirect_uri; added 'state' verification

    [bug fixed]

M	extensions/facebook/facebook-service.c

commit 8163fdee57da7700ba63986f133b2f6f81ad0a73
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-28

    slideshow: fixed audio playback

M	extensions/gstreamer_utils/gstreamer-utils.c
M	extensions/slideshow/gth-slideshow.c

commit 3a1128457bd229abf51d48a660abc4b4458b518b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-28

    configure: fixed unrecognized option --disable-libjson-glib

    [bug #696783]

M	configure.ac

commit 979868c9c0d56a04f781b70759294f8ecd3c6fd5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-28

    configure: enable libwebp by default

M	configure.ac

commit 012dd6d7330f36c2c8ee7469506eabeef337c351
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-27

    updated for version 3.2.0

M	NEWS
M	configure.ac

commit 01ce419357eb432e0a61b454707e0c5e44caec17
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-24

    image viewer: always use a dark background

M	data/org.gnome.gthumb.image-viewer.gschema.xml.in
M	extensions/image_viewer/gth-image-viewer-page.c
M	extensions/image_viewer/preferences.h
M	gthumb/gth-image-viewer.c

commit 372931babd6864fe3ee77bf881632c96cddfdb66
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-03-23

    Update French translation

M	help/fr/fr.po

commit 8f800d8b0a4b8ebb488817de2d9a5f29b7f9eda6
Author: Marek Černocký <marek@manet.cz>
Date:	2013-03-21

    Fixed XML

M	help/cs/cs.po

commit 86c4e14af55b3dff9c61107e45cbe05e56dfa1f3
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2013-03-20

    Updated Hungarian translation

M	po/hu.po

commit a7d93680c0cdb5be2d88d8875763b32c3501dc4d
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:	2013-03-20

    [l10n] Updated Italian translation.

M	po/it.po

commit f071f7d250bede84656db5a7046d41407fe42c5e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-16

    xcf loader: simplified the code removing the use of cairo to draw
    layers

    implemented all the layer modes instead of using cairo operations
    for some modes, this allows to remove some time-consuming functions
    such as gimp_layer_apply_mask and _cairo_surface_data_post_production,
    and allows to avoid some alpha channel multiplications.

M	extensions/cairo_io/cairo-image-surface-xcf.c

commit 126dc51b357e854c218cb2e6b06df1b8cd2f244b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-15

    xcf loader: do not read a byte at a time

M	extensions/cairo_io/cairo-image-surface-xcf.c

commit 666484870e87256fc6a27b03296a75db4a371359
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-14

    desktop background: set the style to 'wallpaper'

M	extensions/desktop_background/actions.c

commit 0a18437462c8bc64a686228d34d309a6861eec22
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-14

    desktop background: allow to set an xcf image as background image

    convert the image to jpeg if the mime type is not supported by
    GdkPixbuf

M	extensions/desktop_background/actions.c
M	gthumb/pixbuf-utils.c
M	gthumb/pixbuf-utils.h

commit f2d72bec06accae82297272f0899afb23c007823
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-13

    added ability load xcf images

    [new feature]

M	extensions/cairo_io/Makefile.am
A	extensions/cairo_io/cairo-image-surface-xcf.c
A	extensions/cairo_io/cairo-image-surface-xcf.h
M	extensions/cairo_io/main.c
M	extensions/image_viewer/gth-metadata-provider-image.c
M	po/POTFILES.in

commit 9d18d2aafc3797bc03c4e7f7db5b9ffcada1ca7e
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-03-10

    Update French translation

M	po/fr.po

commit bf4ff62cc56a2671daab25eba0ea344386902c2f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-08

    require glib 2.34.0 or higher

M	configure.ac

commit 425099054f634ca08c2d58e5a9d4f9c9193af08e
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-03-06

    [l10n] Updated German translation

M	po/de.po

commit 09cdfb7d63a1ebe06c2c958446da55935be30241
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-03-06

    [l10n] Updated German doc translation

M	help/de/de.po

commit 7b7671b16ff605ba7c2b29e07ef2ff8673e862cc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-03-04

    updated for version 3.1.4

M	NEWS
M	configure.ac

commit e7ab554456088d0c712b25889ada7538eaf8c85a
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-03-02

    Updated Lithuanian translation

M	po/lt.po

commit 60f3c9aaff2d6d51f1673284bd142466934fc7c1
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-02-20

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 72523b17f4e821f2ceee68f84269b50012098d10
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-02-17

    Updated Polish translation

M	po/pl.po

commit 3fe809b981e89b72357a299f5346da8e55b2cabc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-02-17

    Fixed creation of blur thumbnails for jpeg images

M	extensions/cairo_io/cairo-image-surface-jpeg.c
M	extensions/exiv2_tools/exiv2-utils.cpp

commit 7aec51ac1c03e88b54890deb4b4fe0be06909c1f
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-02-16

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit ad11ac7a5eae77e380f558282f85d4aca476068d
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-02-04

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit cfd32962ed7bdc21f1aec27e621af3002e0448ed
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-01-26

    Updated Slovenian translation

M	po/sl.po

commit 60262df17bcaeaf142c27470361873ac384a66e6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-01-24

    Updated Spanish translation

M	po/es.po

commit 3818f8fe6515be287ca6a48320873b1b79dd0716
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-01-22

    updated for version 3.1.3

M	NEWS
M	configure.ac

commit d5c5de0b3817ecdf58553a7c123cea7e3f1749d7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-01-22

    save task: use the file object to get the filename

M	gthumb/gth-save-image-task.c

commit e08dea4115a607b0371e43b8917a6fb62d0604ca
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-01-20

    updated POTFILES.in

M	po/POTFILES.in

commit c2adef0b1f3ff85c73d21305eb7010b4b51dba5f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-01-20

    use a ui file to define the message dialog

M	gthumb/gthumb.gresource.xml
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h
M	gthumb/resources/Makefile.am
A	gthumb/resources/message-dialog.ui

commit 852a6a37bcf0f2b07c1b5b6096e6c77a584a6e9e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-01-20

    do not show the delete confirmation dialog when no file is selected

M	extensions/file_manager/callbacks.c

commit 8314cbefb03c3f71d37137de89b2bbe5eda88b5a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-01-20

    added keybindings to delete files in catalog view

    control+delete => move to trash
    shift+delete => delete from disk

M	extensions/file_manager/callbacks.c

commit 36a910249217fd424693c95f154dff095ee1f632
Author: Marek Černocký <marek@manet.cz>
Date:	2013-01-21

    Updated Czech translation

M	po/cs.po

commit 53513133cbd41c4326342ae4682bc55e44c78903
Author: Marek Černocký <marek@manet.cz>
Date:	2013-01-21

    Czech translation

A	help/cs/cs.po

commit 42fc82f87903859a2f8c1c03fb8a97e92ce1a123
Author: Marek Černocký <marek@manet.cz>
Date:	2013-01-21

    Added Czech language

M	help/Makefile.am

commit 0b6b326ffe011e5d6fc9afd6b5700e08f1949c88
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-01-20

    Updated Polish translation

M	po/pl.po

commit 8b05c94c7b2fe775a91695e5eab648d3b4509e9e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-01-19

    fixed animations not running when zoommed out

M	gthumb/gth-image-dragger.c

commit 498339ec6a89cc6e47cbfd4a39228956ac12ab93
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-01-19

    fixed run-time warning about visible but unmapped children

M	gthumb/gth-browser.c

commit 388887212c5b1be252604b0625a9f5aa113c0fc3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-01-19

    updated POTFILES.in

M	po/POTFILES.in

commit 518d3c320179cb47e463a4195d3372f808538928
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-01-19

    added a GthTask to save images asynchronously

M	extensions/desktop_background/actions.c
M	extensions/gstreamer_tools/actions.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/Makefile.am
M	gthumb/gth-image-saver.c
M	gthumb/gth-image.h
M	gthumb/gth-overwrite-dialog.h
A	gthumb/gth-save-image-task.c
A	gthumb/gth-save-image-task.h

commit 7d256ccc309e9eab2f0db91a92667850482919f4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-01-08

    added a cancellable to the image saving function

M	extensions/cairo_io/gth-image-saver-jpeg.c
M	extensions/cairo_io/gth-image-saver-png.c
M	extensions/cairo_io/gth-image-saver-tga.c
M	extensions/cairo_io/gth-image-saver-tiff.c
M	extensions/cairo_io/gth-image-saver-webp.c
M	extensions/contact_sheet/gth-contact-sheet-creator.c
M	extensions/desktop_background/actions.c
M	extensions/exiv2_tools/exiv2-utils.cpp
M	extensions/facebook/facebook-service.c
M	extensions/gstreamer_tools/actions.c
M	extensions/image_rotation/rotation-utils.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	extensions/webalbums/gth-web-exporter.c
M	gthumb/gth-image-list-task.c
M	gthumb/gth-image-saver.c
M	gthumb/gth-image-saver.h
M	gthumb/gth-image-utils.c

commit c040259941253d34d78e7f3bef6e4ff8908425b9
Author: Саша Петровић <salepetronije@gmail.com>
Date:	2013-01-12

    Added Serbian translation

M	po/LINGUAS
M	po/sr.po
A	po/sr@latin.po

commit 88098687c1e86c037da22aff3982d56831d201a7
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-01-10

    Updated Slovenian translation

M	po/sl.po

commit e26be907a109725ca0803c3b3a56494fac5c1210
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	2013-01-07

    webp: Big-Endian: fix type.

    Fix bug 691309.

M	extensions/cairo_io/cairo-image-surface-webp.c

commit 8f41dc6dfd2c870a9f31552ee6ec0245016adaa7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2013-01-05

    web album export produces invalid HTML

    removed a double "

    [bug #691123]

M	extensions/webalbums/data/albumthemes/Classic/image.gthtml
M	extensions/webalbums/data/albumthemes/ClassicClips/image.gthtml
M	extensions/webalbums/data/albumthemes/NeatRound/image.gthtml
M	extensions/webalbums/data/albumthemes/Wiki/image.gthtml

commit ce6aabd0c9372f22339866aa664df620fbcefb20
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-31

    selections: pressing control-n again goes back to the previous view

M	extensions/selections/actions.c
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/gth-file-list.c
M	gthumb/gth-file-list.h
M	gthumb/gth-file-view.c
M	gthumb/gth-file-view.h
M	gthumb/gth-grid-view.c

commit 27cf36cf6142a1ff3ef74a4d634a66fa5e4ddbae
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-31

    folder tree: update the locations to monitor after a timeout

    this reduces computation during a rapid series of node expansions and
    collapses.

M	gthumb/gth-folder-tree.c

commit a373166e5f5f2774656bd64dd73c9f6534d6ab8b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-31

    folder tree: fixed some memory leak

M	gthumb/gth-folder-tree.c

commit c72e78ea53894df02a8df0c46fb15cd4d56b1d28
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-31

    folder tree: do not change the hash table while iterating through
    the keys

M	gthumb/gth-folder-tree.c

commit 899a22a80eabe4b74c55d0b1a4d7d0fc538837f5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-30

    folder tree: remove all the monitored location when finalizing

M	gthumb/gth-folder-tree.c

commit 2a789bb1cdea71d89d194fef44b1f759fa61f276
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-30

    monitor all the expanded locations in the folder tree

M	gthumb/gth-folder-tree.c

commit dc2fd4093737bdd6e0ccc40f8d5389f895fdf8c5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-29

    browser: recalculate the available free space only after changing
    location

M	gthumb/gth-browser.c

commit 66f6ea5af48fd0b93128ca7779f20f88b27eb6b6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-29

    browser: update the sensitivity after expanding a folder

M	gthumb/gth-browser.c

commit de9dbe72365017f6603542145475fb31bf349d47
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-29

    folder tree: removed gth_folder_tree_construct

    moved the instruction into gth_folder_tree_init

M	gthumb/gth-folder-tree.c

commit bcc0ed40c2bc05aef78b28ed73becb13196bc4d6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-29

    folder tree: do not allow to expand a duplicate of an entry point

M	gthumb/gth-folder-tree.c

commit 63dc03001167271be3e223785bce7b6633070ccb
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2012-12-29

    Updated Hungarian translation

M	po/hu.po

commit e9aa520d1b0ef8fe9cc6b5d6ef33ef037826b7eb
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-29

    allow to delete the tags from the default tag list

    tags can be deleted using the delete key or from the context menu.

    [new feature]

M	gthumb/gth-tags-entry.c

commit acd88d3f14ae8b8127e174d1b07e907e504ae018
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-12-25

    Updated Spanish translation

M	po/es.po

commit 39a36a60c673e7ebc41672b5de3ff17b902564d1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-12-23

    Updated Polish translation

M	po/pl.po

commit 420ba994a5b65b2aa048082eeafde33940bab902
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-23

    updated POTFILES.in

M	po/POTFILES.in

commit 852132c1d84fd8dde3f56ef27f5f0842deadb382
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-23

    added oauth as a dependency for the extensions that require it

M	extensions/flicker_utils/Makefile.am
M	extensions/flicker_utils/dlg-import-from-flickr.c
M	extensions/flicker_utils/flicker_utils.extension.in.in
M	extensions/picasaweb/Makefile.am
M	extensions/picasaweb/picasaweb.extension.in.in

commit e0500da093139cab277f2517b1021ac27148a35c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-23

    web importers: use symbolic icons in the dialogs, removed the
    help button

M	extensions/flicker_utils/data/ui/export-to-flickr.ui
M	extensions/flicker_utils/data/ui/import-from-flickr.ui
M	extensions/photobucket/data/ui/export-to-photobucket.ui
M	extensions/picasaweb/data/ui/import-from-picasaweb.ui

commit b6b75dbb075e423c787d3db343480340090310f2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-23

    facebook: added ability to import photos

    [new feature]

M	extensions/facebook/Makefile.am
M	extensions/facebook/actions.c
M	extensions/facebook/actions.h
M	extensions/facebook/callbacks.c
M	extensions/facebook/data/ui/Makefile.am
A	extensions/facebook/data/ui/import-from-facebook.ui
A	extensions/facebook/dlg-import-from-facebook.c
C074	extensions/facebook/actions.h
extensions/facebook/dlg-import-from-facebook.h
M	extensions/facebook/facebook-photo.c
M	extensions/facebook/facebook-photo.h
M	extensions/facebook/facebook-service.c
M	extensions/facebook/facebook-service.h
M	extensions/facebook/facebook.extension.in.in
M	gthumb/gth-time.c
M	gthumb/gth-time.h

commit 7a66f5e1a10b8987f5b6c599bcff47b2841060d8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-12-23

    Updated Polish translation

M	po/pl.po

commit 8bf599bb44efe62702556d646980e28ccf8c88bd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-22

    updated POTFILES.in

M	po/POTFILES.in

commit 52f0b8b876447f1d3604116c96758fd95f4f2645
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-22

    oauth dialog: no need to disconnect from the view

M	extensions/oauth/oauth-ask-authorization-dialog.c

commit 62035da9e4d8d0f4e269738c78a4733a69e68be9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-22

    flickr: fixed signature

M	extensions/flicker_utils/flickr-service.c

commit 3b6dc75d8bd722071e78f3c02400daffceec0b51
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-22

    progress dialog: use a smoother pulse

M	gthumb/gth-progress-dialog.c

commit 26a41dcfd5c43e6580c43c1e506cd97936822651
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-22

    web services: set a void message before starting the photo upload

M	extensions/facebook/facebook-service.c
M	extensions/photobucket/photobucket-service.c
M	extensions/picasaweb/picasa-web-service.c

commit 93093602c894af80f48e3e937114eb1ce8373eb8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-22

    23hq.com: fixed authentication

M	extensions/23hq/actions.c
M	extensions/flicker/actions.c
M	extensions/flicker_utils/data/ui/Makefile.am
D	extensions/flicker_utils/data/ui/flicker-ask-authorization.ui
R074	extensions/flicker_utils/data/ui/flicker-complete-authorization.ui
extensions/flicker_utils/data/ui/flickr-ask-authorization-old.ui
M	extensions/flicker_utils/flickr-service.c
M	extensions/flicker_utils/flickr-types.h
M	extensions/oauth/data/ui/Makefile.am
D	extensions/oauth/data/ui/oauth-complete-authorization.ui

commit 6f88bc093e41ef80e1a40b55c79f2ac32aa2b2bb
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-22

    web services: hide the authorization dialog after receiving the
    callback

M	extensions/oauth/oauth-service.c
M	extensions/picasaweb/picasa-web-service.c

commit 6259551ef903b8ed0c2239387d03c12f9f179923
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-22

    oauth authorization dialog: show the loading activity

M	extensions/oauth/data/ui/oauth-ask-authorization.ui
M	extensions/oauth/oauth-ask-authorization-dialog.c

commit 7b3c7d5d5938e0ba616f1c8eb80632579f7b3299
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-20

    facebook authorization: use a default width of 1024 pixels

M	extensions/facebook/facebook-service.c

commit 1c2e118e41ec827e4aa3b4db2d6cad279adaf49e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-20

    do not print a warning when the secret has a wrong format

M	extensions/oauth/web-service.c

commit 44ae028a588c565776be6e3957300e0c130c0b8a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-20

    photobucket: fixed authorization process

M	extensions/oauth/oauth-ask-authorization-dialog.c
M	extensions/oauth/oauth-service.c
M	extensions/photobucket/photobucket-consumer.c
M	extensions/photobucket/photobucket-service.c

commit 2f10ed46e7a4009aaf7f552702a8329d5e0c8e86
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-20

    photobucket-account: added some properties to simplify the code

M	extensions/photobucket/photobucket-account.c
M	extensions/photobucket/photobucket-consumer.c

commit b21c2e6f8900eb5484e708305b7aa6c351e1ee5b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-20

    moved some common code to oauth-service.c

M	extensions/flicker_utils/flickr-consumer.c
M	extensions/oauth/oauth-consumer.c
M	extensions/oauth/oauth-consumer.h
M	extensions/oauth/oauth-service.c
M	extensions/photobucket/photobucket-consumer.c

commit 18bd7a0476783439c55afcfcfec054f2c48adb88
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-20

    oauth service: removed debug code

M	extensions/oauth/oauth-service.c

commit bf4847a637c75cf1c7ee75160b06b0db144c88a6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-20

    destroy the progress dialog when closing the export/import dialogs.

M	extensions/facebook/dlg-export-to-facebook.c
M	extensions/flicker_utils/dlg-export-to-flickr.c
M	extensions/flicker_utils/dlg-import-from-flickr.c
M	extensions/photobucket/dlg-export-to-photobucket.c
M	extensions/picasaweb/dlg-export-to-picasaweb.c
M	extensions/picasaweb/dlg-import-from-picasaweb.c

commit f98a2a00f90c855cb519458ef08663c5c7bccb1a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-20

    web service: set the task description when asking for authorization

M	extensions/oauth/web-service.c

commit 9b722df6ef109f54d58a99c4250f3ea421b3cf45
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-20

    call gth_task_dialog when setting the authorization  dialog

M	extensions/facebook/facebook-service.c
M	extensions/oauth/oauth-service.c
M	extensions/oauth/web-service.c
M	extensions/picasaweb/picasa-web-service.c

commit 92bd57a30ce3e8b3d8127b9c8cae0327c58c3cbb
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-20

    progress dialog: show an error dialog if a task fails

M	gthumb/gth-progress-dialog.c

commit 85e14e86758f2a1248e155f05cda7dbf99e69c91
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-19

    flickr: fixed FlickrSafety values

M	extensions/flicker_utils/flickr-types.h

commit eae978899b73eafe08f9313fee7142f8b4c8c981
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-19

    Flickr: use the OAuth based authentication process

M	extensions/23hq/actions.c
M	extensions/facebook/facebook-service.c
M	extensions/flicker/actions.c
M	extensions/flicker_utils/Makefile.am
M	extensions/flicker_utils/data/ui/Makefile.am
D	extensions/flicker_utils/data/ui/flicker-account-chooser.ui
D	extensions/flicker_utils/data/ui/flicker-account-manager.ui
M	extensions/flicker_utils/dlg-export-to-flickr.c
M	extensions/flicker_utils/dlg-import-from-flickr.c
D	extensions/flicker_utils/flickr-account-chooser-dialog.c
D	extensions/flicker_utils/flickr-account-chooser-dialog.h
D	extensions/flicker_utils/flickr-account-manager-dialog.c
D	extensions/flicker_utils/flickr-account-manager-dialog.h
M	extensions/flicker_utils/flickr-account.c
M	extensions/flicker_utils/flickr-account.h
D	extensions/flicker_utils/flickr-authentication.c
D	extensions/flicker_utils/flickr-authentication.h
D	extensions/flicker_utils/flickr-connection.c
D	extensions/flicker_utils/flickr-connection.h
A	extensions/flicker_utils/flickr-consumer.c
C068	extensions/photobucket/photobucket-consumer.h
extensions/flicker_utils/flickr-consumer.h
M	extensions/flicker_utils/flickr-service.c
M	extensions/flicker_utils/flickr-service.h
M	extensions/flicker_utils/flickr-types.h
D	extensions/flicker_utils/flickr-user.c
D	extensions/flicker_utils/flickr-user.h
M	extensions/oauth/Makefile.am
M	extensions/oauth/oauth-account.c
M	extensions/oauth/oauth-account.h
R061	extensions/oauth/oauth2-ask-authorization-dialog.c
extensions/oauth/oauth-ask-authorization-dialog.c
A	extensions/oauth/oauth-ask-authorization-dialog.h
D	extensions/oauth/oauth-authentication.c
D	extensions/oauth/oauth-authentication.h
D	extensions/oauth/oauth-connection.c
D	extensions/oauth/oauth-connection.h
C050	extensions/oauth/oauth.h	extensions/oauth/oauth-consumer.c
A	extensions/oauth/oauth-consumer.h
A	extensions/oauth/oauth-service.c
A	extensions/oauth/oauth-service.h
M	extensions/oauth/oauth.h
D	extensions/oauth/oauth2-ask-authorization-dialog.h
M	extensions/oauth/web-service.c
M	extensions/oauth/web-service.h
M	extensions/photobucket/dlg-export-to-photobucket.c
M	extensions/photobucket/photobucket-account.c
M	extensions/photobucket/photobucket-consumer.c
M	extensions/photobucket/photobucket-consumer.h
M	extensions/photobucket/photobucket-service.c
M	extensions/photobucket/photobucket-service.h
M	extensions/picasaweb/picasa-web-service.c
M	po/POTFILES.in

commit 58879e533b6a006a097e994a46268b712ca41db5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-16

    picasa web: fixed dialog spacing

M	extensions/picasaweb/data/ui/export-to-picasaweb.ui
M	extensions/picasaweb/data/ui/import-from-picasaweb.ui

commit 3ce7c6a97312ab5b2649f44abe941d090c9f83e5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-16

    picasa web importer: fixed account list

M	extensions/picasaweb/data/ui/import-from-picasaweb.ui
M	extensions/picasaweb/dlg-import-from-picasaweb.c

commit fac9f435a899d9de9e0fa2d71f6e6a5675a9365c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-16

    picasaweb: use the oauth2 authentication process

M	extensions/facebook/facebook-service.c
M	extensions/oauth/oauth2-ask-authorization-dialog.c
M	extensions/oauth/oauth2-ask-authorization-dialog.h
M	extensions/oauth/web-service.c
M	extensions/oauth/web-service.h
M	extensions/picasaweb/Makefile.am
M	extensions/picasaweb/data/ui/Makefile.am
M	extensions/picasaweb/data/ui/export-to-picasaweb.ui
D	extensions/picasaweb/data/ui/picasa-web-account-chooser.ui
D	extensions/picasaweb/data/ui/picasa-web-account-manager.ui
D	extensions/picasaweb/data/ui/picasa-web-account-properties.ui
M	extensions/picasaweb/dlg-export-to-picasaweb.c
M	extensions/picasaweb/dlg-import-from-picasaweb.c
D	extensions/picasaweb/google-connection.c
D	extensions/picasaweb/google-connection.h
D	extensions/picasaweb/picasa-account-chooser-dialog.c
D	extensions/picasaweb/picasa-account-chooser-dialog.h
D	extensions/picasaweb/picasa-account-manager-dialog.c
D	extensions/picasaweb/picasa-account-manager-dialog.h
D	extensions/picasaweb/picasa-account-properties-dialog.c
D	extensions/picasaweb/picasa-account-properties-dialog.h
M	extensions/picasaweb/picasa-web-service.c
M	extensions/picasaweb/picasa-web-service.h
D	extensions/picasaweb/picasa-web-user.c
D	extensions/picasaweb/picasa-web-user.h
M	po/POTFILES.in

commit ec2de88225c15427e8f2b553467f1ea79ff5115c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-15

    web-service: use the service name when storing the secret

M	extensions/oauth/web-service.c

commit bb868fe13165a3e97a042f893bb7973391f7f860
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-15

    updated POTFILES.in

M	po/POTFILES.in

commit f13f9079260645771fb15e849379e599cb5bf1fa
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-15

    facebook: moved some code to a generic WebService class

M	extensions/facebook/Makefile.am
M	extensions/facebook/dlg-export-to-facebook.c
D	extensions/facebook/facebook-authentication.c
D	extensions/facebook/facebook-authentication.h
D	extensions/facebook/facebook-connection.c
D	extensions/facebook/facebook-connection.h
M	extensions/facebook/facebook-service.c
M	extensions/facebook/facebook-service.h
D	extensions/facebook/facebook-user.c
D	extensions/facebook/facebook-user.h
M	extensions/oauth/Makefile.am
M	extensions/oauth/oauth-account.c
M	extensions/oauth/oauth.h
M	extensions/oauth/oauth2-ask-authorization-dialog.c
M	extensions/oauth/oauth2-ask-authorization-dialog.h
A	extensions/oauth/web-service.c
A	extensions/oauth/web-service.h

commit 6d34533b3c68cd7659ba510b7c3c8e77135dd01f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-13

    media viewer: wait for the state change to complete when setting a
    new uri

M	extensions/gstreamer_tools/gth-media-viewer-page.c

commit 52fa16bfc3bf6c4a5e05d3685478a8c0f13401ee
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-13

    media viewer: update the ui in an idle callback to avoid threading
    problems

M	extensions/gstreamer_tools/gth-media-viewer-page.c

commit ecb9b3f7142c8367a22ef1ea101672fea03d04e2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-12

    gstreamer: set the state to NULL before destroying the playbin

M	extensions/gstreamer_tools/gth-media-viewer-page.c

commit 2b3a0492267d5b5bc4e0533ada01578f931e7cd7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-12

    facebook: use the common oauth account manager, instead of a
    custom one

M	extensions/facebook/Makefile.am
M	extensions/facebook/data/ui/Makefile.am
D	extensions/facebook/data/ui/facebook-account-chooser.ui
D	extensions/facebook/data/ui/facebook-account-manager.ui
M	extensions/facebook/dlg-export-to-facebook.c
D	extensions/facebook/facebook-account-chooser-dialog.c
D	extensions/facebook/facebook-account-chooser-dialog.h
D	extensions/facebook/facebook-account-manager-dialog.c
D	extensions/facebook/facebook-account-manager-dialog.h
D	extensions/facebook/facebook-account.c
D	extensions/facebook/facebook-account.h
M	extensions/facebook/facebook-authentication.c
M	extensions/facebook/facebook-authentication.h
M	extensions/facebook/facebook-service.c
M	extensions/facebook/facebook-service.h
M	extensions/oauth/Makefile.am
M	extensions/oauth/data/ui/oauth-account-manager.ui
M	extensions/oauth/oauth-account-manager-dialog.c
M	extensions/oauth/oauth-account.c
M	extensions/oauth/oauth-account.h
M	extensions/oauth/oauth-authentication.c
A	extensions/oauth/oauth.h
M	extensions/oauth/oauth2-ask-authorization-dialog.c
M	extensions/photobucket/photobucket-account.c
M	extensions/photobucket/photobucket-consumer.c

commit d5cbcc43120090b97c619c43f5a013e1d67351f9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-11

    facebook: use the OAuth2 authentication method and the Graph API

M	configure.ac
M	extensions/facebook/Makefile.am
M	extensions/facebook/data/ui/Makefile.am
M	extensions/facebook/data/ui/export-to-facebook.ui
M	extensions/facebook/data/ui/facebook-account-manager.ui
M	extensions/facebook/data/ui/facebook-album-properties.ui
D	extensions/facebook/data/ui/facebook-ask-authorization.ui
D	extensions/facebook/data/ui/facebook-complete-authorization.ui
M	extensions/facebook/dlg-export-to-facebook.c
M	extensions/facebook/facebook-account.c
M	extensions/facebook/facebook-account.h
M	extensions/facebook/facebook-album-properties-dialog.c
M	extensions/facebook/facebook-album-properties-dialog.h
M	extensions/facebook/facebook-album.c
M	extensions/facebook/facebook-album.h
M	extensions/facebook/facebook-authentication.c
M	extensions/facebook/facebook-authentication.h
M	extensions/facebook/facebook-connection.c
M	extensions/facebook/facebook-connection.h
M	extensions/facebook/facebook-service.c
M	extensions/facebook/facebook-service.h
M	extensions/facebook/facebook-user.c
M	extensions/facebook/facebook-user.h
M	extensions/facebook/facebook.extension.in.in
M	extensions/oauth/Makefile.am
M	extensions/oauth/data/ui/Makefile.am
A	extensions/oauth/oauth2-ask-authorization-dialog.c
A	extensions/oauth/oauth2-ask-authorization-dialog.h
M	gthumb/Makefile.am

commit d101c61fe075fd363612013db0ec783588fe04dd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-09

    check for json_glib and webkit2

M	configure.ac
M	gthumb/Makefile.am

commit 39dc6a7b28044594da2ff01dfa9d51a6e7ab6a6c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-09

    allow to change comment if the "Store metadata in files" option is
    not active

    update the .comment metadata with the embedded metadata only when
    the embedded metadata is read for
    the first time and no .comment data is available.

M	extensions/Makefile.am
M	extensions/comments/Makefile.am
M	extensions/comments/gth-comment.c
M	extensions/comments/gth-comment.h
M	extensions/comments/gth-import-metadata-task.c
M	extensions/comments/gth-metadata-provider-comment.c
M	extensions/comments/main.c
M	extensions/exiv2_tools/exiv2-utils.cpp
M	extensions/exiv2_tools/exiv2-utils.h
M	extensions/exiv2_tools/gth-metadata-provider-exiv2.c
M	extensions/exiv2_tools/main.c
M	extensions/importer/gth-import-task.c

commit f9d7ad0b228031a7f143c7f199d11896af491b0a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-07

    POTFILES.in updated

M	po/POTFILES.in

commit c10105a26e978140cbb44348d93d1a7ea0851ba5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-07

    save and restore the thumbnail list size

    [new feature]

M	data/org.gnome.gthumb.gschema.xml.in
M	gthumb/Makefile.am
M	gthumb/gth-browser.c
A	gthumb/gth-paned.c
A	gthumb/gth-paned.h
M	gthumb/gth-preferences.h
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h

commit 7a85ec3d180a4ccc6dcad344b60fb8ca1add7d18
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-07

    fixed the GthAutoPaned macro names

M	gthumb/gth-auto-paned.c
M	gthumb/gth-auto-paned.h

commit f30c6d6c3cdf5a26061f8abd048fe6e55add59d0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-12-07

    added gth_file_list_get_mode renamed GthFileListType

M	extensions/catalogs/gth-organize-task.c
M	extensions/facebook/dlg-export-to-facebook.c
M	extensions/find_duplicates/gth-find-duplicates.c
M	extensions/flicker_utils/dlg-export-to-flickr.c
M	extensions/flicker_utils/dlg-import-from-flickr.c
M	extensions/photo_importer/dlg-photo-importer.c
M	extensions/photobucket/dlg-export-to-photobucket.c
M	extensions/picasaweb/dlg-export-to-picasaweb.c
M	extensions/picasaweb/dlg-import-from-picasaweb.c
M	gthumb/gth-browser.c
M	gthumb/gth-file-list.c
M	gthumb/gth-file-list.h

commit 7deaeefdf66e06d40cfa961cdaf85984c7e236fc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-12-02

    Updated POTFILES.in

M	po/POTFILES.in

commit 87b9db7956771aa25a009ab572efe3b1c24dee5c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-11

    use a smaller max zoom factor to enhance the viewer zoom quality

M	gthumb/cairo-scale.h

commit 77e472b305125af9744c9698c0904d7afc75d29a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-11

    media viewer: set the state to READY instead of NULL when deactivating

M	extensions/gstreamer_tools/gth-media-viewer-page.c

commit c928a684bcf8d055cc1e76ad8569d7a7846dc039
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    ported to libsecret

M	configure.ac
M	extensions/23hq/Makefile.am
M	extensions/facebook/Makefile.am
M	extensions/facebook/facebook-account.c
M	extensions/facebook/facebook-authentication.c
M	extensions/flicker/Makefile.am
M	extensions/flicker_utils/Makefile.am
M	extensions/flicker_utils/flickr-account.c
M	extensions/flicker_utils/flickr-authentication.c
M	extensions/oauth/Makefile.am
M	extensions/oauth/oauth-account.c
M	extensions/oauth/oauth-authentication.c
M	extensions/photobucket/Makefile.am
M	extensions/picasaweb/Makefile.am
M	extensions/picasaweb/dlg-export-to-picasaweb.c
M	extensions/picasaweb/dlg-import-from-picasaweb.c
M	gthumb/Makefile.am

commit 4f59302781a36a781546d9f950caa8e9295f9510
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    do not include rsvg-cairo.h explictly

M	extensions/cairo_io/cairo-image-surface-svg.c

commit dc7852a156014b3c147896aa55dcf67f01a17731
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    removed the us of GDK_THREADS_ENTER/LEAVE macros

M	extensions/file_manager/callbacks.c
M	gthumb/gth-grid-view.c
M	gthumb/gth-image-selector.c

commit d8491068ede6ddd3c7777d2ce8d89b8d9cbac457
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    window layout: use a GtkGrid instead of a GtkTable

M	gthumb/gth-window.c

commit e5043ecd3a4d35f707c02727aee441261d258679
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    use g_thread_new instead of g_thread_create

M	gthumb/gth-async-task.c

commit 4a5a56af363a0145564059c20f43e65f91b5b357
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    use GdkRGBA instead of cairo_color_t

M	extensions/contact_sheet/dlg-image-wall.c
M	extensions/file_tools/cairo-rotate.c
M	extensions/file_tools/cairo-rotate.h
M	extensions/file_tools/gth-file-tool-rotate.c
M	extensions/file_tools/gth-image-rotator.c
M	extensions/file_tools/gth-image-rotator.h
M	extensions/file_tools/gth-preview-tool.c
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h

commit 742b8428b61db296a4119443857985744f573572
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    removed the use of g_mutex_new

M	extensions/selections/gth-selections-manager.c
M	gthumb/gnome-desktop-thumbnail.c
M	gthumb/gth-async-task.c
M	gthumb/gth-hook.c

commit db14af0b1ad02796a2ab50ca43ec948ed787d0f9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    using GdkRGBA instead of GdkColor

M	extensions/contact_sheet/gth-contact-sheet-creator.c
M	extensions/contact_sheet/gth-contact-sheet-theme-dialog.c
M	extensions/contact_sheet/gth-contact-sheet-theme.c
M	extensions/contact_sheet/gth-contact-sheet-theme.h
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h

commit 50f97dd3e8d25e2800992336acbd2f98482b3376
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    video viewer: fixed progress bar for gtk 3.6

    when clicking on the progress bar jump to the specified
    position directly

M	extensions/gstreamer_tools/gth-media-viewer-page.c

commit e82783c21b6c51dd76f0845e51c9854cbf2ead66
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    ported to gstreamer 1.0

M	configure.ac
M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	extensions/gstreamer_utils/Makefile.am
M	extensions/gstreamer_utils/gstreamer-utils.c
D	extensions/gstreamer_utils/gstscreenshot.c
D	extensions/gstreamer_utils/gstscreenshot.h

commit b7933b3d7dc3a164df4fe699dbf285307d710def
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    add GST_DISABLE_DEPRECATED to CFLAGS when using --disable-deprecated

M	configure.ac

commit 7520dbd13b6ad98139dc981ab06db5d45cf33659
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-11-27

    Updated Polish translation

M	po/pl.po

commit e85acd4f54a33a778abab3507a0e4932448865df
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    rename dialog: set the focus to the template field when renaming
    multiple files

M	extensions/rename_series/dlg-rename-series.c

commit f4db46b1d2eb050b03b4c8ed343182b2e6c0ed2c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    import preferences: removed dialog title

M	extensions/importer/data/ui/import-preferences.ui

commit 342699666dde433cdeeb6ca1fdda19a45f357e63
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-04

    import task: always read the image if the orientation adjustment
    is requested

M	extensions/importer/gth-import-task.c

commit 91be68f086f48ab6ef8de560bd827e4a509c3dc8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-03

    import task: rotate the image before saving

    Instead of saving the image and then rotating, rotate the
    image in memory and then save.

M	extensions/importer/gth-import-task.c

commit efa72ef92301cced06a5a8ad3f56fce4b5947faf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-11-03

    do not use a shadow for the statusbar frames

M	gthumb/gth-statusbar.c

commit aedc85a7948e98912fa6cf83f1836f4f8ce39a6e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-10-31

    fixed the thumbnail color in gtk 3.6

M	gthumb/resources/gthumb.css

commit a6e43298d0dd2212d4210cb507c77d33318f14ae
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-10-31

    empty list: fix the widget style using the css

    using a scrolled window as parent causes some problems

M	gthumb/gth-empty-list.c
M	gthumb/gth-empty-list.h
M	gthumb/resources/gthumb.css

commit 86beec3ace3a19299f10d14dfdb4c917c3290b66
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-10-28

    Updated Spanish translation

M	help/es/es.po

commit c81f689a5ccec461045b4f2ca0ba0ec70fbf96c6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-10-28

    image rotation: read the orientation even when not using jpegtran

M	extensions/image_rotation/rotation-utils.c

commit 286d6398d53e802becea0ab7decdcf475da59ecf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-10-28

    added some generated files to MAINTAINERCLEANFILES

M	Makefile.am

commit 8977ee6fb80b38da21346a5ff3dda8e6c47b9e15
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-10-28

    album-theme-format.txt is not part of the help pages

M	help/Makefile.am

commit a1d26aef2b54114b45248e5309e8b1446f921950
Author: Oliver Propst <oliver.propst@gmail.com>
Date:	2012-09-30

    Use new yelp-tools instead of gnome-doc-utils

M	Makefile.am
M	autogen.sh
M	configure.ac
M	git.mk
M	help/ChangeLog
M	help/Makefile.am
M	help/el/el.po
M	help/es/es.po
M	help/oc/oc.po
M	help/sl/sl.po
M	help/sv/sv.po

commit 9550f5c218b445f66d411dc5ce9a5ae7de440772
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-10-21

    fixed gth_pixbuf_new_from_file partially loading images

    there is no way to respect the requested_size option here, just
    ignore it.

M	gthumb/pixbuf-io.c

commit 8888d906037b57add45ed3bc488c82fec36769ee
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-10-21

    fixed thumbnail generation for rotated images

    prefer the internal loader for jpeg images to load rotated images
    correctly.

M	gthumb/gnome-desktop-thumbnail.c
M	gthumb/gth-thumb-loader.c

commit e680ac55e0a71505e115c5871f46b3c9387f3c73
Author: Taijuin <taijuin@gmail.com>
Date:	2012-10-16

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit ac40eb2593064dcf3851d61c6b4a84ee5ec1ab60
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-10-15

    updated for version 3.1.2

M	NEWS
M	configure.ac

commit 5c0f3ad16761967d7286d52337febc5703403a8f
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2012-10-13

    Updated Latvian translation

M	po/lv.po

commit ddd9becf669d3ff3c6a57d17a4a69957e5776de9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-10-08

    configure: use gdk-3.0 to check the GDK target

    [bug #685674]

M	configure.ac

commit 576322bf9ed6d3e27c96689fe1eb43afedcc1bdb
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-10-02

    Deleted obsolete Belarusian translation.

M	po/LINGUAS
D	po/be.po

commit 43aa2431e15c42a1b591825e6fc3656c316755d4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-30

    cairo scale: use a bigger value as epsilon

M	gthumb/cairo-scale.c

commit ac0cdd9b9e54f44609199633e6f40d2ad0de30aa
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-30

    fixed scaling producing a black image

    define gfixed as gint64 to make it work on 32 bit systems as well

M	gthumb/gfixed.h

commit 485ab689d322fd17b987e141d7b68846b49f436a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-23

    updated for version 3.1.1

M	NEWS
M	configure.ac

commit fa9609cbf8558820a22a93e86f683ba6c094abed
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-23

    keep the Tools button always sensitive

M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/gth-browser.c

commit 8519288adf2cf2d40a62b66c44ca4d3604ffb4f0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-19

    indentation and spaces

M	extensions/file_tools/gth-file-tool-grayscale.c
M	extensions/file_tools/gth-file-tool-sharpen.c

commit 14e88f1471a2fce5781c6d543ab99adb392e424c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-19

    simplified the 'adjust contrast' icon

M	data/icons/hicolor/16x16/actions/tool-adjust-contrast.png
M	data/icons/hicolor/22x22/actions/tool-adjust-contrast.png
M	data/icons/hicolor/scalable/actions/tool-adjust-contrast.svg

commit d3420d2b6b92280eab79a0005f4f1d7a9c30a5cf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-19

    save the properties visibility when hiding the sidebar

M	gthumb/gth-browser.c

commit eb9a0c80920c72dbfebc7957fb9d3e281be13fd1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-19

    save and restore the viewer sidebar state

    [new feature]

M	data/org.gnome.gthumb.gschema.xml.in
M	extensions/file_tools/callbacks.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/gth-browser-actions-callbacks.c
M	gthumb/gth-browser-actions-callbacks.h
M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser-ui.h
M	gthumb/gth-browser.c
M	gthumb/gth-browser.h
M	gthumb/gth-preferences.h
M	gthumb/gth-sidebar.h

commit 408f95c98555e6f10c09c7a4a96ef5ee9289db3d
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:	2012-09-19

    [l10n] Updated Italian translation.

M	po/it.po

commit 7c19c625512252293562eef16d3d8256b8999ed7
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-09-17

    Updated Indonesian translation

M	po/id.po

commit e01685a03953a71fe17d0a267522320bbf7aa790
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-16

    sharpen tool: center the preview after activation

M	extensions/file_tools/gth-file-tool-sharpen.c
M	gthumb/gth-image-viewer.c
M	gthumb/gth-image-viewer.h

commit 449b580520ee3bd13d3a515cdc75a3b7d687891d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-16

    updated the 'adjust contrast' icon

M	data/icons/hicolor/16x16/actions/tool-adjust-contrast.png
M	data/icons/hicolor/22x22/actions/tool-adjust-contrast.png
M	data/icons/hicolor/scalable/actions/tool-adjust-contrast.svg

commit 9c05d30fdff449b14e9f830b3736599128e5c7ea
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-15

    use a smaller max zoom factor to enhance the quality

M	gthumb/cairo-scale.h

commit fc1414ce62728f6abade6726bd2ecbb50e7de11f
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-09-15

    Updated Lithuanian translation

M	po/lt.po

commit e50d1c3ddd1347062dcfdd33ee9a3c0e5783dfb6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-15

    jpeg loader: set the error if the operation was cancelled

M	extensions/cairo_io/cairo-image-surface-jpeg.c

commit cacddf8fd37514422548e83e13c8e6d6c74f48a1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-15

    install the app menu only if there's the gnome-shell showing it

M	gthumb/main.c

commit ac2f522f829443ac4ef22e6b781dccc78a7ba294
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-06

    fixed svg images not displayed with the image viewer

    added an optional 'file' parameter to _g_content_type_get_from_stream
    to get the mime type from the extension when the content type is
    application/xml.

M	gthumb/glib-utils.c
M	gthumb/glib-utils.h
M	gthumb/gth-file-data.c
M	gthumb/gth-image-loader.c
M	gthumb/gth-image-utils.c
M	gthumb/gth-thumb-loader.c
M	gthumb/pixbuf-io.c

commit 1a0cad0840605a03b3c9753ba4cc474fc4b9e296
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-06

    media viewer: fixed the duration label not updated correctly

M	extensions/gstreamer_tools/gth-media-viewer-page.c

commit e06fedf8a9217b06d2c3b7cdab332185094ec8a9
Author: Marek Černocký <marek@manet.cz>
Date:	2012-09-06

    Updated Czech translation

M	po/cs.po

commit 8ca761d7ea28991ed7e6a67acda1612d18cc9703
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-04

    updated POTFILES.in

M	po/POTFILES.in

commit 9275aedc2380ea752dc98028e57b52d51ed51589
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-04

    photobucket/facebook: use the same text used in flickr/picasaweb

    use "Resize if larger than" instead of "Resize to"

M	extensions/facebook/data/ui/export-to-facebook.ui
M	extensions/photobucket/data/ui/export-to-photobucket.ui

commit fbcb664cbb1a9b0580ec38b5bf3cd90b4abc6658
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-04

    exiv2: change Exif.Image.Image[Width|Length] as well when saving

M	extensions/exiv2_tools/exiv2-utils.cpp

commit 77d188854a80a0becf1f65eef586fafc95a1c1db
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-04

    fixed compiler warnings

M	gthumb/gth-image-utils.h
M	gthumb/gth-thumb-loader.c

commit 1e6daf8c9ac0895274a79e685e2542c4961ad71d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-04

    _gtk_combo_box_add_image_sizes: add all the sizes

M	gthumb/gtk-utils.c

commit fc07f91de0867eed143b0a253cfaf18fa942e383
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-04

    flickr: allow to scale the images before uploading

M	data/Makefile.am
A	data/org.gnome.gthumb.flickr.gschema.xml.in
M	extensions/flicker_utils/Makefile.am
M	extensions/flicker_utils/data/ui/export-to-flickr.ui
M	extensions/flicker_utils/dlg-export-to-flickr.c
M	extensions/flicker_utils/flickr-service.c
M	extensions/flicker_utils/flickr-service.h
A	extensions/flicker_utils/preferences.h

commit 3e421ca7f4573af94309308145bc6eb2d2a4544e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-04

    picasaweb: allow to resize the images before uploading

M	data/org.gnome.gthumb.picasaweb.gschema.xml.in
M	extensions/picasaweb/data/ui/export-to-picasaweb.ui
M	extensions/picasaweb/dlg-export-to-picasaweb.c
M	extensions/picasaweb/picasa-web-service.c
M	extensions/picasaweb/picasa-web-service.h
M	extensions/picasaweb/preferences.h

commit 5c5bc695def82efc5826d456f205d7619ff61a8c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-04

    web exporter: use the resize utilities

M	extensions/webalbums/dlg-web-exporter.c

commit ac805449d3308632f32cfad6b483af2722e5fc73
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-04

    image loader: get the mime type from the input stream

    instead of opening the file again

M	gthumb/gth-image-loader.c

commit 37098e3df820770ee0eb9ace868a4c9175a62054
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-04

    allow to preserve the metadata when saving to a buffer

M	extensions/contact_sheet/gth-contact-sheet-creator.c
M	extensions/exiv2_tools/exiv2-utils.cpp
M	extensions/facebook/facebook-service.c
M	gthumb/gth-image-saver.c
M	gthumb/gth-image-saver.h

commit 7d180a2862bddb5147c4c280707deb391fa41450
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-04

    added some utilities to resize images

M	gthumb/Makefile.am
A	gthumb/gth-image-utils.c
C059	gthumb/pixbuf-utils.h	gthumb/gth-image-utils.h
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h
M	gthumb/pixbuf-io.c
M	gthumb/pixbuf-utils.c
M	gthumb/pixbuf-utils.h

commit a7a9d6ae2019c64f5d72494a4e14df8d8bbe8618
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-09-02

    file context menu: moved 'open with' before 'save' and 'print'

M	gthumb/gth-browser-ui.h

commit 2b6b5401a0e1d1198499160ca779db6c0f2d2442
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-30

    added 'Print' and 'Save As' to the file context menu

M	extensions/image_print/callbacks.c
M	gthumb/gth-browser-ui.h

commit 030f5bd2c50e883b8148c2bcdd55b6715ae5ae3d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-30

    added the fullscreen command to the viewer toolbar

M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	gthumb/gth-browser-ui.h

commit d425e8ca3d0a34bd99df3ce2719e3d9aad11b2e0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-04

    Updated Polish translation

M	po/pl.po

commit b8908c7440e80b774ea9c5683ff914324615300c
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-09-03

    Fixed Hungarian translation

M	po/hu.po

commit 48e6d214d38a5eb21c73a72294e45f3b2170b9c2
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-09-03

    Updated Hungarian translation by Balazs Ur <urbalazs at gmail dot com>

M	po/hu.po

commit eb1caf0a5c8459639ad6794a4c91ce1cc04f01e2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-08-29

    Updated Slovenian translation

M	po/sl.po

commit e80f9376a1988d5334e2f7b92488a8aed865cf06
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-27

    distribute preferences.h

M	extensions/cairo_io/Makefile.am

commit 9d2f852e9f8026970b4e03fa5632be8b8a23c7f2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-27

    fixed distribution of filmholes.png

M	data/icons/Makefile.am

commit 51048aacc885f113a4bfe0c9f21d6bb6deb7914b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-27

    fixed build error

    added 'resources' in SUBDIRS

M	gthumb/Makefile.am

commit 7b39dc8dff1c2c00972c0c8dd04281649c445530
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-27

    Updated Spanish translation

M	po/es.po

commit 2a71e4aaf0682029596f59d4c43944517cb61c4b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-27

    updated POTFILES.in

M	po/POTFILES.in

commit 1f402e26ecd6b0f188cf7ced4b40c6abb978ea21
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-27

    updated the adjust contrast icon

M	data/icons/hicolor/16x16/actions/tool-adjust-contrast.png
M	data/icons/hicolor/22x22/actions/tool-adjust-contrast.png
M	data/icons/hicolor/scalable/actions/tool-adjust-contrast.svg

commit c9db4eda2b194e8ba03f9841f47a5dffb7bf8e70
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-27

    added a custom GtkScale for the color selectors

M	configure.ac
M	extensions/file_tools/gth-file-tool-adjust-colors.c
M	extensions/file_tools/gth-file-tool-rotate.c
M	extensions/file_tools/gth-file-tool-sharpen.c
M	gthumb/Makefile.am
A	gthumb/gth-color-scale.c
A	gthumb/gth-color-scale.h
M	gthumb/gth-window.c
A	gthumb/gthumb.gresource.xml
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h
A	gthumb/resources/Makefile.am
A	gthumb/resources/gthumb.css

commit 74b78fdf7356b3b31e2c6138dd81b6e813fe363e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-26

    jpeg options: fixed run-time warning

M	extensions/cairo_io/data/ui/jpeg-options.ui

commit e5183e74eef938bb6321a3361731f98621ee5c9e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-26

    webp options: set lossless to false by default

M	data/org.gnome.gthumb.pixbuf-savers.gschema.xml.in

commit 73e53814b024140e413fd48c3c7fa0746404b56e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-26

    allow to specify the format options when saving a file

M	data/org.gnome.gthumb.gschema.xml.in
M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/gth-file-chooser-dialog.c
M	gthumb/gth-preferences.h

commit 7d7769eb8e5ae294d2ce2d7b14d01a8543129782
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-26

    updated POTFILES.in

M	po/POTFILES.in

commit ebbcf1a90e8580abc6f5685eacdb471d7656c53d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-26

    added ability to save images as WebP

    [new feature]

M	data/org.gnome.gthumb.pixbuf-savers.gschema.xml.in
M	extensions/cairo_io/Makefile.am
M	extensions/cairo_io/data/ui/Makefile.am
M	extensions/cairo_io/data/ui/save-options-preferences.ui
M	extensions/cairo_io/data/ui/tiff-options.ui
A	extensions/cairo_io/data/ui/webp-options.ui
A	extensions/cairo_io/gth-image-saver-webp.c
A	extensions/cairo_io/gth-image-saver-webp.h
M	extensions/cairo_io/main.c
M	extensions/cairo_io/preferences.h
M	gthumb/cairo-utils.c
M	gthumb/glib-utils.c

commit c30ebbf1fa9b62f01bacd469826c51b063430685
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-25

    rotate options: removed unused widget

M	extensions/file_tools/data/ui/rotate-options.ui

commit ffad81138ae0045b626b59117e81a2ae5219b547
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-25

    rotate options: fixed spacing of the alignment options

M	extensions/file_tools/data/ui/rotate-options.ui

commit 00d162db01edf5a66bdfc7c3b37a0dc73bd25dd3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-25

    added ability to load WebP images

    [new feature]

M	configure.ac
M	extensions/cairo_io/Makefile.am
A	extensions/cairo_io/cairo-image-surface-webp.c
A	extensions/cairo_io/cairo-image-surface-webp.h
M	extensions/cairo_io/main.c
M	extensions/image_viewer/gth-metadata-provider-image.c
M	gthumb/Makefile.am
M	gthumb/glib-utils.c
M	gthumb/glib-utils.h
M	gthumb/gth-file-data.c
M	gthumb/gth-metadata-provider.c

commit a1e4b08a43323764e919efc876d1c51d84e2b092
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-25

    Updated POTFILES.in

M	po/POTFILES.in

commit da788ae21feffa755c0b95bbd1dbb9c74f801293
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-25

    fixed icon extension

M	data/icons/hicolor/scalable/actions/Makefile.am

commit 5bf78a021bf0a9b7f796cd75b8244bf904ab7b69
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-25

    removed the format chooser from the file dialog

M	gthumb/Makefile.am
D	gthumb/egg-macros.h
D	gthumb/eggfileformatchooser.c
D	gthumb/eggfileformatchooser.h
M	gthumb/gth-file-chooser-dialog.c

commit 558b893980e46edd7aafd86fe7dc353bbaa7ff06
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-25

    adjust contrast: changed icon

M	data/icons/hicolor/16x16/actions/tool-adjust-contrast.png
M	data/icons/hicolor/22x22/actions/tool-adjust-contrast.png
M	data/icons/hicolor/scalable/actions/Makefile.am
A	data/icons/hicolor/scalable/actions/tool-adjust-contrast.svg

commit 7a9dd2bb81353cc217def5ab5c89590d0c485a21
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-25

    adjust contrast: use a GthImageTask

M	extensions/file_tools/gth-file-tool-adjust-contrast.c

commit 2c83684f9164b6f64847edfa99e970ff26b0fd63
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-25

    grayscale: use 'brightness' as default method

M	extensions/file_tools/data/ui/grayscale-options.ui

commit 0926230b335fdff75a2c5c098a555c14957cb904
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-25

    desaturate tool: added ability to choose the method, renamed to
    grayscale

M	data/icons/hicolor/16x16/actions/Makefile.am
R100	data/icons/hicolor/16x16/actions/tool-desaturate.png
data/icons/hicolor/16x16/actions/tool-grayscale.png
M	data/icons/hicolor/22x22/actions/Makefile.am
R100	data/icons/hicolor/22x22/actions/tool-desaturate.png
data/icons/hicolor/22x22/actions/tool-grayscale.png
M	extensions/file_tools/Makefile.am
M	extensions/file_tools/data/ui/Makefile.am
A	extensions/file_tools/data/ui/grayscale-options.ui
D	extensions/file_tools/gth-file-tool-desaturate.c
D	extensions/file_tools/gth-file-tool-desaturate.h
A	extensions/file_tools/gth-file-tool-grayscale.c
A	extensions/file_tools/gth-file-tool-grayscale.h
M	extensions/file_tools/main.c

commit bb899562e8123517e744dbba3402752130a7e4af
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-24

    equalize histogram: use a faster algorithm

M	extensions/file_tools/gth-file-tool-equalize.c

commit 606e2cb2141e5140fb0a2bd6e995f635863ea2fa
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-24

    enhance colors: use a faster algorithm and rename to "adjust contrast"

M	data/icons/hicolor/16x16/actions/Makefile.am
R100	data/icons/hicolor/16x16/actions/tool-enhance.png
data/icons/hicolor/16x16/actions/tool-adjust-contrast.png
M	data/icons/hicolor/22x22/actions/Makefile.am
R100	data/icons/hicolor/22x22/actions/tool-enhance.png
data/icons/hicolor/22x22/actions/tool-adjust-contrast.png
M	extensions/file_tools/Makefile.am
M	extensions/file_tools/callbacks.c
A	extensions/file_tools/gth-file-tool-adjust-contrast.c
A	extensions/file_tools/gth-file-tool-adjust-contrast.h
D	extensions/file_tools/gth-file-tool-enhance.c
D	extensions/file_tools/gth-file-tool-enhance.h
M	extensions/file_tools/main.c
M	gthumb/gth-histogram.c
M	gthumb/gth-histogram.h
M	po/POTFILES.in

commit ed60c84db20179b408c70f7244b00d1ece7943f9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-23

    preloader: comapre the file objects instead of the pointers

M	gthumb/gth-image-preloader.c

commit 25e75c13dd6243975e02c468d21f09d76c03df11
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-23

    file tools: removed useless code

M	extensions/file_tools/gth-file-tool-resize.c
M	extensions/file_tools/gth-file-tool-rotate.c

commit 3e8f4995d3733a308a344abf79e80dc8a94a13f4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-23

    adjust colors: apply the changes to a scaled image for a faster
    preview

M	extensions/file_tools/Makefile.am
M	extensions/file_tools/gth-file-tool-adjust-colors.c
A	extensions/file_tools/gth-preview-tool.c
A	extensions/file_tools/gth-preview-tool.h

commit bd70535925c053980ce1f927c16ac256fce577ed
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-23

    fixed spacing in the red-eye removal tool options

M	extensions/red_eye_removal/data/ui/red-eye-removal-options.ui

commit 1370ce979f06ed3082ff16eefc2f4676b5b9685d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-23

    rotate options: don't expand the background color button

M	extensions/file_tools/data/ui/rotate-options.ui

commit 7c0b23f5949265e0cd8580d4d008e7b46f68c507
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-23

    use the difference operator to draw the grid

M	extensions/file_tools/gth-image-rotator.c
M	gthumb/cairo-utils.c
M	gthumb/gth-image-selector.c

commit 10ffb9e4eb0bbd68da53f834b450ffc8fb29964e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-22

    select the file to load before loading the file

M	gthumb/gth-browser.c

commit dc950661e2736225531bfbb79b563a551714cd25
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-22

    preloader: start the next loader only after the current loader has
    been stopped

M	gthumb/gth-image-preloader.c

commit 0bda7a73bb55174e12bd9dce3931001b80a8a43b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-22

    preloader: ignore the request if the operation was cancelled

M	gthumb/gth-image-preloader.c

commit 512102b378d6177f7916228c644cdbf9a99ee63b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-22

    Fixed generation of gthumb.h

    use 'mv' instead of 'cmp || cp' as explained in commit
    e15ad6cac0bb91b3d9b4ee51f1fb37917a6423f1

M	gthumb/Makefile.am

commit 49be47215644ef7a8b7f5dfec971d28fb1826c9a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-22

    histogram view: removed the channel icon

M	gthumb/gth-histogram-view.c

commit 412ecf8cc22b347b7db957952563ce19377577d0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-22

    use the fast scale function when quality is not important

M	extensions/file_tools/gth-image-line-tool.c
M	extensions/file_tools/gth-image-rotator.c
M	gthumb/gth-image-navigator.c

commit 8243dcd17000123d65cba42e8ec446a73eb7b650
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-22

    cairo scale: use a generic value for the max scale factor to use

M	gthumb/cairo-scale.c
M	gthumb/cairo-scale.h
M	gthumb/gth-image-dragger.c

commit 4f28c9874b13d49d5ef5b910ceb1f4eb246e9349
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-22

    destroy the tool options widget when closing the options pane

M	gthumb/gth-toolbox.c

commit cdc3faae1ce3c66d0da6120b8fa2d3b308185c5b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-22

    rotation tool: fixed rotation mask when the image is smaller than
    the original

M	extensions/file_tools/gth-image-rotator.c

commit 33e9b77b86d57dd96f0326b5c9156f5b10d7e3e4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-21

    cairo scale: fixed white line at the bottom when scaling by some
    factors

M	gthumb/cairo-scale.c

commit 03caa7a3ad1d2f6f7d2fbaf9f3d8b231aeb0c3c2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-21

    No anti-aliasing on the viewer

    fixed image quality when the zoom factor is smaller then 0.5

    [bug #674159]

M	gthumb/Makefile.am
M	gthumb/cairo-scale.c
M	gthumb/cairo-scale.h
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h
C050	gthumb/cairo-scale.h	gthumb/gfixed.h
M	gthumb/gth-image-dragger.c

commit 054992b70f2682953e4b49221805117c069406f5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-21

    fixed crash when no icon theme is provided to _g_icon_get_pixbuf

M	extensions/catalogs/gth-organize-task.c
M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	gthumb/gth-overwrite-dialog.c
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h

commit b0a8bd2d783505f5c5d95d9f20ad872d14a08c7b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-21

    resize tool: fixed problems when changing the size very fast

M	extensions/file_tools/gth-file-tool-resize.c
M	gthumb/gth-async-task.c

commit 1158c097016372b90e31db992b024d8824077852
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-21

    exiv2: fixed crash if the metadata is NULL

M	extensions/exiv2_tools/exiv2-utils.cpp

commit 2a8e05ba1e87030340dd8c224fd9ce150f8e16dd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-20

    rotate options: make the options fit the space more easly

M	extensions/file_tools/data/ui/rotate-options.ui

commit e23523675e05e0e6744051ca357d225582afa413
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-20

    image rotator: use a unique background color and always show the
    crop area

M	extensions/file_tools/gth-image-rotator.c

commit c97305237a575efb6a240738ed6756b4248820b5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-19

    image viewer: use the black background by default

M	data/org.gnome.gthumb.image-viewer.gschema.xml.in

commit 3bf723426caa36b9c4ec792ea83343d5e6d28a53
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-19

    some changes to the high resolution icon

M	data/icons/hicolor/256x256/apps/gthumb.png
M	data/icons/hicolor/scalable/apps/gthumb.svg

commit 6f2ec5160776c3e68f8b6cfb42a03b30a5fafa75
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-19

    added an high resolution application icon

M	configure.ac
A	data/icons/hicolor/256x256/Makefile.am
A	data/icons/hicolor/256x256/apps/Makefile.am
A	data/icons/hicolor/256x256/apps/gthumb.png
M	data/icons/hicolor/Makefile.am
M	data/icons/hicolor/scalable/apps/gthumb.svg

commit 740e55e89eac3320ad6d98414792935f1a6f5f54
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-19

    don't use cairo_surface_create_similar_image

M	gthumb/cairo-scale.c

commit 465a36493c89b068a209058415305ff6dca9139c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-19

    added a description property to GthTask to simplify the code

M	extensions/file_tools/gth-file-tool-resize.c
M	gthumb/gth-async-task.c
M	gthumb/gth-image-list-task.c
M	gthumb/gth-image-task.c
M	gthumb/gth-image-task.h
M	gthumb/gth-task.c

commit 13d279886cc1937f4cd93b6162ef708fcfc71cc6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-19

    resize tool: show a progress dialog if the resizing takes a lot
    of time

    and allow to cancel the operation

M	extensions/file_tools/gth-file-tool-resize.c

commit 5131ef2f43a0d37ddaca8b3a44d0df03c181a64a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-19

    update POTFILES.in

M	po/POTFILES.in

commit d0091a6569707c5ca79cfceaa7642b4cf9b1a1c6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-19

    removed unused code

M	extensions/cairo_io/gth-image-saver-tga.c
M	gthumb/gth-histogram.c
M	gthumb/gth-histogram.h

commit a8096040bc29fde5944531097c26df719689e5a7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-19

    always use _gdk_pixbuf_scale_simple_safe instead of
    gdk_pixbuf_scale_simple

M	extensions/exiv2_tools/exiv2-utils.cpp
M	gthumb/gth-thumb-loader.c

commit 6c644dda954ef291d1471fbbb70c6e95a2ff4bc7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-19

    print: use cairo_surfaces only without converting to/from GdkPixbufs

M	extensions/image_print/actions.c
M	extensions/image_print/gth-image-info.c
M	extensions/image_print/gth-image-info.h
M	extensions/image_print/gth-image-print-job.c
M	extensions/image_print/gth-image-print-job.h
M	extensions/image_print/gth-load-image-info-task.c
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h
M	gthumb/pixbuf-utils.c
M	gthumb/pixbuf-utils.h

commit f114b3f88ef5d6f6a36d25fb2a3289f9105d32c1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-19

    pixbuf utils: removed unused code, renamed a function

M	extensions/cairo_io/gth-image-saver-tga.c
M	gthumb/pixbuf-io.c
M	gthumb/pixbuf-io.h
M	gthumb/pixbuf-utils.c
M	gthumb/pixbuf-utils.h

commit 274dde121ba806abfdcea45f53ef6d5ea4a62a77
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-18

    pixbuf-utils: removed unused functions

M	gthumb/pixbuf-utils.c
M	gthumb/pixbuf-utils.h

commit d2f1258cade8e7637dccdae1a1933e6b9489e204
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-18

    cairo-io: fixed crash when resizing a series of images

M	extensions/resize_images/dlg-resize-images.c
M	gthumb/pixbuf-io.c

commit 8b7cfe69e182e9dbe46779146e4d6d082be55a35
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-18

    cairo-io: save png images without converting to a GdkPixbuf

M	extensions/cairo_io/cairo-image-surface-png.c
M	extensions/cairo_io/gth-image-saver-jpeg.c
M	extensions/cairo_io/gth-image-saver-png.c
M	extensions/cairo_io/gth-image-saver-tga.c
M	extensions/cairo_io/gth-image-saver-tiff.c
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h

commit 75676d4a9ff3d509c3f7e7a59ad6832af49ac68c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-18

    cairo-io: use GthImage or cairo_surface_t instead of GdkPixbuf

    this reduces the convertions from cairo_surface_t to GdkPixbuf
    abd vice
    versa.

M	extensions/cairo_io/gth-image-saver-jpeg.c
M	extensions/cairo_io/gth-image-saver-jpeg.h
M	extensions/cairo_io/gth-image-saver-png.c
M	extensions/cairo_io/gth-image-saver-png.h
M	extensions/cairo_io/gth-image-saver-tga.c
M	extensions/cairo_io/gth-image-saver-tga.h
M	extensions/cairo_io/gth-image-saver-tiff.c
M	extensions/cairo_io/gth-image-saver-tiff.h
M	extensions/cairo_io/main.c
M	extensions/cairo_io/preferences.c
M	extensions/cairo_io/preferences.h
M	extensions/contact_sheet/dlg-contact-sheet.c
M	extensions/contact_sheet/dlg-image-wall.c
M	extensions/contact_sheet/gth-contact-sheet-creator.c
M	extensions/convert_format/dlg-convert-format.c
M	extensions/desktop_background/actions.c
M	extensions/exiv2_tools/exiv2-utils.cpp
M	extensions/exiv2_tools/exiv2-utils.h
M	extensions/exiv2_tools/main.c
M	extensions/facebook/facebook-service.c
M	extensions/file_tools/gth-file-tool-enhance.c
M	extensions/file_tools/gth-file-tool-equalize.c
M	extensions/gstreamer_tools/actions.c
M	extensions/image_rotation/rotation-utils.c
M	extensions/image_viewer/gth-image-viewer-page.c
M	extensions/importer/gth-import-task.c
M	extensions/resize_images/dlg-resize-images.c
M	extensions/webalbums/gth-web-exporter.c
M	gthumb/Makefile.am
M	gthumb/cairo-scale.c
M	gthumb/cairo-scale.h
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h
M	gthumb/gth-file-chooser-dialog.c
R070	gthumb/gth-pixbuf-list-task.c	gthumb/gth-image-list-task.c
A	gthumb/gth-image-list-task.h
M	gthumb/gth-image-loader.c
M	gthumb/gth-image-loader.h
A	gthumb/gth-image-saver.c
A	gthumb/gth-image-saver.h
A	gthumb/gth-image-task.c
A	gthumb/gth-image-task.h
M	gthumb/gth-image.c
M	gthumb/gth-image.h
M	gthumb/gth-main-default-hooks.c
M	gthumb/gth-main.c
M	gthumb/gth-main.h
M	gthumb/gth-overwrite-dialog.c
M	gthumb/gth-overwrite-dialog.h
D	gthumb/gth-pixbuf-list-task.h
D	gthumb/gth-pixbuf-saver.c
D	gthumb/gth-pixbuf-saver.h
D	gthumb/gth-pixbuf-task.c
D	gthumb/gth-pixbuf-task.h
M	gthumb/pixbuf-io.c
M	gthumb/pixbuf-io.h
M	gthumb/typedefs.h

commit b9ecf3f4b2fc4631e5c5c689abb3315c40914636
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-18

    file list: fixed crash when the file icon is not available

M	gthumb/gth-file-list.c
M	gthumb/gth-icon-cache.c

commit d36f5fc8866ad506f3aff426c1d03c2481c64906
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-18

    cairo_io: read images from a stream if possible

M	extensions/cairo_io/cairo-image-surface-jpeg.c
M	extensions/cairo_io/cairo-image-surface-jpeg.h
M	extensions/cairo_io/cairo-image-surface-png.c
M	extensions/cairo_io/cairo-image-surface-png.h
M	extensions/cairo_io/cairo-image-surface-svg.c
M	extensions/cairo_io/cairo-image-surface-svg.h
M	extensions/flicker_utils/dlg-import-from-flickr.c
M	extensions/jpeg_utils/jmemorysrc.c
M	extensions/picasaweb/dlg-import-from-picasaweb.c
M	extensions/raw_files/main.c
M	gthumb/gio-utils.c
M	gthumb/gio-utils.h
M	gthumb/glib-utils.c
M	gthumb/glib-utils.h
M	gthumb/gth-file-data.c
M	gthumb/gth-image-loader.c
M	gthumb/gth-image-loader.h
M	gthumb/gth-image.h
M	gthumb/gth-thumb-loader.c
M	gthumb/pixbuf-io.c
M	gthumb/pixbuf-io.h

commit e0ccd3ecd10cc966dba42ad133e3b7104d931565
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-18

    cairo_io: renamed the gth_image_saver_* objects

M	extensions/cairo_io/Makefile.am
R088	extensions/cairo_io/gth-jpeg-saver.c
extensions/cairo_io/gth-image-saver-jpeg.c
A	extensions/cairo_io/gth-image-saver-jpeg.h
R063	extensions/cairo_io/gth-png-saver.c
extensions/cairo_io/gth-image-saver-png.c
A	extensions/cairo_io/gth-image-saver-png.h
R083	extensions/cairo_io/gth-tga-saver.c
extensions/cairo_io/gth-image-saver-tga.c
A	extensions/cairo_io/gth-image-saver-tga.h
R087	extensions/cairo_io/gth-tiff-saver.c
extensions/cairo_io/gth-image-saver-tiff.c
A	extensions/cairo_io/gth-image-saver-tiff.h
D	extensions/cairo_io/gth-jpeg-saver.h
D	extensions/cairo_io/gth-png-saver.h
D	extensions/cairo_io/gth-tga-saver.h
D	extensions/cairo_io/gth-tiff-saver.h
M	extensions/cairo_io/main.c

commit 78b508caeed7c7e0cbd394927dd17ee1cef33786
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-17

    cairo_io: fixed ui files not loading correctly

M	extensions/cairo_io/gth-jpeg-saver.c
M	extensions/cairo_io/gth-png-saver.c
M	extensions/cairo_io/gth-tga-saver.c
M	extensions/cairo_io/gth-tiff-saver.c
M	extensions/cairo_io/preferences.c

commit 781ef8c158fc26867b54bd6dc265dc2c0cf7ed0a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-17

    cairo_io: renamed some files to more meaningful names

M	extensions/cairo_io/Makefile.am
R099	extensions/cairo_io/cairo-io-jpeg.c
extensions/cairo_io/cairo-image-surface-jpeg.c
R091	extensions/cairo_io/cairo-io-jpeg.h
extensions/cairo_io/cairo-image-surface-jpeg.h
R099	extensions/cairo_io/cairo-io-png.c
extensions/cairo_io/cairo-image-surface-png.c
R091	extensions/cairo_io/cairo-io-png.h
extensions/cairo_io/cairo-image-surface-png.h
R099	extensions/cairo_io/cairo-io-svg.c
extensions/cairo_io/cairo-image-surface-svg.c
R091	extensions/cairo_io/cairo-io-svg.h
extensions/cairo_io/cairo-image-surface-svg.h
M	extensions/cairo_io/main.c

commit 628e19117179ba6dc476f2300c65b9d36aa43302
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-17

    merged pixbuf-savers and cairo_io extensions

M	configure.ac
M	extensions/Makefile.am
M	extensions/cairo_io/Makefile.am
R100	extensions/pixbuf_savers/data/Makefile.am
extensions/cairo_io/data/Makefile.am
R100	extensions/pixbuf_savers/data/ui/Makefile.am
extensions/cairo_io/data/ui/Makefile.am
R100	extensions/pixbuf_savers/data/ui/jpeg-options.ui
extensions/cairo_io/data/ui/jpeg-options.ui
R100	extensions/pixbuf_savers/data/ui/png-options.ui
extensions/cairo_io/data/ui/png-options.ui
R100	extensions/pixbuf_savers/data/ui/save-options-preferences.ui
extensions/cairo_io/data/ui/save-options-preferences.ui
R100	extensions/pixbuf_savers/data/ui/tga-options.ui
extensions/cairo_io/data/ui/tga-options.ui
R100	extensions/pixbuf_savers/data/ui/tiff-options.ui
extensions/cairo_io/data/ui/tiff-options.ui
R100	extensions/pixbuf_savers/gth-jpeg-saver.c
extensions/cairo_io/gth-jpeg-saver.c
R100	extensions/pixbuf_savers/gth-jpeg-saver.h
extensions/cairo_io/gth-jpeg-saver.h
R100	extensions/pixbuf_savers/gth-png-saver.c
extensions/cairo_io/gth-png-saver.c
R100	extensions/pixbuf_savers/gth-png-saver.h
extensions/cairo_io/gth-png-saver.h
R100	extensions/pixbuf_savers/gth-tga-saver.c
extensions/cairo_io/gth-tga-saver.c
R100	extensions/pixbuf_savers/gth-tga-saver.h
extensions/cairo_io/gth-tga-saver.h
R100	extensions/pixbuf_savers/gth-tiff-saver.c
extensions/cairo_io/gth-tiff-saver.c
R100	extensions/pixbuf_savers/gth-tiff-saver.h
extensions/cairo_io/gth-tiff-saver.h
M	extensions/cairo_io/main.c
R097	extensions/pixbuf_savers/preferences.c
extensions/cairo_io/preferences.c
R095	extensions/pixbuf_savers/preferences.h
extensions/cairo_io/preferences.h
D	extensions/pixbuf_savers/Makefile.am
D	extensions/pixbuf_savers/main.c
D	extensions/pixbuf_savers/pixbuf_savers.extension.in.in
M	gthumb/gth-main.c

commit 3d073ff3056b2dbd2c3865221eb6ea74119965d7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-17

    cairo scale: moved cairo-scale.[ch] in gthumb

    and use it instead of _cairo_image_curface_scale_to that uses
    the cairo
    bilinear filter.

M	extensions/cairo_io/cairo-io-jpeg.c
M	extensions/file_tools/Makefile.am
M	extensions/file_tools/gth-file-tool-resize.c
M	extensions/file_tools/gth-image-line-tool.c
M	extensions/file_tools/gth-image-rotator.c
M	gthumb/Makefile.am
R070	extensions/file_tools/cairo-scale.c	gthumb/cairo-scale.c
R064	extensions/file_tools/cairo-scale.h	gthumb/cairo-scale.h
M	gthumb/cairo-utils.c
M	gthumb/cairo-utils.h
M	gthumb/gth-image-navigator.c

commit 18f2c8b07c7200a9b43c55980bfa1cd61308d38c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-17

    cairo scale: use fixed point instead of floating point

M	extensions/file_tools/cairo-scale.c

commit 5a494668070e9733ac5df59e2482246fe3b72a60
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-17

    cairo-scale: removed the need for a vertical_scale function

    use an horizonal scale + transpose twice instead of an horizontal
    + vertical
    scale, this will allow to simplify speed optimization.

M	extensions/file_tools/cairo-scale.c

commit 4c0527c927461bcddbd59a6a4f3e3bbefc41647e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-16

    resize tool: activate the undo button after resizing the image

M	extensions/file_tools/gth-file-tool-resize.c
M	gthumb/gth-toolbox.c

commit 30d41839b16ec9e8c982ad331b2bc7eb3891446f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-16

    cairo-scale: added a custom implementation of the scale function

M	extensions/file_tools/cairo-scale.c

commit 804865ff4c958fce42e3a6b467ac175a6950cfb5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-16

    started work on a custom high quality scale function

    the cairo scale function quality is poor when downscaling by a factory
    greater than 2.

M	extensions/file_tools/Makefile.am
A	extensions/file_tools/cairo-scale.c
A	extensions/file_tools/cairo-scale.h
M	extensions/file_tools/gth-file-tool-resize.c

commit e8284825e7ac78447cf277a29ff59bfb4c47f064
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-18

    fixed broken video thumbnail

    [bug #666303]

M	data/Makefile.am
M	data/icons/Makefile.am
R100	data/filmholes.png	data/icons/filmholes.png
M	gthumb/Makefile.am
M	gthumb/gth-grid-view.c

commit 76d87a6fe161446e00a4c579a5b25c9a2b30235f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-16

    print: set a good default filename for the print-to-file operation

M	extensions/image_print/gth-image-print-job.c

commit ba71df910b0749f41b34cf64a6032a3cc0b9302e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-15

    rotator: fixed rotation when dragging the image

M	extensions/file_tools/gth-image-rotator.c

commit 938c00503108ce49a70719e7c8f1dd89eeb1cf75
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-15

    rotate tool: fixed crop region when the angle is greater than 90

M	extensions/file_tools/cairo-rotate.c

commit 5c3d797b6987b5e912a827a7d463e4a09605bd0c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-15

    file tool options: use a consistent look

M	extensions/file_tools/data/ui/adjust-colors-options.ui
M	extensions/file_tools/data/ui/crop-options.ui
M	extensions/file_tools/data/ui/resize-options.ui
M	extensions/file_tools/data/ui/rotate-options.ui
M	extensions/file_tools/data/ui/sharpen-options.ui
M	extensions/file_tools/gth-file-tool-crop.c
M	extensions/file_tools/gth-file-tool-resize.c

commit ea4af725c3bdecee5a61bae1fea37717e6ad1640
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-15

    get the image type from the file content when loading the image

M	gthumb/gth-file-data.c
M	gthumb/gth-file-data.h
M	gthumb/gth-image-loader.c
M	gthumb/gth-thumb-loader.c

commit 42d57548361f4fbf33ec936a6b24ccdb4d2f7d34
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-14

    change date: removed the "exif original date tag" option

    this option isn't supposed to be there, the 'exif original date tag'
    is kept in
    sync with the comment date, so it is changed whenever the user chooses
    the 'comment date' option.

M	data/org.gnome.gthumb.change-date.gschema.xml.in
M	extensions/change_date/data/ui/change-date.ui
M	extensions/change_date/dlg-change-date.c
M	extensions/change_date/gth-change-date-task.c
M	extensions/change_date/gth-change-date-task.h
M	extensions/change_date/preferences.h

commit 27364d76d868489829b2c24b54cae7a0dd6f6348
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-14

    sort by name if the date is the same

    [bug #676263]

M	extensions/exiv2_tools/main.c

commit 896db7e706ff36a7bf0da6fcd5c905311263431e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-14

    Delete key does nothing when image first opened

    [bug #678441]

M	gthumb/gth-browser.c

commit 29047b5154d9c1c27569afb5da65f346a0ca01e3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-14

    do not make modal dialogs block other windows as well

M	gthumb/gth-window.c
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h

commit 5228ac09db673ffe8c59c3f1340d07b4ac4b0df3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-14

    find duplicates: remember the checked state when filtering the
    file list

    [bug #679191]

M	extensions/find_duplicates/data/ui/find-duplicates-dialog.ui
M	extensions/find_duplicates/gth-find-duplicates.c

commit d5ec907355d6e70f9b054dec13180edf413096e8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-14

    added a menu item to hide/show the file properties

M	gthumb/gth-browser-actions-entries.h
M	gthumb/gth-browser-ui.h

commit 13dc2c1db8dc4300adb6e33d8d13f89ecc66c012
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-13

    icon cache: handle any GIcon type

M	extensions/catalogs/gth-organize-task.c
M	gthumb/gth-folder-tree.c
M	gthumb/gth-icon-cache.c
M	gthumb/gth-icon-cache.h
M	gthumb/gth-location-chooser.c
M	gthumb/gtk-utils.c
M	gthumb/gtk-utils.h

commit 4874d6be3e1ed62aba5bb0f77dbf1103c61489ee
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-02

    do not set the progress dialog as resizable

M	gthumb/gth-progress-dialog.c

commit 5fd3247a2f5467301298d0686b4c1f94fa407dd0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-08-02

    allow to cut files from a selection

M	extensions/selections/gth-file-source-selections.c

commit 62f96be77daac07a485f0d7773c12bae33073cc1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-07-05

    reset the original image when exiting a tool pressing the Escape key

M	extensions/file_tools/gth-file-tool-adjust-colors.c
M	extensions/file_tools/gth-file-tool-crop.c
M	extensions/file_tools/gth-file-tool-resize.c
M	extensions/file_tools/gth-file-tool-rotate.c
M	extensions/file_tools/gth-file-tool-sharpen.c
M	extensions/red_eye_removal/gth-file-tool-red-eye.c
M	gthumb/gth-file-tool.c
M	gthumb/gth-file-tool.h
M	gthumb/gth-toolbox.c

commit 1a083f57e87293b7d61d6fa88069382a04ae2738
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-07-04

    allow to rotate an image from -180 to 180 degrees

    use the cairo ratation function, that supports angles greater then
    90 degrees

M	extensions/file_tools/gth-file-tool-rotate.c
M	extensions/file_tools/gth-image-rotator.c

commit 5fad73ff46de6629736f263fb5b1d86de8798066
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-06-13

    set register-session to true in order to call gtk_application_inhibit

M	gthumb/main.c

commit f9d12c490523e2078863dc56158132a23e1526f1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-06-01

    use gtk_application_[un]inhibit instead of the DBus interface

M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	extensions/slideshow/gth-slideshow.c
M	gthumb/gth-screensaver.c
M	gthumb/gth-screensaver.h

commit dd1aead4762192152e1abeb2306ef2872e7cb3e7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-31

    added an application menu

M	configure.ac
M	gthumb/gth-window.c
M	gthumb/gth-window.h
M	gthumb/main.c

commit 5d96ff557a38f0fe537eaa253484db9ba830081c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-20

    browser: show loading errors in the info bar

    ...instead of using a modal dialog that forces the user to click
    on the
    close button.

M	gthumb/gth-browser.c
M	gthumb/gth-info-bar.c

commit fa187214e4e2188ab0b1ebe452ee18cdf545e582
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-17

    save and restore the visited locations history

    [new feature]

M	gthumb/gth-browser.c

commit b15c33c32676eff56d900336b9559f167718a067
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-15

    media viewer: save and restore the volume level

    [new feature]

M	data/org.gnome.gthumb.gstreamer-tools.gschema.xml.in
M	extensions/gstreamer_tools/gth-media-viewer-page.c
M	extensions/gstreamer_tools/preferences.h

commit bfb48c0b1b07b02b6c9815c1d4709b9b94381568
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-15

    media player: correctly update the toggled state of the mute button

M	extensions/gstreamer_tools/gth-media-viewer-page.c

commit b7ae16efd8daa73acfc94732c20f97e75135f1e1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-15

    fixed image transparency when using a dark blackground

M	gthumb/gth-image-viewer.c

commit 8caa508144fd9cf1d9cc4a0f2b001a1e6f637a5c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-13

    use a more neutral color as dark blackground, instead of black

M	gthumb/gth-image-viewer.c

commit b9ea2a7f7a5d1b47b80300fff82c215aa9244f0d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-13

    fixed error when loading the active filter file

    check whether the buffer is null before using it

M	gthumb/gth-filterbar.c

commit 0f91f7e666138f557b6271b93e46c2bf526a23a8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-09

    added automatic completion to the category entry

    [new feature]

M	gthumb/gth-test-category.c

commit 9943065def5183f3979c494235faaa8638f9978c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-09

    disconnect from the previous test before setting the new test

M	gthumb/gth-filterbar.c

commit d7185e06ed82364f442ffb5dd63c1b537e5eb990
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-09

    filter: use a spinbutton as limit control

M	gthumb/gth-filter.c

commit bf2367e3cf2345a901b8a0a67f672a96c599b0f1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-09

    save and restore the filterbar status

    [new feature]

M	gthumb/gth-browser.c
M	gthumb/gth-filterbar.c
M	gthumb/gth-filterbar.h

commit 2833417fd3987941f097eaf978dc687389d2743e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2012-05-09

